﻿/* Generated with Author-it 5.5.264.13693  1/11/2016 2:21:03 PM */
Page=new Array();Page[0]=new Array("Plesk for Windows Advanced Administration Guide is a companion guide for Plesk Administrator's Guide. It is intended for server administrators whose responsibilities include maintaining hosting servers and troubleshooting server software problems.","The guide provides step-by-step instructions to perform server management tasks that require use of Plesk functionality other than the GUI and GUI-only tasks that administrators may need to perform only in rare specific situations. Administrators can use several additional tools that are supplied in the standard Plesk distribution package to add customized automation tasks, back up and restore data, and repair Plesk components and system settings. The tools include a number of standalone Windows applications, command-line utilities, and the ability to integrate custom scripting with Plesk.&nbsp;&nbsp;","This guide consists of the following chapters:","Introduction to Plesk. Describes the main components and services operated by Plesk, licensing terms, and the ways to install and update Plesk components.  ","System Maintenance. Describes how to change server host name, IP addresses, and locations of directories for storing virtual host files, backups, and mail content. This chapter also introduces Plesk's command-line tools, a mechanism for running scripts on Plesk events, and service monitor that allows monitoring and restarting services without logging in to Plesk. ","Backing Up, Restoring, and Migrating Data. Describes how to back up and restore Plesk data by means of the command-line utilities pleskbackup and pleskrestore, and introduces the tools for migrating hosted data between servers.","Changing Security Settings for File System Objects and Accounts. Describes the process of applying Plesk security rules to file system objects and accounts. Presents examples of commonly used security rules with explanations.","Customizing Plesk Appearance and GUI Elements. Introduces Plesk themes that can be used to customize Plesk appearance and branding and describes how to remove specific elements of Plesk GUI or change their behaviour.","Statistics and Logs. Describes how to run calculation of statistics on disk space and traffic usage, and how to access web server logs and configure logging.","Localization. Introduces the means to localize Plesk GUI into languages for which Plesk does not provide localization.","Troubleshooting. Describes how to troubleshoot malfunction of Plesk services.","Glossary. Explains terms used in this guide.","About This Guide","about.htm");
Page[1]=new Array("Plesk consists of the following main components:","The front-end GUI service. The GUI, served with the Internet Information Services (IIS) server, is the main means of interaction with Plesk.","Plesk core. The core processes management requests from the Plesk GUI, command line interface, and XML API. The core contains scripts, binary files and other resources used to link Plesk components with each other and with external services.","The Plesk's main database called psa. The database stores information about Plesk objects, such as IP addresses, domains, user accounts, and many others. The database is served by MySQL or the Microsoft SQL database engine.","Plesk's configuration files.","Plesk's log files.","Command-line utilities. Command-line interface allows integration of third-party software with Plesk, and provides the means to manage Plesk through the server console. For more information about the Plesk command-line interface, refer to Plesk Command Line Reference.","XML API. This interface is another way to integrate third-party software with Plesk. It allows to manage Plesk objects from remote by sending specifically structured XML packets and receiving responses from Plesk. For more information on XML API, refer to Developer's Guide: Read Me First and XML API Protocol Reference.","Services Managed by Plesk","Plesk uses standard packages for the following services:","IIS as a set of Internet services including HTTP, FTP, and others.","FTP servers - ServU, Gene-6, used as alternative FTP servers.","Mail servers - MailEnable, IceWarp (Merak), CommuniGate Pro, or SmarterMail.","BIND or MS DNS - used as the domain name server.","MySQL used to store the Plesk's database called psa that is used for administrative purposes","MSSQL or MySQL - used as a database server by Plesk users.","Tomcat - used as an infrastructure for servlet and JSP-based applications shipped in the *.war format.","JDK (j2sdk) - used as a library for java applications.","SpamAssassin - used as protection against spam email messages.","Plesk Premium Antivirus, Kaspersky Antivirus, or IceWarp Antivirus - used as email antivirus tools.","Files and Directories Used by Plesk Installations","Plesk and its components are installed by default in the directory C:\\Program Files (x86)\\Parallels\\Plesk\\ on a physical server, or C:\\Program Files\\Plesk\\ in the Virtuozzo containers environment. The default installation directory is referred to as %plesk_dir% in the following list. Some of the subdirectories with corresponding components are listed below.","%plesk_dir%\\admin\\ - The core components used by the Plesk GUI.","%plesk_dir%\\admin\\plib\\ - Plesk's PHP files.","%plesk_dir%\\admin\\bin\\ - Binary utilities.","%plesk_dir%\\bin\\ - Binary utilities.","%plesk_dir%\\etc\\ - Configuration files.","%plesk_dir%\\MailServer\\ - Mail servers.","%plesk_dir%\\backup\\ - Backup files.","%plesk_dir%\\dns\\ - BIND name server files.","%plesk_dir%\\MySql\\ - Plesk's MySQL database server.","%plesk_dir%\\Databases\\ - Database servers for serving user data.","Introduction to Plesk","68474.htm");
Page[2]=new Array("The most common way of installing and upgrading Plesk is to use the Plesk Installer utility. This utility connects to the Plesk Updates server where the Plesk distribution packages are stored. It then retrieves, downloads, and installs Plesk. You can download the Plesk Installer utility from http://autoinstall-win.plesk.com/plesk-installer.exe.","For detailed instructions on how to use Plesk Installer, refer to the Deployment Guide.","For information about installing third-party software services on Plesk-managed servers, refer to Installing and Updating Third-Party Applications.","Installing Plesk in Virtuozzo Containers","If you operate in the Virtuozzo containers environment, you can use application templates for installing Plesk on containers. ","When the application templates are installed on a Virtuozzo hardware node, they allow you to easily deploy the application on as many containers as required, saving system resources such as disk space. ","You can download the Plesk templates using the command yum install. For more details, see https://kb.plesk.com/en/115548.","For more information on installing Plesk on Virtuozzo containers, read the Deployment Guide, chapter (Advanced) Installation to Virtuozzo Containers.","Checking Potential Issues Before Upgrading to Plesk 12","If you use Plesk 9 or earlier and want to upgrade it to Plesk 12, you may encounter problems due to changes in the Plesk business model. In particular, it might be impossible to transfer some settings and business objects. ","To efficiently anticipate or resolve the problems, we offer a tool called plesk101_preupgrade_checker.php. This checks potential business logic issues with upgrading to Plesk 10 and later and gives recommendations that help you fix the possible problems related to transition of Plesk objects. You can download the tool and find descriptions of the report messages at http://kb.plesk.com/9436.","Installation and Upgrade Overview","68665.htm");
Page[3]=new Array("To enable basic hosting services and functions on a Plesk-managed server, Plesk distribution package includes several third-party software applications, that are installed along with Plesk. These applications are ultimately responsible for providing various hosting services such as DNS, e-mail, FTP, and others.","All software components shipped with Plesk can be installed and updated by means of Plesk Installer. These components are listed in the Release Notes.","You can also install and manage through Plesk many other third-party applications that are not included in the Plesk distribution package. For the complete list of third-party applications currently supported by Plesk, refer to the Release Notes.","Automatic Detection of Pre-installed Components","Supported third-party applications that have already been installed on a server prior to Plesk installation will be automatically detected during installation of Plesk by Plesk Installer and integrated as Plesk components.","Manual Installation, Update, and Integration of Components Supported by Plesk","If Plesk is already installed and you want to install an application package or an update that you obtained from a software vendor, you need to do the following:","Upload the package to the Plesk-managed server and run the package installation program or, when applicable, follow the vendor's installation instructions.","Complete the component installation or update by integrating the application with Plesk: ","Log in to Plesk as administrator.","Go to Tools &amp; Settings &gt; Server Components. The list of the currently registered Plesk components is displayed.","Click Refresh under Tools. The list of registered Plesk components is refreshed. The integrated component entry appears in the list.","Alternately, you can use the following command line call to ensure detection of installed components: &quot;%plesk_bin%\\defpackagemng.exe&quot; --get --force","Note: For some newly installed applications, you might need to additionally configure the application settings to ensure proper integration.","Installation of Software not Supported by Plesk","You might want to install and use on the server other third-party applications not supported by Plesk. The applications will operate properly but will not be manageable through Plesk. ","In accordance with Plesk security policies, Plesk sets permissions for all its partitions to restrict users' access to each other and to third-party applications which are unknown to Plesk. For this reason, to ensure proper operation of third-party applications not supported by Plesk, you need to set required permissions in Plesk. For more information about Plesk security policies, see Changing Security Settings for File System Objects and Accounts.","To enable a third-party application not supported by Plesk, allow the psacln and psaserv groups the required access level to required directories of the application.","If you are installing any IIS extensions or COM components that need to be available on customers' websites, we highly recommend that you install 32-bit versions of these applications because websites that Plesk creates are 32-bit.","Installing and Updating Third-Party Applications","51037.htm");
Page[4]=new Array("On servers protected by a firewall, the following ports must not be blocked to ensure proper operation of Plesk and accessibility of Plesk-managed services.","Service name","Ports used by service","Administrative interface of Plesk over HTTPS","TCP 8443","Administrative interface of Plesk over HTTP","TCP 8880 *","Samba (file sharing on Windows networks)","UDP 137, UDP 138, TCP 139, TCP 445","VPN service","UDP 1194","Web server and Plesk Updater","TCP 80, TCP 443","FTP server","TCP 20, 21, 990","SSH (secure shell) server","TCP 22","SMTP (mail sending) server&nbsp;","TCP 25, TCP 465","POP3 (mail retrieval) server","TCP 110, TCP 995","IMAP (mail retrieval) server&nbsp;","TCP 143, TCP 993","Mail password change service","TCP 106","MySQL server&nbsp;","TCP 3306","MS SQL server","TCP 1433","Tomcat Java service","TCP 9080, 9008","Licensing Server connections","TCP 5224","Domain name server","UDP 53, TCP 53","Plesk upgrades and updates","TCP 8447","* Warning: If you use Presence Builder, do not block inbound connections to port 8880, otherwise Presence Builder will not function.","Ports Used by Plesk","68753.htm");
Page[5]=new Array("After you install Plesk, a trial license key for 14 days is installed by default. To continue using Plesk after the trial license key expires, you should obtain a lease license key or purchase a permanent license key.","A leased license implies that you pay for a limited time during which you can use Plesk, say, for a couple of months. During the lease period, Plesk will perform free monthly updates of your license key. The lease license includes free upgrades to all new major versions of Plesk.","The permanent license implies that you buy a Plesk license for a lifetime. A permanent license is updated every three months for free. Upgrading a Plesk installation with a permanent license to the next major version requires a separate payment unless you use Software Update Service (SUS). See https://kb.plesk.com/en/111  for more information on SUS.","Plesk license keys have a grace period of 10 days right before the expiration date. During the grace period, Plesk automatically performs daily attempts to update the license key automatically. If an automatic update fails, Plesk notifies the administrator. If you do not update a license key during the grace period, it expires and blocks Plesk functions until you install a valid license key.","Plesk defines whether it needs to update the license key using the update-keys.php utility located in the %plesk_dir%\\admin\\plib\\DailyMaintainance\\ directory, where %plesk_dir% is an environment variable denoting the Plesk installation directory. This utility checks the license grace period and expiration date and tries to retrieve a new license key or blocks Plesk.","Plesk runs the utility every day as a part of the daily maintenance script. If you want to check for license updates, you can run the script manually by executing the command &quot;%plesk_bin%\\php.exe&quot; -d auto_prepend_file=&quot;%plesk_dir%\\admin\\plib\\DailyMaintainance\\script.php&quot;.","You can retrieve and manage license keys through the Plesk GUI. The information about current license key and controls for managing license keys are located in Server Administration Panel &gt; Tools &amp; Settings &gt; License Management.","Licensing","68754.htm");
Page[6]=new Array("This chapter describes how to perform the following tasks:","Change server's host name.","Change server IP addresses. You may need to do this when, for instance, you are moving your Plesk server to a new datacenter, and need to reconfigure the Plesk installation to run on new IP addresses.","Move the directory where virtual hosts reside to another location on the same or another partition. You might want to do this when disk space on the current partition is running out.","Move the directory where Plesk backup files are stored to another location on the same or another partition. You might want to do this when, for instance, there is insufficient disk space on the current partition to house new backup files, and you want to move them all to a new, larger volume.","Move the directories that house mail content to another location on the same or another partition. You might want to do this when there is insufficient amount of disk space on the current partition to serve a larger amount of mailboxes, and you want to move them all to a new larger volume.","Switch the database server engine used by Plesk.","Stop, start, and restart Plesk-managed services from command line, and access their logs and configuration files.","System Maintenance","68470.htm");
Page[7]=new Array("You specify your server's host name during your very first login to Plesk. If you want to change the host name later, you can do it through Plesk.","Note: Specifying an invalid host name will result in unpredictable Plesk behavior and server malfunction. The host name must resolvable from the Plesk-managed server, especially if Customer and Business Manager is installed.","To change your server's host name:","Log in to Server Administration Panel.","Go to Tools &amp; Settings &gt; Server Settings.","Enter the new host name in the Full hostname field.","This should be a fully qualified host name, but without an ending dot (for example, host.example.com).","Click OK.","Changing Your Server's Host Name","49562.htm");
Page[8]=new Array("You can switch from an existing IP address on your Plesk-managed server to a newly created IP address or to another existing address.","During life-time of a Plesk installation, you may need to replace IP addresses used for hosting with other IP addresses. Replacing all old IP addresses with new ones may be necessary when moving a Plesk server onto a new network. More often, you may need to introduce more subtle changes in your server's IP address pool. For example, you may need to free up one or more IP addresses currently used for hosting on the server. This will allow you to use the addresses for other purposes or to eliminate them from the server's IP pool altogether.","Every time you replace an IP address with a new one on a Plesk server, you need to reconfigure Plesk and various services to use the new IP address instead of the replaced one.","You can switch from one IP address to another and automatically reconfigure Plesk and all hosting services on the server to use the new address by using the Change Server IP Addresses option in the Reconfigurator utility.","Note: By using this feature, you can only replace one IP address with another. You cannot migrate a group of select domains from one or more IP addresses to a new IP address.","To change from one IP address on a Plesk-managed server to another, follow these steps: ","Log in to the Plesk-managed server as a user with administrator rights by using Remote Desktop.","In the Windows Start menu, select All Programs &gt; Plesk &gt; Plesk Reconfigurator. The Reconfigurator application window opens.","Select the Change server IP addresses option. The IP Addresses Reconfiguring window opens.","Under Select the IP addresses to be changed, select the checkboxes corresponding to the IP addresses that you want to change to other IP addresses.","To view the list of domains hosted on particular IP address, click the IP address entry to highlight it. The list of hosted domains using the highlighted IP address is displayed in a window to the right.","Map each selected to an IP address of your choice.","To map a selected address, click on the selected address entry. The entry is highlighted.","Select the address to map to:","To map to an existing IP address, select Existing Address option and then select an existing address entry. The entry information is displayed in the Mapping Information column for the selected IP address entry under  Select the IP addresses to be changed.","To map to a new IP address that will be created during mapping, select Create New IP address option and then enter the IP address, network mask, and network interface name. The entry information is displayed in the Mapping Information column for the selected IP address entry under Select the IP addresses to be changed.","Click Next.","Plesk installation is reconfigured to use the newly specified IP addresses in place of the old ones. All relevant records in the Plesk's database are updated, network adapters settings are changed accordingly (the old IP addresses are removed), FTP and web servers are reconfigured accordingly, DNS records are updated accordingly.","Note: If changing IP address fails during execution, all changes are rolled back. When connected to the server through the Remote Desktop connection, a change of your server&#8217;s IP address will terminate your session."," ","Changing IP Addresses","49727.htm");
Page[9]=new Array("This option allows moving the directory where virtual hosts reside to another location on the same or another partition. Use this feature when disk space is insufficient on the current partition to house new virtual hosts, and you want to move them all to a new, larger volume.","To move the virtual hosts directory to a new location, follow these steps:","Log in to the Plesk-managed server as a user with administrator rights by using Remote Desktop.","In the Windows Start menu, select All Programs &gt; Plesk &gt; Plesk Reconfigurator. The Reconfigurator application window opens.","Select the Change Virtual Hosts location option.","Specify the destination directory name. If the directory does not exist, it will be created.","Click Next.","During this operation all Plesk's services will be restarted."," ","Moving the Virtual Hosts Directory","49728.htm");
Page[10]=new Array("By using the Plesk Reconfigurator utility, you can move the Plesk backup files storage directory to another location on the same or another partition. Use this option when disk space is insufficient on the current partition to house new backup files, and you want to move them all to a new, larger volume.","To change location of the backup files directory, follow these steps:","Log in to the Plesk-managed server as a user with administrator rights by using Remote Desktop.","In the Windows Start menu, select All Programs &gt; Plesk &gt; Plesk Reconfigurator. The Reconfigurator application window opens.","Select the Change Plesk Backup Data location option.","Specify the destination directory name. If the directory does not exist, it will be created.","Click Next. During this operation, all services will be restarted."," ","Moving the Directory for Storing Plesk Backups","49729.htm");
Page[11]=new Array("You can move the directories that store mail content to another location on the same or another partition. Use this option when disk space is insufficient on the current partition to serve larger data volume or amount of mailboxes and you want to move all mail content to a new, larger volume.","To move the mail content directories to another location, follow these steps:","Log in to the Plesk-managed server as a user with administrator rights by using Remote Desktop.","In the Windows Start menu, select All Programs &gt; Plesk &gt; Plesk Reconfigurator. The Reconfigurator application window opens.","Select the Change Plesk Mail Data location option.","Specify the destination directory name. If the directory does not exist, it will be created.","Click Next. During this operation, Plesk's services will be restarted."," ","Moving the Directories for Storing Mail Data","49730.htm");
Page[12]=new Array("By default IIS FTP site supports explicit FTPS only. To turn on implicit FTPS, follow these instructions:","Open the IIS Manager. Go to Sites &gt; FTP site, and click Bindings.","Add a binding with the following properties:","Type = ftp","IP Address = All Unassigned","Port = 990","Restart the FTP site and the DefaultAppPool application pool.","Switching On Implicit FTPS","74258.htm");
Page[13]=new Array("Plesk provides a mechanism that allows administrators to track specific Plesk events and make Plesk execute custom scripts when these events occur. The events include operations that Plesk users perform on accounts, subscriptions, websites, service plans, and various Plesk settings.","It works the following way: you create a script to be executed upon a certain Plesk event, and then set up an event handler in Server Administration Panel that triggers processing of the event by the script. You can assign several handlers to a single event.  ","To learn how to track Plesk events and set up execution of commands or custom scripts, refer to the Administrator's Guide, chapter Event Tracking.","Programming Event Handlers to Execute Custom Scripts","49401.htm");
Page[14]=new Array("Plesk command-line utilities are designed to facilitate the processes of creating various entities in Plesk bypassing the Plesk GUI. Command-line utilities are executed via command prompt opened in the %plesk_dir%\\admin\\bin\\ folder (where %plesk_dir% is a system variable containing the Plesk installation directory). You can see the list of available commands and options by running an utility with --help or -h command. For more information about command line utilities usage refer to Command Line Interface Reference."," ","Automating Administration Tasks with Command-Line Utilities","49570.htm");
Page[15]=new Array("You can monitor the status of your Plesk-managed server without logging in to Plesk. To do this, you need to access your server over Remote Desktop.","A utility called Plesk Services Monitor is loaded automatically every time Plesk starts. To manage the status of Plesk's services, open the Plesk Services Monitor by double-clicking its icon in the taskbar. The look of the icon depends on the state of crucial Plesk services: the icon @  means that all Plesk's services are functioning, and the icon @ means that some services are stopped or not working correctly. ","Once you open the Services Monitor, you can see the status of all vital Plesk's services. The icon @ indicates that a corresponding service is working correctly, and the icon @ indicates that the corresponding service is stopped or is not working correctly.","To stop a service, select the corresponding checkbox and click Stop.","To restart a service, select the corresponding checkbox and click Restart.","To start a service, select the corresponding checkbox and click Start.","Note: You can use Select All and Clear All buttons to select or clear all available checkboxes.","To refresh the list of services and their respective statuses, click Refresh.","To remove all information about Plesk sessions from Plesk's database and disconnect all users from Plesk, click Delete Sessions. This is useful when you need to restart Plesk, but some users are still connected to it, and you want to avoid possible data loss or files corruption.","Note: You can also start, stop, restart services and delete sessions by right-clicking the Plesk Services Monitor icon and selecting the required option from the menu.","To hide the Services Monitor back in the taskbar, click Hide.","Monitoring Status of System Services","49561.htm");
Page[16]=new Array("This section describes how to stop, start, and restart services managed by Plesk, and access their logs and configuration files.","Plesk web interface","To stop the service through command line:","net stop plesksrv","To start the service through command line:","net start plesksrv","net start poppassd","To restart the service through command line:","net stop plesksrv","net start plesksrv","net start poppassd","Plesk's log file is located in:","%plesk_dir%\\admin\\logs\\W3SVC&lt;IIS site ID&gt;\\ex&lt;date&gt;.log","Plesk's PHP configuration file is located in:","%plesk_dir%\\admin\\php.ini","Internet Information Services log file is accessible at:","IIS manager &gt; Sites or Application Pools &gt; PleskControlPanel","Presence Builder","%plesk_dir%\\SiteBuilder\\_logs","Configuration files are accessible at:","IIS manager &gt; Sites or Application Pools &gt; sitebuilder(default) / SiteBuilderSitesWebAppPool","phpMyAdmin","Log files are located in:","%plesk_dir%\\admin\\logs\\W3SVC&lt;IIS site ID&gt;\\ex&lt;date&gt;.log","Configuration files are accessible at:","%plesk_dir%admin\\htdocs\\domains\\databases\\phpMyAdmin\\config.inc.php","ASP.Net Enterprise Manager","Configuration files are accessible at:","IIS manager &gt; Sites &gt; sqladmin(default)\\mssql","myLittleAdmin 2000/2005","Configuration files are accessible at:","IIS manager &gt; Sites &gt; sqladmin(default)\\myLittleAdmin","%plesk_vhosts%\\sqladmin\\myLittleAdmin\\2005\\config.xml","MailEnable","To stop the service through command line:","net stop meimaps &amp;&amp; net stop melcs &amp;&amp; net stop memtas &amp;&amp; net stop mepops &amp;&amp; net stop mepocs &amp;&amp; net stop mesmtpcs ","To start the service through command line:","net start meimaps &amp;&amp; net start melcs &amp;&amp; net start memtas &amp;&amp; net start mepops &amp;&amp; net start mepocs &amp;&amp; net start mesmtpcs ","To restart the service through command line:","net stop meimaps &amp;&amp; net stop melcs &amp;&amp; net stop memtas &amp;&amp; net stop mepops &amp;&amp; net stop mepocs &amp;&amp; net stop mesptpcs &amp;&amp; net start meimaps &amp;&amp; net start melcs &amp;&amp; net start memtas &amp;&amp; net start mepops &amp;&amp; net start mepocs &amp;&amp; net start mesmtpcs","Log files are located in: ","%plesk_dir%Mail Servers\\Mail Enable\\Logging","Configuration files are accessible at:","%plesk_dir%\\Mail Servers\\Mail Enable\\Bin\\MailEnable.msc","DNS / Named / BIND","To stop the service through command line:","net stop named","To start the service through command line:","net start named","To restart the service through command line:","net stop named &amp;&amp; net start named","Log files are accessible through Windows Event Viewer. ","Configuration files are accessible at:","%plesk_dir%\\dns","MySQL","To stop the service through command line:","net stop plesksqlserver","To start the service through command line:","net start plesksqlserver","To restart the service through command line:","net stop plesksqlserver &amp;&amp; net start plesksqlserver","Log files are accessible through Windows Event Viewer.","Configuration file is accessible at:","%plesk_dir%MySQL\\Data\\my.ini","SpamAssassin","Log files are accessible through Windows Event Viewer. ","Configuration files are accessible at:","%plesk_dir%\\Additional\\Perl\\site\\var\\spamassassin\\3.003001","Dr.Web Antivirus","To stop the service through command line:","net stop DrWebCom","To start the service through command line:","net start DrWebCom","To restart the service through command line:","net stop DrWebCom &amp;&amp; net start DrWebCom","Log file is located in: ","%plesk_dir%DrWeb\\drcom.log","FTP service","To stop the service through command line:","net stop iisadmin","To start the service through command line:","net start iisadmin","To restart the service through command line:","net stop iisadmin &amp;&amp; net start iisadmin","Log files are located in:","%plesk_vhosts%Servers\\&lt;ID&gt;\\logs ","Configuration files are accessible at:","IIS Manager &gt; FTP sites &gt; &lt;IP address&gt;","Kaspersky Antivirus","To stop the service through command line:","net stop kavsvc","To start the service through command line:","net start kavsvc","To restart the service through command line:","net stop kavsvc &amp;&amp; net start kavsvc","Log file is accessible through Windows Event Viewer. ","Internet Information Services","To stop the service through command line:","net stop iisadmin","To start the service through command line:","net start iisadmin","To restart the service through command line:","net stop iisadmin &amp;&amp; net start iisadmin","Web server log file is accessible through Windows Event Viewer. ","Website logs are available at:","%plesk_vhosts%&lt;domain&gt;\\statistics\\logs\\&lt;SITE ID&gt;","Configuration is available through IIS Manager.","AWStats","Configuration file is accessible at:","%plesk_vhosts%\\&lt;domain&gt;\\statistics\\webstat\\AWStats\\cgi-bin\\awstats.&lt;domain&gt;.conf","Webalizer","Configuration file is accessible at:","%plesk_dir%\\Additional\\Webalizer\\conf\\webalizer.conf","Plesk Backup Manager","Backup log files are located in: ","%plesk_dir%\\PMM\\&lt;session&gt;\\psadump.log","%plesk_dir%\\PMM\\&lt;session&gt;\\migration.log","%plesk_dir%\\PMM\\logs\\migration.log","%plesk_dir%\\PMM\\logs\\pmmcli.log","Restoration log files are located in:","%plesk_dir%\\PMM\\rsessions\\&lt;session&gt;\\conflicts.log","%plesk_dir%\\PMM\\rsessions\\&lt;session&gt;\\migration.log","%plesk_dir%\\PMM\\logs\\migration.log","%plesk_dir%\\PMM\\logs\\pmmcli.log","Plesk Migration Manager","Log files are located in: ","%plesk_dir%\\PMM\\msessions\\&lt;session&gt;\\migration.log","%plesk_dir%\\PMM\\rsessions\\&lt;session&gt;\\migration.log","%plesk_dir%\\PMM\\rsessions\\&lt;session&gt;\\conflicts.log","%plesk_dir%\\PMM\\logs\\migration.log","%plesk_dir%\\PMM\\logs\\pmmcli.log","%plesk_dir%\\PMM\\logs\\migration_handler.log","Horde","Log file is located in: ","%plesk_dir%\\tmp\\horde","Configuration files are accessible at:","Web interface - IIS manager &gt; Sites &gt; webmail (horde)","PHP settings - %plesk_vhosts%\\webmail\\horde\\php.ini","Application settings - %plesk_vhosts%\\webmail\\horde\\config\\","Atmail","Error log is located in:","%plesk_dir%\\tmp\\atmail","Configuration files are accessible at:","Web interface - IIS manager &gt; Sites &gt; webmail (atmail)","Application settings - %plesk_vhosts%\\webmail\\atmail\\libs\\Atmail\\config.php","Managing Services from the Command Line and Viewing Service Logs","68832.htm");
Page[17]=new Array("Plesk allows to define custom PHP configuration for a certain service plan, add-on plan, subscription, website, and even subdomain. For this purpose, the Plesk GUI exposes 16 most often used PHP parameters that allow customization. The administrator or a customer can set the value of each parameter either by selecting a value from a preset, typing a custom value, or leaving the default value. In the latter case, Plesk takes the parameter value from the server-wide PHP configuration.","Using the %plesk_dir%\\admin\\conf\\panel.ini file you can specify what PHP parameters values will be available in the preset and toggle the visibility of the custom value field.","Defining the Preset Values","To set the list of predefined values for a certain PHP parameter, add the line of the following type to the [php] section of the panel.ini file:","settings.&lt;parameter_group&gt;.&lt;parameter_name&gt;.values[]=&lt;value&gt;","where","&lt;parameter_group&gt; - a group of a PHP parameter: performance for the performance PHP settings and general if the parameter is placed in to the common group. For more information about the groups of PHP parameters, read the Administrator's Guide.","&lt;parameter_name&gt; - a name of a PHP parameter. Use the same syntax as in php.ini.","&lt;value&gt; - a parameter's value added to the preset. Use the same syntax as in php.ini.","Add such line for each value in the preset. For example, if you want Plesk users to choose the value of the memory_limit parameter between 8M and 16M, add the following lines to panel.ini:","[php]","settings.performance.memory_limit.values[]=8M","settings.performance.memory_limit.values[]=16M","Hiding the Custom Value Fields","To hide the field that allows entering the custom value for a certain PHP parameter, add the line of the following type to the [php] section of the panel.ini file: ","settings.&lt;parameter_group&gt;.&lt;parameter_name&gt;.custom=false ","where","&lt;parameter_group&gt; - a group of a PHP parameter: performance for the performance PHP settings and general if the parameter is placed in to the common group. For more information about the groups of PHP parameters, read the Administrator's Guide, ","&lt;parameter_name&gt; - a name of a PHP parameter. Use the same syntax as in php.ini.","For example, if you do not want Plesk users to set custom values to the memory_limit parameter, add the following line to panel.ini:","[php]","settings.performance.memory_limit.custom=false","To switch the custom value field back on, replace false with true.","Predefining Values for Customizable PHP Parameters","70118.htm");
Page[18]=new Array("Multiple Web Apps in a Single Directory","Since Plesk 10.4, when a site employs a number of various web apps, a site administrator may apply the following site structure:","Install a number of apps to the same directory. More specifically, install one app into a subdirectory of another.","Use the same document root for a subdomain and a web app.","For example, you can install an online store app to the httpdocs directory of your domain (for example, example.com), create a subdomain (for example, support.example.com) in the httpdocs/support, and install a help desk system there.","All earlier Plesk versions (before 10.4) prohibited such scenarios as sometimes (in very rare cases), the installation of two web apps into one directory could lead to the improper functioning of one of them. If you want to return this restriction back, add the following lines into %plesk_dir%\\admin\\conf\\panel.ini:","[aps]","unsafePaths=false","Hiding Commercial Apps","You can hide commercial web applications by default, so that your customers are able to install only free applications. To do this, add the following lines into panel.ini:","[aps]","commercialAppsEnabled = false","Website Applications","70054.htm");
Page[19]=new Array("SpamAssassin is a rule-based mail filter that identifies spam. It uses a wide range of heuristic tests on mail headers and body text to identify spam. ","SpamAssassin filtering is configured on two levels:","Server-level configuration is done by Plesk administrator.","Mail directory-level configuration is done by users for specific mail directories.","At the server level, you (as a Plesk administrator) can enable or disable any of these two types of filters. Thus, there are four possible situations:","No filtering is applied:","both filters are disabled by the Plesk administrator.","the personal filter is disabled at the mail directory level.","Filtering is applied at the server level only.","Filtering is applied at the mail box level only.","Filtering is applied at both levels.","When both filters are enabled for a specific mail name, a combined filter is created for the corresponding mail directory. When processing messages, SpamAssassin calculates the number of hits according to its internal rules. A message is considered to be spam if the number of hits exceeds the established threshold, which is set to 7 by default. You can change the threshold in Plesk. White and Black lists can be considered special rules, which assign constant hit rates to messages conforming to mail address patterns in these lists:","If the message source address conforms to the Black list, the message gets +100 hits by default.","If the message source address conforms to the White list, the message gets -100 hits by default.","Sometimes, a message matches both Black and White lists. In that case, it has +100-100=0 hits.","If the message destination address is included in the server-wide ignore list, then all messages to this address will go directly to the addressed mail directory. ","At the server level, you can configure SpamAssassin to mark messages with a special string if they are recognized as containing spam. At the mailbox level, you can make SpamAssassin delete or mark the message if it is considered as spam.","Starting from Plesk 9.x, the maximum message size to filter is hardcoded in the spam handler and set to 256KB. This value provides normal server loading. Since the SpamAssassin service consists of perl modules, they may result in a heavy server load when processing long messages.","You can obtain more information about SpamAssassin at spamassassin.apache.org","Spam Protection","69197.htm");
Page[20]=new Array("The SpamAssassin configuration is stored in the spamfilter and spamfilter_preferences tables of the psa database. You can manage it with the %plesk_dir%\\admin\\bin\\spammng.exe utility. It displays help if started without any options.","Server-wide SpamAssassin settings are stored in the following files:","The %plesk_dir%\\Additional\\Perl\\site\\var\\spamassassin\\3.003001\\updates_spamassassin_org\\*.cf files contain configuration details, e.g. White list and Black list scores are assigned in the 50_scores.cf configuration file.","The %plesk_dir%\\Additional\\Perl\\site\\etc\\mail\\spamassassin\\local.cf stores server-wide filter settings.","Personal user settings are stored in the file %plesk_dir%\\Additional\\SpamAssassin\\SpamFilterUserConfigsPath\\&lt;mailname&gt;\\user_prefs.","For more information about the SpamAssassin configuration, refer to the respective documentation at http://spamassassin.apache.org/doc/Mail_SpamAssassin_Conf.html. ","To apply changes in the configuration files, you should restart SpamAssassin with the following command:","for /F &quot;usebackq tokens=5&quot; %i in (`cmd /c &quot;netstat -aon | findstr 0.0.0.0:8783&quot;`) do taskkill /F /PID %i","Configuring SpamAssassin","69198.htm");
Page[21]=new Array("Customer and Business Manager automates certain hosting providers' tasks such as creating Plesk accounts and subscriptions, registering domain names, issuing invoices, and so on. To do this, Business Manager uses its own task manager. This task manager does the following: ","Schedules and runs tasks.","Stores task details and execution statuses.","Suggests how to resolve possible task execution problems.","If you want to utilize your server resources better, consider optimizing task manager performance in your environment by changing its settings defined in the %plesk_dir%\\billing\\task-manager\\config\\config.ini configuration file. The paragraphs of this section describe the ways to optimize certain aspects of the task manager.","Reducing Disk Space Consumption","If you want the task manager to consume less disk space, you can reduce the size of its own database. To do this, adjust the following settings that define how much information the task manager stores in the database:","How long task manager stores information about processed tasks. The parameters that set these intervals for completed, failed and canceled tasks are completedTasksClearInterval, failedTasksClearInterval, and canceledTasksClearInterval correspondingly.","By default, these intervals are equal to 1 year. If you want to change them, specify the values in the ISO 8601 standard, for example, P1Y for the 1 year interval.","How much information about each task execution is stored. For troubleshooting purposes, the task manager writes information about task executions to log files, one file per each execution. The parameter that sets maximum number of stored log files for each task is the maxTaskLogs. Its default value is 5. To make the logs consume less disk space, specify a smaller value of this parameter.","Note: When you set the task removal intervals described above, remember that setting too small values may make troubleshooting difficult since you may not have enough information about recent task executions.","Increasing Task Manager Performance","When you run all scheduled tasks at once, task manager starts processing a certain number of tasks simultaneously. After completing (or failing to complete) the task, the task manager starts another task from the queue and so on. To make processing of multiple tasks faster, increase the maximum number of tasks processed simultaneously. The parameter that sets this number is runAllMaxInstances. ","However, when you set a greater value for this parameter, remember that too big values increase the system load and therefore may reduce the Plesk performance or even block customer access to the Customer Panel.","Increasing Logs Detalization","To make the task manager produce more information that may help you in troubleshooting issues, adjust the logging settings in the following ways:","Increase the number of execution logs for each task. To do this, edit the value of the maxTaskLogs parameter. When you set a greater value, remember that this will increase the disk space consumption.","Increase the verbosity of the logs. By default, the task manager writes only error information to log files. To get more information on tasks execution, include tasks execution messages into the logs by changing values of the parameters log.info and log.sql to 1.","Important: Including debug information into the task manager logs will reduce its performance; Therefore, we recommend that you include this information only when you troubleshoot certain issues.","Optimizing the Task Manager Performance","70713.htm");
Page[22]=new Array("By default, when you install WordPress on sites through the Application Catalog (or Application Vault), WordPress Toolkit detects new installations and integrates them with WordPress Toolkit. For this reason, installation of WordPress on a site takes up to 20 seconds. If you want to avoid this, you can switch off automatic detection of new installations by WordPress Toolkit.","To do this, in the Plesk configuration file \\&lt;Plesk installation directory&gt;\\admin\\conf\\panel.ini, add the following lines:","[wpToolkit]","features.autoAttachApsInstances = off","Switching Off Automatic Integration of WordPress Installations","73893.htm");
Page[23]=new Array("You can completely switch off WordPress Toolkit on your server. ","To switch off WordPress Toolkit, in the Plesk configuration file /&lt;Plesk installation directory&gt;/admin/conf/panel.ini, add the following lines:","[wpToolkit]","enabled=off","Switching Off WordPress Toolkit","73742.htm");
Page[24]=new Array("You can remove Plesk as any other program in Windows by using Windows Customer Panel &gt; Uninstall a Program. For the complete instruction on how to remove programs in Microsoft Windows, read this article: http://windows.microsoft.com/en-US/windows-vista/Uninstall-or-change-a-program.","Removing Plesk","70842.htm");
Page[25]=new Array("Web Deploy (Web Deployment Tool) is a Microsoft tool that significantly simplifies the migration, management, and deployment of IIS web servers, web applications, and websites. You can install and configure Web Deploy as a third-party component on your Plesk-managed server.","Here are two reasons to have Web Deploy on your server:","Simple applications publishing. Web developers who write code in Visual Studio® (IDE) and WebMatrix® (development tool) can use Web Deploy to publish their applications to a production server. If you would like to give your customers this time-saving and easy-to-use publication method, install Web Deploy on your server. ","Note: You should not install Visual Studio® and WebMatrix® on Plesk servers. This software is installed by customers themselves on their PCs.","New market for your hosting plans. WebMatrix® helps its users find a suitable hosting plan in the Microsoft Web Hosting Gallery, a catalog in which hosting providers advertise hosting offers. If you want your hosting plans to be shown in the gallery, one of the requirements is to have Web Deploy. ","1. Install Web Deploy","There are two ways of installing Web Deploy - as a Plesk component (the recommended way) or manual installation. The first way assumes that you install Web Deploy like any other Plesk component, from Tools &amp; Settings &gt; Updates and Upgrades &gt; Add / Remove Components. If you use Plesk 10.4 or earlier versions, the component installation is unavailable, so you should perform manual installation. For installation instructions, see the Manual Installation of Web Deploy section below.","Note: Microsoft Windows Powershell is required for proper installation of Web Deploy. Ensure that it is installed on the server (available by default since Windows 2008 R2). Learn how to install the component at http://www.microsoft.com/powershell.","After successful installation, you can check that Web Deploy has been discovered by Plesk. To do this, log in as the Plesk administrator and go to Tools &amp; Settings &gt; Server Components. The new component, Web Publishing, will appear in the list. Additionally, the ability to use web publishing will be added to all existing subscriptions, to the Hosting Parameters tab, and will be set as not provided by default.","If your customers use MySQL databases for their applications, you should also install the MySQL Connector/Net component from Microsoft Web Platform Installer.","2. Improve the Security Level","During the installation, Web Deploy adds a number of delegation rules to IIS that allow non-administrators to perform operations on databases and files on their IIS sites. Particularly, the rules that Web Deploy adds by default let your customers change the .NET version in their application pools. Such a change may lead to malfunctioning of .NET applications that are not compatible with certain .NET versions. Moreover, if you use shared IIS application pools, the change will affect applications of all customers who share the pool.","To prevent changing the .NET version of application pools in IIS by non-administrators, Plesk automatically adds an exception from the rule appPoolPipeline. However, in addition to this rule change, we recommend that you set IIS to run applications of each subscription in a separate pool. This setting will guarantee that other pools will continue to operate even if a certain app damages a pool on a certain subscription. You can specify to use separate pools in plan settings, the Performance tab &gt; Dedicated IIS application pool.","3. Secure the Service with a Valid Certificate","During its installation, Web Deploy installs (as needed) and activates the IIS Manager service that secures connections to Web Deploy. We highly recommend that you provide IIS Manager with a valid SSL certificate to let your customers verify your server's identity before transferring their data to your server. Learn how to do it in http://learn.iis.net/page.aspx/144/how-to-set-up-ssl-on-iis-7/. If you choose not to do it, your customers will fail to publish their sites if they specify to use a secure connection in publication settings of Visual Studio® or WebMatrix®.","4. Activate Web Deploy in Hosting Plans and Subscriptions","Now when you have successfully installed and configured Web Deploy, activate this feature in Hosting Parameters of hosting plans and existing unsynced subscriptions as needed.","Manual Installation of Web Deploy","To successfully install Web Deploy, you should meet the following requirements:","The target operating system must be Windows Server 2008 or later.","The server must have Windows PowerShell installed. Windows Server 2008 does not have this component by default (though 2008 R2 has it). Learn how to install the component at http://www.microsoft.com/powershell.","The server must have the Management Service role service (Server Manager &gt; Web Server &gt; Add Role Services, under Management Tools).","The installation procedure is straightforward: In Microsoft Web Platform Installer, find the Web Deployment Tool product and add it to the server. For more information about the installer, see http://www.microsoft.com/web/downloads/platform.aspx.","Alternatively, you can download the Web Deploy binary and run it as administrator. The download link is available at http://www.iis.net/download/WebDeploy. ","Note: You should select either the complete installation or select the custom installation and specify the Configure for Non-Administrator Deployments option.","Web Deploy 3.0","69594.htm");
Page[26]=new Array("This chapter describes how to back up and restore data by means of the command-line utilities pleskbackup and pleskrestore, and introduces the tools for migrating hosted data between servers.","Backing up by means of the pleskbackup utility is done by issuing a command that specifies the objects to be backed up. The utility creates a backup archive containing settings and content. You can then perform a full or a selective restoration of data, and specify how to resolve possible conflicts that might occur.","Backing Up, Restoring, and Migrating Data","68472.htm");
Page[27]=new Array("To perform backup of Plesk hosting data, you need to execute the pleskbackup utility command composed so that it does the following:","Defines the data that need to be backed up.","Defines the way of how the backup process will be performed.","Defines properties of the files that will be contained in backup.","Defines options for exporting backup as a single file.","Note: Only the first component is obligatory, others are optional.","The following sections explain each component meaning and implementation in detail.","The pleskbackup utility is located in %plesk_dir%\\bin\\<br>where %plesk_dir% is an environment variable for Plesk installation directory. By default, it is &quot;C:\\Program Files\\Parallels\\Plesk&quot;","To see a complete list of the pleskbackup commands and options, refer to the section Backup Utility Commands and Options.","If the command execution succeeds, backup is created in the default server backups location or exported to a file in case exporting options were specified. For details on exporting options, refer to the section Exporting Backup Files. If the command execution fails, backup is not created.","You can perform advanced configuration of the backup operation through the file %plesk_dir%/admin/share/pmmcli/pmmcli-rc. For more details, refer to the section Defining How the Backup Process Is Performed. ","If a backup process fails, you can use its logs for troubleshooting. Each backup process's logs are stored in %plesk_dir%\\PMM\\logs\\backup-YYYY-MM-DD-hh-mm-nnn\\, where YYYY-MM-DD-hh-mm is the date and time when the backup was performed and nnn is a randomly generated number.","Backing Up Data","68481.htm");
Page[28]=new Array("Plesk provides opportunities for backing up and restoring nearly all hosting data, which includes its major objects: administrator account, settings for Plesk-managed services, reseller accounts, customer accounts, subscriptions, websites, databases and mail accounts. These backup objects are organized into a hierarchy where parent object is always an owner of its children. The hierarchy comprises of four levels: server, resellers, customers and subscriptions. The levels are such that a higher level includes objects on the lower levels but a lower level is completely separated from the higher objects.","You can create either a full or a partial backup. A full backup is the highest-level backup, it includes all data related to a Plesk installation. A partial backup includes only backup objects you need, of any of the levels. For information on available options when creating a partial backup, refer to the section Defining Data for Backup.","Restoring a backup, in turn, can also be either full or partial. Full restoration recovers all data contained in a backup, and partial recovers a part. For information on available options when restoring data from backup, refer to the Defining Objects for Restoration section.","Each backup object includes the following: ","Configuration defines properties of the backup object and its descendants. ","Content contains binary data related only to the backup object (website content and content of mailboxes). ","This table shows what data (configuration and content) are related to each backup object.","Backup Object Type","Configuration<br>","Content<br>","Not included into backup","server","This backup level includes the following:","Administrator's information.","Presence Builder settings.","SSO settings.","IP addresses.","Database server settings.","DNS settings.","Mail server settings.","Antivirus and spam protection settings.","SSL certificates.","Reseller plans, hosting plans, and add-on plans.","Information about administrator's subscriptions, reseller accounts, customer accounts and websites.","Information about user roles.","Information about auxiliary users who can access Customer Panel.","Information about mail accounts and individual settings for protection from spam and viruses .","Site isolation settings.","Settings for notification on system events.","License keys for Plesk, virtual host templates, website content, error documents, log files, and content of mailboxes.","This backup level does not include the following:","Backup settings (FTP settings, scheduled backup, global backup settings)","Firewall rules","Additional Administrator Accounts","Selected Mail/DNS server","DB servers","Installed extensions and their settings","Plesk internal settings: /admin/conf/panel.ini","PHP interpreter settings: /admin/conf/php.ini","Secret key that can be used in XML API calls for authentication in Plesk: /etc/psa/private/secret_key","reseller","This backup level includes the following:","Reseller information.","Reseller's hosting plans.","Resource allotments and permissions for operations in Plesk.","Allocated IP addresses.","Information about customer accounts, subscriptions, and websites with DNS settings.","Information about user roles.","Information about auxiliary users who can access Customer Panel.","Information about mail accounts and individual settings for protection from spam and viruses.","Website content, error documents, log files, content of mailboxes.","This backup level does not include the following:","Backup settings (FTP settings, scheduled backup)","customer","This backup level includes the following:","Customer information.","Hosting plans to which the customer is subscribed.","Resource allotments and permissions for operations in Customer Panel.","IP addresses used by customer's subscriptions.","Information about websites with DNS settings.","Information about user roles.","Information about auxiliary users who can access Customer Panel.","Information about mail accounts and individual settings for protection from spam and viruses.","Website content, error documents, log files, content of mailboxes.","This backup level does not include the following:","Backup settings (FTP settings, scheduled backup)","subscription","This backup level includes the following:","Information about a subscription, its owner and associated hosting plan.","IP addresses allocated to the subscription.","Resource allotments and permissions for operations in Customer Panel.","Information about websites with DNS settings.","Information about mail accounts and individual settings for protection from spam and viruses.","Website content, error documents, log files, content of mailboxes.","This backup level does not include the following:","Backup settings (FTP settings, scheduled backup)","Backup Objects: Hierarchy and Volume","68483.htm");
Page[29]=new Array("Defining data that should be backed up includes the following:","Defining backup level and, unless it is the server level, optionally, selecting which resellers, customers, or subscriptions should be backed up.","(optional) Defining which resellers, customers, or subscriptions should be excluded from the backup.","(optional) Restricting backup to either only mail or only web hosting settings, and only to configuration.","(optional) Defining that log files are excluded from backup.","Generally speaking, the data that can be backed up with one call of the pleskbackup utility are represented by any single cell of the following table.","(All)","Only web hosting settings","option: --only-hosting","Only mail","option: --only-mail","(All)","Only configuration","option: -c","(All)","Only configuration","option: -c","(All)","Only configuration","option: -c","Server","command:","--server","(All)","Excluding resellers","options:","--exclude-reseller or","--exclude-reseller-file ","Excluding customers","options:","--exclude-client or","--exclude-client-file","Excluding subscriptions","options:","--exclude-domain or","--exclude-domain-file","All or selected resellers","command:","--resellers-name","or","--resellers-id","(All) / (All selected)","Example 1","Excluding resellers","options:","--exclude-reseller or","--exclude-reseller-file","Example 1*","Excluding customers","options:","--exclude-client or","--exclude-client-file","Excluding subscriptions","options:","--exclude-domain or","--exclude-domain-file","All or selected customers","command:","--clients-name","or","--clients-id","(All) / (All selected)","Excluding customers","options:","--exclude-client or","--exclude-client-file","Excluding subscriptions","options:","--exclude-domain or","--exclude-domain-file","All or selected subscriptions","command:","--domains-name","or","--domains-id","(All) / (All selected)","Example 2","Excluding subscriptions","options:","--exclude-domain or","--exclude-domain-file","Example 1: With one call of pleskbackup, you can back up hosting data for several resellers (row 5 or 6 in the table, depending on what is more convenient: to list resellers that should be included or those excluded) and restricting the backup data to configuration of web hosting on sites owned by the resellers or their customers (column 4 in the table).","To back up website hosting configuration of resellers with usernames reseller1 and reseller2, issue the following command:","pleskbackup --resellers-name &quot;reseller1 reseller2&quot; --only-hosting -c","Note: Do not press Ctrl+C while a backup task is running. Doing so will result in a failed backup task.","Example 2: With one call of pleskbackup, you can back up mail configuration and content of mail accounts (column 5) for all subscriptions existing on the server (row 12).","To back up mail accounts with messages for all subscriptions:","pleskbackup --domains-name --only-mail","The rest of this section explains each option in detail and provides examples of commands.&nbsp;","Defining backup level and selecting objects ","To define backup level and select backup objects, the commands of pleskbackup utility are used. ","If performing a selective backup, resellers, customers or subscriptions selected for the backup should be specified by their identifiers which are either usernames or IDs. The specification can be done in one of the following two ways:","Command line specification. The backup command takes objects identifiers as arguments separated with spaces.","File specification. The backup command takes the --from-file option which specifies the file where the identifiers of objects are listed. The file must be in plain text format, and object identifiers are separated by line breaks (i.e., one identifier per line).","Note: If a command contains both specifications, file specification is used and the command line specification is ignored.","To back up all data related to Plesk installation:","pleskbackup --server","To back up all resellers, customers, or subscriptions:","pleskbackup --&lt;resellers|clients|domains&gt;-&lt;name|id&gt;","For example, to back up all customer accounts:","pleskbackup clients-name","or","pleskbackup clients-id","To back up several resellers, customers, or subscriptions defined in the command line:","pleskbackup --&lt;resellers|clients|domains&gt;-&lt;name|id&gt; [","&lt;identifier1&gt; [","&lt;identifier2&gt; ... [&lt;identifier n&gt;]]","For example, to back up three resellers defined in the command line: ","pleskbackup --resellers-name &quot;johndoe janedoe josephine&quot;","To back up several resellers, customers, or subscriptions listed in a file:","pleskbackup --&lt;resellers|clients|domains&gt;-&lt;name|id&gt; --from-file=&lt;file&gt;","For example,","pleskbackup --resellers-name --from-file=&quot;E:\\backup lists\\j.txt&quot;","Defining which objects should be excluded","Objects that should be excluded from backup are specified by their usernames (reseller, customer accounts) or domain names (subscriptions). The specification can be done as follows:","Command line specification. The backup command takes objects identifiers as values of the --exclude-&lt;reseller|client|domain&gt; option separated by commas.","File specification. The backup command takes the objects identifiers from the file specified by the --exclude-&lt;reseller|client|domain&gt;-file option. The file must be in plain text format, and object identifiers are separated by line breaks (that is, one identifier per line).","Note: It is acceptable to use both specifications in one command. In such case, all specified objects are excluded from backup.","To back up all reseller accounts except for several selected resellers:","pleskbackup --resellers-name --exclude-reseller=&lt;login1&gt;,&lt;login2&gt;[,&lt;login n&gt;]","or","pleskbackup --resellers-name --exclude-reseller-file=&lt;file&gt;","For example,","pleskbackup --resellers-name --exclude-reseller=johndoe,janedoe","or","pleskbackup --resellers-name --exclude-reseller-file=&quot;E:\\backup lists\\j.txt&quot;","To back up a selected reseller without several subscriptions belonging to him or her, or his or her customers:","pleskbackup --resellers-name &lt;username&gt; --exclude-domain=&lt;name1&gt;,&lt;name2&gt;,&lt;name n&gt;","or","pleskbackup --resellers-name &lt;username&gt; --exclude-domain-file=&lt;file&gt;","For example,","pleskbackup --resellers-name johndoe --exclude-domain=example.com,example.net,example.org","or","pleskbackup --resellers-name johndoe --exclude-domain-file=&quot;D:\\backup-lists\\excl-example-domains.txt&quot;","Restricting backup to only mail or only physical hosting, and to only configuration","The amount of backup data can be further narrowed to backing up either mail or physical hosting content and configuration by using the --only-mail or --only-hosting options, respectively. ","Specifying the --only-hosting option results in backing up only website-specific data which includes the following, for each domain with physical hosting:","website content (including protected directories, web users, MIME types)","web hosting configuration (including settings of anonymous FTP, log rotation, hotlink protection, shared SSL, web users)","installed site applications","databases","subdomains","Specifying the --only-mail option results in backing up only mail-specific data which includes the following:","if used for the partial backup, for each domain included in backup:","configuration of per-subscription mail settings","mail accounts","mailing lists","if used for the full backup, in addition to previous:","RBL protection settings","ACL white and black list configurations","The amount of backup data can also be narrowed in another way: by specifying that only configurations of the selected objects should be backed up. The specification is done by using the --only-configuration option.","Such backups are useful when the objects content is backed up by a third-party system. ","To back up mail configuration on subscriptions belonging to a customer:","pleskbackup --clients-&lt;name|id&gt; &lt;name|id&gt; --only-mail --configuration ","For example, ","pleskbackup --clients-id 42 --only-mail --configuration","To back up websites content and hosting configuration on subscriptions belonging to all resellers:","pleskbackup --resellers-id --only-hosting","Excluding log files from back up","In case Plesk's log files related to the hosted objects are not required to be backed up, they can be excluded from the backup by using the --skip-logs option.","To back up the Plesk configuration without log files:","pleskbackup --server -c --skip-logs","Specifying Data for Backing Up","68485.htm");
Page[30]=new Array("Defining properties of the files that will be contained in backup includes the following:","Defining that archives with backup object contents should not be compressed.","Defining that a prefix should be added to names of the backup files.","Defining that backup files should be split into parts of the specified size.","Defining that archives with backup object contents should not be compressed","By default, Plesk saves backed up content to compressed .zip archives to save disk space when the backup is stored. However, restoring backups that contain compressed archives requires almost two times more disk space than restoring those with uncompressed files. If you want to create your backups without compression, use the -z option in your backup command.","Defining that a prefix should be added to names of the backup files","In order to better distinguish files that were created during one backup session from another, pleskbackup adds a prefix to backup file name. By default, it is backup, so every backup file name looks like backup_&lt;file-name&gt;.&lt;ext&gt;. The prefix in names of the files that compose a particular backup can be customized by using the --prefix option. The option's value will be added as a prefix to names of files of the created backup.","For example, to create a backup of the server mail configuration so that all files in backup have prefix mail-friday:","pleskbackup --server --only-mail --configuration --prefix=&quot;friday&quot;","Defining that backup files should be split into parts of the specified size","The pleskbackup utility is capable of splitting backup files into parts of a particular size, which is vitally useful in cases when the file size is critical. Such cases can be, for example, the following:","if backups are burnt to DVDs, file size should not exceed approximately 4 Gbytes","if backups are stored on the FAT32 file system, file size should not exceed approximately 4 Gbytes","if backups are stored on FTP, FTP server may have its own restrictions on the size of a single file transferred to the server","To make pleskbackup split the backup files to parts of a particular size, use the -s|--split option and specify the required size as the option value. For details on the format of size specification, refer to the section Backup Utility Commands and Options. The default value used by pleskbackup if no custom size is specified is 2 Gbytes. The utility numbers file parts created as a result of split by adding numerical suffixes to the file names starting from .1.","For example, to back up a subscription and split backup files into parts of no more than 700 Mbytes:","pleskbackup --domains-name example.com --only-hosting --split=700M","Defining Properties of Files That Compose Backup","68490.htm");
Page[31]=new Array("By default, pleskbackup stores backups in Plesk's backup storage located on the server in %plesk_dir%\\Backup\\. ","Plesk is capable of exporting the created backup as a single .zip file in one of the following ways:","to stdout","to local file system","to FTP server","To export backup as a single file, use the --output-file option. Particular export mode requires specific option values.","Important: After a backup is exported, pleskbackup removes it from the Plesk's backup storage.","The exported file can also be created not compressed and/or split in parts of a particular size, just as the files composing backup in storage (details).","Exporting to stdout","To export a backup as file to stdout, use the --output-file option with the stdout value. ","For example, to create backup of a subscription with ID 1 and export it to stdout:","pleskbackup --domains-id 1 --output-file stdout","Exporting to local file system","To export a backup as a file to local file system, use the --output-file option with a &lt;full-path-to-file&gt;\\&lt;file-name&gt; value.","For example, to create backup of a subscription with ID 1 and export it to the file domain1.zip located at c:\\tmp folder:","pleskbackup --domains-id 1 --output-file=&quot;c:\\tmp\\domain1.zip&quot;","Exporting to FTP server","To export a backup as a file to an FTP server, use either of the following options:","--output-file=ftp://&lt;login&gt;:&lt;password&gt;@&lt;server&gt;/&lt;filepath&gt;","--output-file=ftp://&lt;server&gt;/&lt;filepath&gt;  --ftp-login=&lt;ftp login&gt; --ftp-password=&lt;ftp password&gt;","You may want to use passive mode FTP connection in case a firewall prevents the export. For this, use the --ftp-passive-mode option.","For example, to create backup of a subscription with ID 1 and export it to FTP server example.com to the storage/backups/ directory, using johndoe as login and jjFh6gsm as password:","pleskbackup --domains-id 1 --output-file=ftp://johndoe:jjFh6gsm@example.com/storage/backups","or","pleskbackup --domains-id 1 --output-file=ftp://example.com/storage/backups --ftp-login=johndoe --ftp-password=jjFh6gsm","&nbsp;","Exporting Backup Files","68491.htm");
Page[32]=new Array("You can specify the following options for the backup operation:","Do not perform the backup if your server does not have specified free disk space.","Do not perform the backup if your server does not have enough free disk space to store the backup content.","Temporarily suspend websites during backup.","Configure the backup utility to include more details in backup reports.","Specifying disk space requirements for the backup","You can prevent the start of the backup operation if your server has not enough disk space to complete it. To set the free disk space requirements, change the parameters in the file %plesk_dir%/admin/share/pmmcli/pmmcli-rc. ","There are two ways to prevent the start of the backup operation:","Specify minimal free disk space on your server. <br>If the server does not have the specified disk space, Plesk will not start the backup operation. Set the minimal free disk space in MB by changing the value of the FREE_DISK_SPACE parameter. Say, to prevent the backup if free disk space on the server is less than 100 MB, edit the line in the following way:","FREE_DISK_SPACE 100","Restrict the backup if your server does not have enough free disk space to store the backup content. If this option is turned on, Plesk calculates the future backup size and compares it with the free disk space on the server. If there is not enough disk space, Plesk will not start the backup operation. Note that this option can significantly increase the backup time.<br>To turn this option on, set the CHECK_BACKUP_DISK_SPACE to 1. To turn this option off, set the parameter to 0. Say:","CHECK_BACKUP_DISK_SPACE 0","Suspending websites","If your backup will include websites, we recommend that you suspend them during the backup process by using the --suspend option of the backup utility. This will help you avoid possible errors that may be caused by changes done to the site configuration or content during the backup. ","The suspension is made up to be as short as possible: each site is suspended only for the time it is being backed up: The site is started automatically as soon as its data are processed.","Defining level of backup verbosity","Verbose mode of backup process is defined by the -v option:","No -v option used. The minimum level, only general errors are displayed, like, for example, syntax errors (no or wrong command specified, invalid input parameters), runtime errors and unhandled exceptions, low disk space for backup, and so on.","The -v option used. Sets up the maximum verbosity level: additionally includes debugging information and response/request messages to the internal backup utility.","Note: pleskbackup outputs information on its execution to stdout only. If you want to have the backup log saved, redirect the utility output to a file with standard command line means.","To run a task on creating a complete server backup with maximum level of verbosity:","pleskbackup --server -v","Defining How the Backup Process Is Performed","68492.htm");
Page[33]=new Array("Location","%plesk_dir%\\bin\\pleskbackup<br>where %plesk_dir% is an environment variable for Plesk installation directory. By default, it is &quot;C:\\Program Files\\Parallels\\Plesk&quot;.","&nbsp;","Usage","pleskbackup &lt;command&gt; [&lt;arguments&gt;] [&lt;options&gt;]","&nbsp;","Commands","&nbsp;","Command","Argument","Description ","--server","Backs up all data related to the Plesk installation.","--resellers-name","[&lt;username-1&gt; &lt;username-2&gt; &lt;...&gt; &lt;username-n&gt;]","Backs up all data for the resellers specified by usernames. ","Usernames should be separated by spaces and enclosed in quotes. ","Can be used with the --from-file option. In such case, resellers specified in the file are backed up and resellers specified as command arguments are ignored.","If no usernames are specified and the -f option is not used, all resellers are backed up.","--resellers-id","[&lt;ID1&gt; &lt;ID2&gt; &lt;...&gt; &lt;IDn&gt;]","Backs up all data for the resellers specified by IDs.","IDs should be separated by spaces and enclosed in quotes.","Can be used with the --from-file option. In such case, resellers specified in the file are backed up and resellers specified as command arguments are ignored.","If no IDs are specified and the -f option is not used, all resellers are backed up.","--clients-name","[&lt;username-1&gt; &lt;username-2&gt; &lt;...&gt; &lt;username-n&gt;]","Backs up all data for the customers specified by usernames. ","Usernames should be separated by spaces and enclosed in quotes.","Can be used with the --from-file option. In such case, customers specified in the file are backed up and customers specified as command arguments are ignored.","If no usernames are specified  and the -f option is not used, all customer accounts are backed up.","--clients-id","[&lt;ID1&gt; &lt;ID2&gt; &lt;...&gt; &lt;IDn&gt;]","Backs up all data for the customers specified by IDs.","IDs should be separated by spaces and enclosed in quotation marks.","Can be used with the --from-file option. In such case, customers specified in the file are backed up and customers specified as command arguments are ignored.","If no IDs are specified  and the -f option is not used, all customer accounts are backed up.","--domains-name","[&lt;name-1&gt; &lt;name-2&gt; &lt;...&gt; &lt;name-n&gt;]","Backs up all data for the subscriptions specified by domain names. ","Names should be separated by spaces and enclosed in quotation marks.","Can be used with the --from-file option. In such a case, subscriptions specified in the file are backed up and subscriptions specified as command arguments are ignored.","If no names are specified and the -f option is not used, all subscriptions are backed up.","--domains-id","[&lt;ID1&gt; &lt;ID2&gt; &lt;...&gt; &lt;IDn&gt;]","Backs up all data for the subscriptions specified by IDs. ","IDs should be separated by spaces and enclosed in quotation marks.","Can be used with the --from-file option. In such case, subscriptions specified in the file are backed up and subscriptions specified as command arguments are ignored.","If no IDs are specified and the -f option is not used, all subscriptions are backed up.","--help","Displays help on the utility usage.","&nbsp;","Exclude Options","Option","Description ","--exclude-reseller[=&lt;username1&gt;,&lt;username2&gt;,...]","Skips resellers with the specified usernames during backup.","--exclude-reseller-file[=&lt;file&gt;]","Skips resellers listed in the specified file during backup.","--exclude-client=[&lt;username1&gt;,&lt;username2&gt;,...]","Skips customer accounts with the specified usernames during backup.","--exclude-client-file=&lt;file&gt;","Skips customer accounts listed in the specified file during backup.","--exclude-domain[=&lt;name1&gt;,&lt;name2&gt;,...]","Skips subscriptions with the specified names during backup.","--exclude-domain-file=&lt;file&gt;","Skips subscriptions listed in the specified file during backup.","--exclude-pattern [=&lt;path1&gt;,&lt;path2&gt;,...]","Skips files and directories with the specified paths during backup.","--exclude-pattern-file=&lt;file&gt;","Skips files and directories listed in the specified file during backup.","&nbsp;","General Options","Option","Description ","-v|--verbose","Shows more information about the backup process.","-c|--configuration","Backs up only configurations of Plesk objects, excluding their content.","-s|--split[=&lt;integer&gt;[K|M|G]]","Splits the backup files into parts of the specified size. The parts are numbered by appending numerical suffixes starting with .1. ","Size is specified in Kbytes, Mbytes or Gbytes. If none is defined, then interpreted as being in bytes.","If no argument is specified, the default value of 2 Gbytes is used.","-z|--no-gzip","Sets that objects content is archived without compressing.","--only-mail","Backs up only mail configuration and content.","When used with the resellers|clients|domains-login|id commands, backs up configuration of domain-level mail system, and content and configuration of mail accounts.","When used with the server command, backs up also server-wide mail configuration.","Cannot be used together with the --only-hosting option.","--only-hosting","Backs up only web hosting configuration and website content, including site applications, databases and subdomains.","Cannot be used together with the --only-mail option.","--suspend","Suspends sites during backup operation.","-f| --from-file=&lt;file&gt;","Backs up resellers|customers|subscriptions listed in the specified file, ignoring those specified in the command line as arguments. ","The file should be in plain text format and should contain a list of resellers|customers|subscriptions, one per line.","Used only with the resellers-name, resellers-id, clients-name, clients-id, domains-name, domains-id commands. ","Depending on the command, resellers|customers|subscriptions are listed in the file by either usernames or IDs.","--skip-logs","Sets that log files are not saved to backup.","--prefix=&lt;string&gt;","Adds specified prefix to the backup file names.","Used to customize backup file name which is created with the backup prefix by default.","&nbsp;","FTP Options","Option","Description ","--ftp-login=&lt;ftp_username&gt;","Specifies FTP account username that will be used for uploading backup file to the FTP server.","--ftp-password=&lt;ftp_password&gt;","Specifies password that will be used for uploading backup file to the FTP server.","--ftp-passive-mode","Specifies that the passive mode for FTP connection should be used.","&nbsp;","Output File Option","Option","Description ","--output-file","Exports backup as a single file to  stdout and removes backup from Plesk's storage.","--output-file=&lt;fullpath/filename&gt;","Exports backup as a single file with the specified name to a local file system and removes backup from Plesk's storage.","--output-file=&lt;ftp://[&lt;username&gt;[:&lt;password&gt;]@]&lt;server&gt;/&lt;filepath&gt;&gt;","Exports backup as a single file to the specified FTP server and removes backup from Plesk's storage.","The FTP_PASSWORD environment variable can be used for setting password.","The --ftp-login and --ftp-password FTP options can be used for setting username and password.","Backup Utility Commands and Options","68614.htm");
Page[34]=new Array("To perform restoration of Plesk hosting data, you should execute the pleskrestore utility command composed so that it does the following:","Defines the Plesk objects to be restored.","Defines how the restore process will be performed.","Defines conflict resolution rules and policies.","The following sections explains each component in detail.","The pleskrestore utility is located in %plesk_dir%\\bin\\<br>where %plesk_dir% is an environment variable for the Plesk installation directory. By default, it is &quot;C:\\Program Files\\Parallels\\Plesk\\&quot;.","To see a list of the pleskrestore commands and options, refer to the section Restoration Utility Commands and Options.","If a restoration process fails, you can use its logs for troubleshooting. Each restoration process's logs are stored in %plesk_dir%\\PMMlogs\\restore-YYYY-MM-DD-hh-mm-nnn, where YYYY-MM-DD-hh-mm is the date and time when the restoration was performed and nnn is a randomly generated number.","Restoring Data","68480.htm");
Page[35]=new Array("Defining objects for restoration includes the following:","Specifying a source backup file.","Defining the level of restored objects.","Applying filter on the specified level.","Generally speaking, the data that can be restored with one call of the pleskrestore utility are represented by any cell of the following table.","Restoration levels specified with the -level option","Server","Resellers","Customers","Subscriptions","Selected with the"," -filter option","Selected with the -filter option","Selected with the -filter option","Backup file","&lt;server&gt;.xml | zip","Full restoration","All reseller accounts","Selected reseller accounts","All customer accounts belonging to administrator","Selected customer accounts belonging to administrator","All subscriptions belonging to administrator","Selected subscriptions belonging to administrator","&lt;reseller&gt;.xml | zip","Full restoration of a reseller account","All customer accounts belonging to reseller","Selected customer accounts belonging to reseller","All subscriptions belonging to reseller","Selected subscriptions belonging to reseller","&lt;customer&gt;.xml | zip","Full restoration of a customer account","All subscriptions belonging to customer","Selected subscriptions belonging to customer","&lt;subscription&gt;.xml | zip","Full restoration of a subscription","Specifying a source backup file","The source backup file defined for restoration can be of one of the following types:","&lt;info&gt;.xml - backup metadata file, in case of restoring from backup located in Plesk's storage.","&lt;backup&gt;.&lt;zip&gt; - archived backup file, in case of restoring from an exported backup.","For example, to restore the whole server backup, you choose a &lt;backup storage root&gt;\\&lt;server&gt;.xml file, or an exported server backup file. To restore a customer account belonging to a reseller, you choose a &lt;backup storage root&gt;\\resellers\\&lt;reseller ID&gt;\\clients\\&lt;customer ID&gt;\\&lt;customer&gt;.xml file.","Defining level of restored objects","Defining level of restored objects allows you to narrow the amount of restored data according to your needs. For example, you may want to restore only subscriptions which belong to a customer or a reseller, skipping all other data not related to subscriptions.","To define the level of restored objects, use the -level option with appropriate value. The option is required, so in cases when you do not need any narrowing but just restoring all data from a backup, define the level equal to the level of file.","To restore entire server:","pleskrestore --restore &lt;backup storage root&gt;\\&lt;server&gt;.xml -level server","Note: When the whole server backup is restored, license keys are not restored by default. To restore license keys along with other server content, use the -license option in your restore command.","To restore entire server with license keys:","pleskrestore --restore &lt;backup storage root&gt;\\&lt;server&gt;.xml -level server -license","To restore all subscriptions and sites belonging to a reseller:","pleskrestore --restore &lt;backup storage root&gt;\\resellers\\&lt;reseller ID&gt;\\&lt;reseller&gt;.xml -level domains","To restore all reseller accounts:","pleskrestore --restore &lt;backup storage root&gt;\\&lt;server&gt;.xml -level resellers","Applying filter on the specified level","To perform a more selective restore, use a filter (the -filter option) which selects for restoring particular objects of the specified level (resellers, customers, subscriptions). The objects are specified by their names, which are domain names for subscriptions, and usernames for resellers and customers. The specification can be done as follows:","Command line specification. The restore command takes objects identifiers as values of the -filter option defined in the following string: list:&lt;item1&gt;,&lt;item2&gt;,...,&lt;itemN&gt;.","File specification. The restore command takes the objects identifiers from the file specified as argument of  the -filter option. The file must be in plain text format, and object identifiers are separated by line breaks (that is, one identifier per line).","To restore two resellers from a server backup:","pleskrestore --restore &lt;backup storage root&gt;\\&lt;server&gt;.xml -level resellers -filter list:JohnDoe,JaneDoe","or","pleskrestore --restore &lt;upload directory&gt;\\&lt;server backup name&gt;.zip -level resellers -filter list:JohnDoe,JaneDoe","&nbsp;","To restore two subscriptions owned by server administrator:","pleskrestore --restore &lt;backup storage root&gt;\\&lt;server&gt;.xml -level domains -filter list:example.com,sample.org","&nbsp;","To restore several subscriptions of a customer defined in a file:","pleskrestore --restore &lt;backup storage root&gt;\\resellers\\SandyLee\\clients\\JaneDow\\&lt;customer&gt;.xml -level domains -filter &lt;path to the file&gt;\\restore-subscriptions.txt","Defining Objects for Restoration","68495.htm");
Page[36]=new Array("By default, all backups are created in a backup storage located on the Plesk-managed server: in %plesk_dir%\\Backup\\ folder, where %plesk_dir% is environment variable specifying directory where Plesk is installed (if installed to default locations, it is &quot;C:\\Program Files\\Parallels\\Plesk\\&quot;)","The storage is structured as follows, starting with the content of storage root folder (we omit auxiliary files and folders which are irrelevant for backing up and restoring Plesk data using pleskbackup and pleskrestore utilities).","&nbsp;","&lt;info&gt;.xml","Metadata files of full and server-level backups, one per backup, describe configuration and content.","&lt;content&gt;.&lt;zip&gt;","Archives with content related to server configuration and Plesk settings.","clients\\","Directory containing the following backup data:","customer accounts belonging to the server administrator","objects related to those accounts","Organization of the directory is the same as that of  &lt;storage&gt;\\resellers\\&lt;reseller ID&gt;\\clients\\.","domains\\","Directory containing the following backup data:","subscriptions belonging to the server administrator","objects related to administrator's subscriptions","Organization of the directory is the same as that of  &lt;storage&gt;\\resellers\\&lt;reseller ID&gt;\\clients\\&lt;client ID&gt;\\domains.","&lt;subscription name 1&gt;.tld","Directory containing data related to all sites hosted under a subscription.","&lt;subscription name 2&gt;.tld","Directory containing data related to all sites hosted under a subscription.","resellers\\","Directory containing the following backup data:","reseller accounts","objects owned by the resellers<br>","&lt;reseller ID&gt;\\","Directories containing backup data of particular resellers, one reseller per directory, and the objects owned by them. ","The reseller ID stands for the reseller username.","&lt;info&gt;.xml","Metadata files of the reseller backups, one file per backup, describe configuration and content of the reseller and the objects they own.","&lt;content&gt;.&lt;zip&gt;","Archives with the content.","domains\\","Directory containing the following backup data:","subscriptions owned by the reseller","objects owned by the subscriptions","Organization of the directory is the same as that of  &lt;storage&gt;\\resellers\\&lt;reseller ID&gt;\\clients\\&lt;client ID&gt;\\domains\\.","clients\\","Directory containing the following backup data:","customer accounts owned by the reseller","objects owned by the customers ","&lt;customer's username&gt;\\","Directories containing backup data of particular customers, one customer per directory, and the objects owned by them.","&lt;info&gt;.xml","Metadata files of the customer backups, one file per backup, describe configuration and content of the customer account and the objects it owns.","&lt;content&gt;.&lt;zip&gt;","Archives with the customer content.","domains\\","Directory containing the following backup data:","subscriptions owned by the customer","objects owned by the subscriptions","&lt;subscription name 1&gt;.tld","Directory containing data related to all sites hosted under a subscription.","&lt;info&gt;.xml","Metadata files of the domain backups, one file per backup, describe configuration and content of the backed up webspace.","&lt;content&gt;","ZIP archives containing data related to the hosted websites and mail accounts.","&nbsp;","Files of each backup are placed in the storage folders according to the described structure. ","If a partial backup is created, its files will be places according to the place the backup objects have in the hierarchy. For example, if backing up domain example.com owned by reseller JaneDoe, its files will be located in the &lt;storage root directory&gt;\\resellers\\JaneDoe\\domains\\example.com\\ folder. If backing up reseller JohnDoe who owns the subscription joe.info and has one customer Client1 who owns the subscription sample.org, the backup files will be located in the following folders:","&lt;storage root directory&gt;\\resellers\\JohnDoe\\","&lt;storage root directory&gt;\\resellers\\JohnDoe\\domains\\joe.info\\","&lt;storage root directory&gt;\\resellers\\JohnDoe\\clients\\Client1\\","&lt;storage root directory&gt;\\resellers\\JohnDoe\\clients\\Client1\\domains\\sample.org\\","To distinguish files belonging to different backups of the same object, specific prefix and suffix are added to the file names:","the backup is added by default, and, if you like, you can change it to your own on a per-backup basis","suffix designating the backup creation date is always added to each backup file, the date format is &lt;yymmddhhmm&gt;. For example, files of backup created on 6 April 2011, 8:58 PM will have suffix 1104062058.","Plesk is capable of exporting backup as a single .zip file. Each archive has the same structure as the storage, the only difference is that there is only one &lt;info&gt;.xml file on each level. ","In case a partial backup is exported, the resulting file structure is reduced from the top so that the highest level corresponds to the level of the highest backup object. For example, if a backup of a single customer (called, for example, SandyLee) is exported, the resulting file will have the following structure: ","zip {","&lt;sandy lee info&gt;.xml","&lt;content&gt;.zip","domains\\","subscription1\\","...","subscription_N\\","...","}","Backup File Structure","68484.htm");
Page[37]=new Array("When restoring data, you can also do the following:","Temporarily suspend websites during restoration.","Configure the restoration utility to include more details in backup reports.","Ignore warnings about backup files corruption or modification.","Suspending Websites","If you are going to restore websites, we recommend that you suspend them during the restoration by using the -suspend option. This will help you avoid possible errors in the restored sites that may be caused by changes done to the site configuration or content during the restoration. ","The suspension is made up to be as short as possible: each site is suspended only for the time it is being restored: The site is started automatically as soon as the data are processed.","Defining Level of Restore Verbosity","pleskrestore works in one of the following verbosity modes:","Non-verbose mode. Default mode. The minimum level, only general errors are displayed, like, for example, syntax errors (no or wrong command specified, invalid input parameters), runtime errors and unhandled exceptions, and so on.  ","Verbose mode. Restore runs with verbosity level which additionally includes deployer errors, information about conflicts (read about restore conflicts in the section Conflict Resolution Rules and Policies), and so on. Enabled by adding the -verbose option to the pleskrestore command.","Ignoring Warnings About Backup Corruption or Modification","When you attempt to restore a backup file by means of the pleskrestore utility, Plesk checks the file and does not restore it if any of the following problems are found:","The file is corrupted.","The file was modified manually after downloading from the server.","The file was created on another server.","The file was created in a Plesk version earlier than 11.5.","Note: Actually, files created in earlier Plesk versions are not a problem. Plesk marks such backups as problematic because they lack backup signatures. A bakcup signature, introduced in Plesk 11.5, enables Plesk to check backups.","To skip checking and restore a backup disregarding potential problems, use the -ignore-sign option.","Another way for Plesk administrators to restore backups with problems is through the Plesk GUI by selecting the corresponding option on the backup restoration page. Note that customers and resellers are unable to restore such backups by default. However, you can allow all users to restore any backups disregarding potential problems. To do this, add the following lines to the %plesk_dir%\\admin\\conf\\panel.ini configuration file:","[pmm]","allowRestoreModifiedDumps = on","To return to the default restrictions, remove these lines or change the second line to the following:","allowRestoreModifiedDumps = off","Defining How the Restoration Process Is Performed","68496.htm");
Page[38]=new Array("Conflict is a situation when settings in a backup and settings in a destination Plesk are such that restoring backup objects leads to an error or unpredictable Plesk behavior.","Types of Conflicts","The restoration process can encounter several types of conflicts, which are the following:","Timing conflicts. An object being restored might exist in the system and its last modification date might be more recent than the date of backup. Or an object could be deleted from the system later than the backup was created. ","Resource usage conflicts. There are two groups of resource usage conflicts:","Common resource usage conflict: The total amount of measurable resources after restoration might appear to be over the limits for this particular user (e.g., disk space limit).","Unique resource usage conflict: An object being restored requires a unique resource which is already used by another object in the system or does not exist (e.g., domain).","Configuration conflicts. It might happen that configuration being restored is not enabled on the destination server. Two types of cases can happen here:","Configuration options are not enabled for the domain.","Required configuration options are not available (e.g., site applications are not available for the customer, database server is not configured on the host, IP address is not allocated to the reseller, etc.)","Conflict Resolutions","The following types of conflicts resolutions are possible:","Overwrite. Means that all objects will be restored from the backup files regardless of their current presence in the system. Overwrite works as follows:","If an object/setting from backup does not exist in Plesk, it is created.","If an object/setting from backup exists in Plesk, it replaces the existing.","If an object/setting exists in Plesk but is missed in a backup, the existing remains.","Proceed with current. Means that objects which currently present in the system won&#8217;t be affected by the restoration process. The restoration process will move to the objects belonging to that one, not touching the object itself. ","Do not restore. Means that the objects which currently present in the system or were deleted after the backup won&#8217;t be restored together with the lower level objects belonging to it.","Automatic. Means that configuration option that should be enabled for domain is enabled automatically.","Overuse. Means that objects are restored with the resources overuse. Can be applied only to objects that belong to a reseller who works in the oversell mode.","Rename. Means that unique resources for the restored domain are reassigned with the specified, existing in the system (mapping).","Conflict Resolution Policies and Rules","Depending on the scope of a conflict resolution, we distinguish conflict resolution rules and policies:","Rule defines the way of how a specific single conflict should be resolved.","Policy defines the way of how all conflicts of a particular type should be resolved.","Conflicts Resolving Mechanism: Default Policies, Custom Policies, and Rules","The restoration utility brings a set of default, hard-coded conflict resolution policies, which are as follows:","for timing conflicts - Overwrite","for common resource usage conflicts - Overuse","for unique resource usage conflicts - Do not restore","for configuration conflicts - Automatic","The default policies are always applied&nbsp;during restoration and cannot be changed or overridden.","Applying default policies may resolve not all the conflicts occurred. In such cases, those who perform restore should additionally define custom rules and/or policies that resolve the remaining conflicts. Custom rules and policies are defined in an XML format as described in the section Resolutions Description Format.","Simplified presentation of the conflicts resolving during restore is as follows:","Administrator runs pleskrestore with specific parameters.","pleskrestore detects the conflicts occurred and resolves them with the default policies.","pleskrestore checks if any conflicts remain unresolved.","In case all conflicts are resolved, the restoration continues.","pleskrestore stops the restoration and, if run in debug or verbose mode, returns detailed description (in XML format) of each remaining conflict.","Basing on the returned description of the conflicts, administrator creates a file that defines a resolution for each conflict (with rules) and/or in bulk (with custom policies). ","Administrator runs the pleskrestore utility with the --conflicts-resolution option and the file created at the previous step as its argument.","pleskrestore detects the conflicts occurred and resolves them with the default policies.","pleskrestore processes the remaining conflicts:","pleskrestore applies resolution rules from the file.","pleskrestore applies resolution policies from the file to the rest of the conflicts.","pleskrestore checks if any conflicts remain unresolved.","In case all conflicts are resolved, the restoration continues.","In case any conflicts remain unresolved, pleskrestore stops the restoration and, if run in debug or verbose mode, returns detailed description (in XML format) of each remaining conflict.","To have such dump restored, admin should add resolution rules for each remaining conflict to the conflict resolution file and repeat the restoration task.","Conflict Resolution Rules and Policies","68497.htm");
Page[39]=new Array("This section describes how to implement custom conflict resolutions during restore.","Custom Conflict Resolutions","68505.htm");
Page[40]=new Array("Conflict descriptions returned by pleskrestore utility contain message elements included for the GUI generation purposes. Despite of the self-explaining character of XML conflict descriptions, values of the message elements may be confusing, so this section describes the meanings of these messages as they are displayed in Plesk GUI.","&nbsp;","Value of message element","Message displayed in Plesk GUI","backup__restore__object_vhost","Virtual host","backup__restore__object_plesk_admin","server administrator","backup__restore__conflict_object_name","&lt;object name&gt;","backup__restore__conflict_object_complex_name","&lt;object name&gt; of &lt;group name&gt;","backup__restore__conflict_object_mailname","&lt;mail name&gt;@&lt;domain name&gt;","backup__restore__object_ftpuser","FTP account","backup__restore__object_webuser","web user","backup__restore__object_domain","subscription name or domain name","backup__restore__object_subdomain","subdomain","backup__restore__object_domainalias","domain alias","backup__restore__object_client","customer","backup__restore__object_reseller","reseller","backup__restore__object_autoresponder","auto-reply","backup__restore__object_mailalias","mail alias","backup__restore__object_database","database","backup__restore__object_mailname","mail account","backup__restore__conflict_timing_reason_owner_absent","Cannot restore object: object owner is not specified","backup__restore__conflict_timing_reason_wrong_owner","Cannot restore object: object owner does not exist in Plesk","backup__restore__conflict_timing_reason_object_already_exists","Cannot restore &lt;object name&gt;: &lt;object name&gt; &lt;object type&gt; already exists in Plesk","backup__restore__conflict_configuration_reason_ip","Cannot restore object: required IP address &lt;IP&gt; not found in owner's IP pool","backup__restore__conflict_configuration_reason_db","Cannot restore database: required database server &lt;host&gt; is not registered in Plesk ","backup__restore__conflict_configuration_reason_site_app","Cannot restore web application: required web application &lt;application name&gt; not found in owner's web application pool ","backup__restore__conflict_unique_reason_name_already_used","Cannot restore &lt;object&gt;: name &lt;unique resource name&gt; is already used in Plesk by another &lt;object&gt; ","backup__restore__conflict_resource_usage_reason","Cannot restore object: resource limit &lt;limit name&gt; will be exceeded (required: &lt;value&gt;, available: &lt;value&gt;) ","Conflict Description Messages","68506.htm");
Page[41]=new Array("The file should be structured as follows.","conflict-resolution-rules<br>Required, document root element.","policy","Required, contains the policies descriptions. Children, if present, must be placed in the order shown on the scheme.","timing<br>Optional, contains description of policy on resolving timing conflicts. See the structure below.<br>Must be present in the document if a timing policy should be used during the restore.<br>May not be present in the document if no policy required for timing conflicts.","resource-usage<br>Optional, contains description of policy on resolving resource usage conflicts. See the structure below.<br>Must be present in the document if a resource usage policy should be used during the restore.<br>May not be present in the document if no policy required for resource usage conflicts.","configuration<br>Optional, contains description of policy on resolving configuration conflicts. See the structure below.<br>Must be present in the document if a configuration policy should be used during the restore.<br>May not be present in the document if no policy required for configuration conflicts.","rule<br>Optional, contains the rule descriptions. For details on the node structure, refer to the Resolutions Description Format: Rules section.","The policy elements have the same structure:","@@@","resolution<br>Required, contains a definition of conflict resolution. Structured as follows:","The resolution element must not be empty, it is required that it contains one, and only one of its children elements:","do-not-restore<br>Sets the Do Not Restore resolution, empty value.","proceed-with-current<br>Sets the Proceed With Current resolution, empty value.","automatic<br>Sets the Automatic resolution, empty value.","overuse<br>Sets  the Overuse resolution, empty value.","overwrite<br>Sets  the Overwrite resolution, empty value.","rename<br>Sets  the Rename resolution, empty value.","new-name<br>Required, makes sense only if defined for configuration conflicts. Specifies a name of new configuration that should be assigned to all conflict objects. The value must be a string.","Policies","68509.htm");
Page[42]=new Array("The file should be structured as follows. ","conflict-resolution-rules<br>Required, document root element.","policy<br>Required, contains the policies descriptions. For details on the node format, refer to the section Resolutions Description Format: Policies.<br>The element content must reflect the conditions under which the conflicts were detected.","rule<br>Optional, contains a rule description. <br>Must be present in the document when defining conflict resolution rules. Should be present as many times as the number of unresolved conflicts.","At least one of the attributes (conflict-id, conflict-guid) MUST be present.","conflict-id<br>Optional, defines ID of the conflict being resolved. Value is integer.<br>The ID should be obtained from the conflict description returned by pleskrestore (the &quot;/conflicts-description/conflict[@id]&quot; attribute value)","conflict-guid<br>Optional, defines global ID of the conflict being resolved. Value is string.<br>The GUID should be obtained from the conflict description returned by pleskrestore (the &quot;/conflicts-description/conflict[@guid]&quot; attribute value). <br>If omitted, the conflict for resolution is identified by ID. ","dump-objects<br>Optional, holds a collection of descriptions of backup objects involved into the conflict and taking the same conflict resolution <br>Must be present in the document in case when different objects involved in the same conflict should be resolved in different ways.<br>May not be present in the document in case when all objects involved in the conflict should be resolved the same way.<br>See the structure below.","resolution<br>Required, contains definition of resolution for the conflict, see the structure below.","&nbsp;","dump-objects structure:","node<br>Required, contains a description of backup object involved in the conflict.<br>The element contents must be taken from the conflict description returned by pleskrestore (the &quot;/conflicts-description/conflict/conflicting-objects/node&quot; element).<br>Structured as follows:","name<br>Required, specifies the object type, value must be a string.","context<br>Optional, holds a collection of data specifying the object position in backup.","path<br>Required if the context element is present in the document, specifies the location of object definition in the backup metadata. Value must be a string conforming to the XPath notation.","attributes<br>Required, holds a collection of the object properties.","attribute<br>Required, specifies a particular property of the object (e.g., login, ID, GUID, etc.), empty value.","name<br>Required, specifies the property name, value must be a string.","value<br>Required, specifies the property value, value must be a string.","&nbsp;","resolution structure:","The resolution element must not be empty, it is required that it contains one, and only one of its children elements:","do-not-restore<br>Sets the Do Not Restore resolution for the conflict, empty value.","proceed-with-current<br>Sets the Proceed With Current resolution for the conflict, empty value.","automatic<br>Sets the Automatic resolution for the conflict, empty value.","overuse<br>Sets the Overuse resolution for the conflict, empty value.","overwrite<br>Sets the Overwrite resolution for the conflict, empty value.","rename<br>Sets the Rename resolution for the conflict, empty value.","new-name<br>Required, specifies a name of unique resource that should be assigned to the conflicting objects, value must be a string.<br>Makes sense only for unique resource usage conflicts (mapping of IP, database server, object owner).","&nbsp;","Rules","68508.htm");
Page[43]=new Array("The default conflict resolution policies are described in the following XML:","&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;","&lt;conflict-resolution-rules&gt;","  &lt;policy&gt;","    &lt;timing&gt;","      &lt;resolution&gt;","        &lt;proceed-with-current /&gt;","      &lt;/resolution&gt;","    &lt;/timing&gt;","    &lt;resource-usage&gt;","      &lt;resolution&gt;","        &lt;do-not-restore /&gt;","      &lt;/resolution&gt;","    &lt;/resource-usage&gt;","    &lt;configuration&gt;","      &lt;resolution&gt;","        &lt;automatic /&gt;","      &lt;/resolution&gt;","    &lt;/configuration&gt;","  &lt;/policy&gt;","&lt;/conflict-resolution-rules&gt;","&nbsp;","The following conflict resolution file resolves all configuration conflicts with database mapping. This can be done in case all configuration conflicts beyond default policies appear because a database server defined in the backup is missed on the target Plesk installation.","&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;","&lt;conflict-resolution-rules&gt;","  &lt;policy&gt;","    &lt;configuration&gt;","      &lt;resolution&gt;","        &lt;rename new-name=&quot;host:192.0.2.12:port:3306&quot;/&gt;","      &lt;/resolution&gt;","    &lt;/configuration&gt;","  &lt;/policy&gt;","&lt;/conflict-resolution-rules&gt;","Samples of Policy Description","68510.htm");
Page[44]=new Array("This reference section contains format specification of conflict resolution rules description, and several examples of conflicts that may appear and their possible resolutions.","Samples of Conflict Resolution With Rules","68511.htm");
Page[45]=new Array("This sample represents descriptions of a conflict which appeared unresolved upon using default policies, and its resolution.","The conflict appears because of the following mismatch in backup data and destination Plesk configuration:","&nbsp;","Backup","Destination Plesk","Subscription example.com owned by the reseller with ID 30 has web hosting configured on shared IP address 192.0.2.200.","Reseller with ID 30 does not have shared IP address 192.0.2.200 in his or her IP pool.","The conflict is resolved with IP mapping suggesting that the restored subscription will be hosted on shared IP 192.0.2.34 which is in the owner's IP pool.","Note that the conflict resolution XML contains no conflict resolution policies.","Sample 1: Configuration Conflict with Missing IP Address","68512.htm");
Page[46]=new Array("&lt;conflicts-description&gt;","	&lt;conflict id=&quot;0&quot;&gt;  ","    &lt;type&gt;","      &lt;configuration&gt;","        &lt;reason-description&gt;","          &lt;required-resource-description&gt;","            &lt;ip type=&quot;shared&quot; value=&quot;192.0.2.200&quot;&gt;&lt;/ip&gt;","          &lt;/required-resource-description&gt;        ","          ","          &lt;plesk-object-identifier&gt;","          &lt;!-- beginning of definition of Plesk object that conflicts with an object in the backup --&gt;","          &lt;!-- In resource usage conflicts, the plesk-object-identifier element specifies Plesk object which is an owner of the conflicting resource. In this example, the conflicting resource is IP, and its owner is a described reseller with ID 30. --&gt;","            &lt;type&gt;reseller&lt;/type&gt;","            &lt;database-id&gt;30&lt;/database-id&gt;","            &lt;guid&gt;93dbe1b1-cff5-430f-8466-5b810099772f&lt;/guid&gt;","          &lt;/plesk-object-identifier&gt;","          &lt;!-- end of definition of Plesk object that conflicts with an object in the backup --&gt;          ","        &lt;/reason-description&gt;","        ","        &lt;resolve-options&gt;","          &lt;option name=&quot;do-not-restore&quot;&gt;&lt;/option&gt;","          &lt;option name=&quot;rename&quot;&gt;&lt;/option&gt;","          &lt;option name=&quot;automatic&quot;&gt;&lt;/option&gt;","        &lt;/resolve-options&gt;","        &lt;!-- resolve-options element lists all resolutions that are possible for this particular conflict. When composing the conflict resolution rule, you should choose one of these resolutions. --&gt;","        ","      &lt;/configuration&gt;","    &lt;/type&gt;","    ","    &lt;conflicting-objects&gt;","    &lt;!-- beginning of definition of backup objects that conflict with destination Plesk objects. Here, it is a domain example.com --&gt;","      &lt;node children-processing-type=&quot;&quot; name=&quot;domain&quot;&gt;","        &lt;attributes&gt;","          &lt;attribute name=&quot;id&quot; value=&quot;25&quot;&gt;&lt;/attribute&gt;","          &lt;attribute name=&quot;guid&quot; value=&quot;0822c175-a10d-459e-bd3a-e5cbc497e1f0&quot;&gt;&lt;/attribute&gt;","          &lt;attribute name=&quot;owner-guid&quot; value=&quot;93dbe1b1-cff5-430f-8466-5b810099772f&quot;&gt;&lt;/attribute&gt;","          &lt;attribute name=&quot;name&quot; value=&quot;example.com&quot;&gt;&lt;/attribute&gt;","        &lt;/attributes&gt;","      &lt;/node&gt;","    &lt;/conflicting-objects&gt;  ","    &lt;!-- end of definition of backup objects that conflict with destination Plesk objects --&gt;    ","    ","    &lt;overview&gt;","    &lt;!-- beginning of more detailed conflict overview. Here, the conflict appears because the required IP 192.0.2.200 is not in the owner's IP pool --&gt;","      &lt;object&gt;","        &lt;message&gt;backup__restore__conflict_object_name&lt;/message&gt;","        &lt;name&gt;example.com&lt;/name&gt;","        &lt;type&gt;domain&lt;/type&gt;","        &lt;reasons&gt;","          &lt;reason&gt;","            &lt;message&gt;backup__restore__conflict_configuration_reason_ip&lt;/message&gt;            ","            &lt;param name=&quot;ip-address&quot; value=&quot;192.0.2.200&quot;&gt;&lt;/param&gt;","            &lt;param name=&quot;ip-type&quot; value=&quot;shared&quot;&gt;&lt;/param&gt;","            &lt;param name=&quot;type&quot; value=&quot;reseller&quot;&gt;&lt;/param&gt;            ","          &lt;/reason&gt;","        &lt;/reasons&gt;","      &lt;/object&gt;","    &lt;/overview&gt;","    &lt;!-- end of detailed conflict overview  --&gt;","    ","  &lt;/conflict&gt;","&lt;/conflicts-description&gt;","Conflicts Description","68513.htm");
Page[47]=new Array("&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;","&lt;resolve-conflicts-task-description&gt;","  &lt;conflict-resolution-rules&gt;","    &lt;policy /&gt;","    &lt;rule conflict-id=&quot;0&quot;&gt;","      &lt;dump-objects&gt;","        &lt;node name=&quot;domain&quot;&gt;","          &lt;attributes&gt;","          &lt;attribute name=&quot;id&quot; value=&quot;25&quot;&gt;&lt;/attribute&gt;","          &lt;attribute name=&quot;guid&quot; value=&quot;0822c175-a10d-459e-bd3a-e5cbc497e1f0&quot;&gt;&lt;/attribute&gt;","          &lt;attribute name=&quot;owner-guid&quot; value=&quot;93dbe1b1-cff5-430f-8466-5b810099772f&quot;&gt;&lt;/attribute&gt;","          &lt;attribute name=&quot;name&quot; value=&quot;example.com&quot;&gt;&lt;/attribute&gt;","          &lt;/attributes&gt;","        &lt;/node&gt;","      &lt;/dump-objects&gt;","      &lt;resolution&gt;","      &lt;!-- beginning of the conflict resolution definition: IP mapping: upon restore, the conflicting domain example.com should have hosting configured on IP 192.0.2.34 --&gt;","        &lt;rename new-name=&quot;ip-type:shared:ip-address:192.0.2.34&quot;/&gt;","      &lt;/resolution&gt;","      &lt;!-- end of the conflict resolution definition --&gt;","    &lt;/rule&gt;","  &lt;/conflict-resolution-rules&gt;","&lt;/resolve-conflicts-task-description&gt;","Conflicts Resolution","68514.htm");
Page[48]=new Array("This sample represents description and resolution of configuration conflicts which appeared unresolved due to the lack of the required database server on the destination server.","The conflicts appear because of the following mismatches in backup data and destination Plesk configuration.","Backup","Destination Plesk","Domain sample.net has database mysql_db2_7469 on the MySQL database server with host name 192.0.2.15 listening on port 3306.","No MySQL servers configured on host 192.0.2.15.","Domain 69.sample.net has database mysql_db1_6319 on the MySQL database server with host name 192.0.2.15 listening on port 3306.","These conflicts are resolved with database mapping (Rename resolution) suggesting that the first databases will be restored on the MySQL server with host name 192.0.2.12, and the second to the local MySQL database server.","Sample 2: Configuration Conflict With Missing Database Server","68515.htm");
Page[49]=new Array("&lt;conflicts-description&gt;","  &lt;conflict id=&quot;0&quot;&gt;","    &lt;type&gt;","      &lt;configuration&gt;","        &lt;reason-description&gt;","          &lt;required-resource-description&gt;","            &lt;db-server host=&quot;192.0.2.15&quot; type=&quot;mysql&quot; port=&quot;3306&quot;&gt;&lt;/db-server&gt;","          &lt;/required-resource-description&gt;          ","          &lt;plesk-object-identifier&gt;","          &lt;!-- beginning of definition of Plesk object that conflicts with an object in the backup. In resource usage conflicts it is owner of the conflicting resource. Here, it is Plesk administrator who is the owner of all database servers --&gt;","            &lt;type&gt;admin&lt;/type&gt;","            &lt;database-id&gt;1&lt;/database-id&gt;","            &lt;guid&gt;00000000-0000-0000-0000-000000000000&lt;/guid&gt;","          &lt;/plesk-object-identifier&gt;","          &lt;!-- end of definition of Plesk object that conflicts with an object in the backup --&gt;","          ","        &lt;/reason-description&gt;","        &lt;resolve-options&gt;","          &lt;option name=&quot;do-not-restore&quot;&gt;&lt;/option&gt;","          &lt;option name=&quot;rename&quot;&gt;&lt;/option&gt;","          &lt;option name=&quot;automatic&quot;&gt;&lt;/option&gt;","        &lt;/resolve-options&gt;","      &lt;/configuration&gt;","    &lt;/type&gt;","    &lt;conflicting-objects&gt;","    &lt;!-- beginning of definition of backup objects that conflict with destination Plesk objects. Here, it is database mysql_db2_7469  --&gt;","      &lt;node children-processing-type=&quot;&quot; name=&quot;database&quot;&gt;","        &lt;attributes&gt;","          &lt;attribute name=&quot;guid&quot; value=&quot;86124f4a-5935-48c4-80df-6d3e9c645378_db_20&quot;&gt;&lt;/attribute&gt;","          &lt;attribute name=&quot;owner-guid&quot; value=&quot;86124f4a-5935-48c4-80df-6d3e9c645378&quot;&gt;&lt;/attribute&gt;","          &lt;attribute name=&quot;name&quot; value=&quot;mysql_db2_7469&quot;&gt;&lt;/attribute&gt;","        &lt;/attributes&gt;","      &lt;/node&gt;","    &lt;/conflicting-objects&gt;","    &lt;!-- end of definition of backup objects that conflict with destination Plesk objects --&gt;","    &lt;overview&gt;","    &lt;!-- beginning of detailed overview of the conflict. This conflict appears because database mysql_db2_7469 requires MySQL database server with host name 192.0.2.15 listening on port 3306, which is not configured on the destination Plesk. --&gt;","      &lt;object&gt;","        &lt;message&gt;backup__restore__conflict_object_complex_name&lt;/message&gt;","        &lt;name&gt;mysql_db2_7469&lt;/name&gt;","        &lt;type&gt;database&lt;/type&gt;","        &lt;owner-name&gt;sample.net&lt;/owner-name&gt;","        &lt;reasons&gt;","          &lt;reason&gt;","            &lt;message&gt;backup__restore__conflict_configuration_reason_db&lt;/message&gt;","            &lt;param name=&quot;db-type&quot; value=&quot;mysql&quot;&gt;&lt;/param&gt;","            &lt;param name=&quot;db-host&quot; value=&quot;192.0.2.15&quot;&gt;&lt;/param&gt;","            &lt;param name=&quot;db-port&quot; value=&quot;3306&quot;&gt;&lt;/param&gt;","            &lt;param name=&quot;type&quot; value=&quot;admin&quot;&gt;&lt;/param&gt;","            &lt;param name=&quot;name&quot; value=&quot;backup__restore__object_plesk_admin&quot;&gt;&lt;/param&gt;","          &lt;/reason&gt;","        &lt;/reasons&gt;","      &lt;/object&gt;","    &lt;/overview&gt;","    &lt;!-- end of detailed overview of the conflict --&gt;","  &lt;/conflict&gt;","  &lt;!-- =============== begin new conflict description =============== --&gt;  ","  &lt;conflict id=&quot;1&quot;&gt;","    &lt;type&gt;","      &lt;configuration&gt;","        &lt;reason-description&gt;","          &lt;required-resource-description&gt;","            &lt;db-server host=&quot;192.0.2.15&quot; type=&quot;mysql&quot; port=&quot;3306&quot;&gt;","&lt;/db-server&gt;","          &lt;/required-resource-description&gt;","          &lt;plesk-object-identifier&gt;","          &lt;!-- beginning of definition of Plesk object that conflicts with an object in the backup. In resource usage conflicts it is the owner of the conflicting resource. Here, it is Plesk administrator who is the owner of all database servers --&gt;","            &lt;type&gt;admin&lt;/type&gt;","            &lt;database-id&gt;1&lt;/database-id&gt;","            &lt;guid&gt;00000000-0000-0000-0000-000000000000&lt;/guid&gt;","          &lt;/plesk-object-identifier&gt;","          &lt;!-- end of definition of Plesk object that conflicts with an object in the backup --&gt;","        &lt;/reason-description&gt;","        ","        &lt;resolve-options&gt;","          &lt;option name=&quot;do-not-restore&quot;&gt;&lt;/option&gt;","          &lt;option name=&quot;rename&quot;&gt;&lt;/option&gt;","          &lt;option name=&quot;automatic&quot;&gt;&lt;/option&gt;","        &lt;/resolve-options&gt;","      &lt;/configuration&gt;","    &lt;/type&gt;","    ","    &lt;conflicting-objects&gt;","    &lt;!-- beginning of definition of backup objects that conflict with destination Plesk objects. Here, it is database mysql_db1_6319  --&gt;","      &lt;node children-processing-type=&quot;&quot; name=&quot;database&quot;&gt;","        &lt;attributes&gt;","          &lt;attribute name=&quot;guid&quot; value=&quot;e1fbb4b2-538b-4542-9220-56808741a3d3_db_19&quot;&gt;&lt;/attribute&gt;","          &lt;attribute name=&quot;owner-guid&quot; value=&quot;e1fbb4b2-538b-4542-9220-56808741a3d3&quot;&gt;&lt;/attribute&gt;","          &lt;attribute name=&quot;name&quot; value=&quot;mysql_db1_6319&quot;&gt;&lt;/attribute&gt;","        &lt;/attributes&gt;","      &lt;/node&gt;","    &lt;/conflicting-objects&gt;","    &lt;!-- end of definition of backup objects that conflict with destination Plesk objects --&gt;","    &lt;overview&gt;","    &lt;!-- beginning of detailed overview of the conflict. This conflict appears because database mysql_db1_6319 requires MySQL database server with host name 192.0.2.15 listening on port 3306, which is not configured on the destination Plesk server. --&gt;","      &lt;object&gt;","        &lt;message&gt;backup__restore__conflict_object_complex_name&lt;/message&gt;","        &lt;name&gt;mysql_db1_6319&lt;/name&gt;","        &lt;type&gt;database&lt;/type&gt;","        &lt;owner-name&gt;69.sample.net&lt;/owner-name&gt;","        &lt;reasons&gt;","          &lt;reason&gt;","            &lt;message&gt;backup__restore__conflict_configuration_reason_db&lt;/message&gt;","            &lt;param name=&quot;db-type&quot; value=&quot;mysql&quot;&gt;&lt;/param&gt;","            &lt;param name=&quot;db-host&quot; value=&quot;192.0.2.15&quot;&gt;&lt;/param&gt;","            &lt;param name=&quot;db-port&quot; value=&quot;3306&quot;&gt;&lt;/param&gt;","            &lt;param name=&quot;type&quot; value=&quot;admin&quot;&gt;&lt;/param&gt;","            &lt;param name=&quot;name&quot; value=&quot;backup__restore__object_plesk_admin&quot;&gt;&lt;/param&gt;","          &lt;/reason&gt;","        &lt;/reasons&gt;","      &lt;/object&gt;","    &lt;/overview&gt;","    &lt;!-- end of detailed overview of the conflict --&gt;","  &lt;/conflict&gt;","&lt;/conflicts-description&gt;","Conflicts Description","68516.htm");
Page[50]=new Array("&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;","&lt;resolve-conflicts-task-description&gt;","  &lt;conflict-resolution-rules&gt;","    &lt;policy /&gt;","    &lt;rule conflict-id=&quot;0&quot;&gt;","    &lt;!-- beginning of the first conflict resolution rule: restore the database described in the  node  element on local MySQL server listening on the port 3306 --&gt;","      &lt;dump-objects&gt;","        &lt;node name=&quot;database&quot;&gt;","          &lt;attributes&gt;","            &lt;attribute name=&quot;name&quot; value=&quot;mysql_db2_7469&quot;/&gt;","          &lt;/attributes&gt;","        &lt;/node&gt;","      &lt;/dump-objects&gt;","      &lt;resolution&gt;","        &lt;rename new-name=&quot;host:192.0.2.12:port:3306&quot;/&gt;","      &lt;/resolution&gt;","    &lt;/rule&gt;","    &lt;!-- end of the first conflict resolution rule --&gt;","    &lt;rule conflict-id=&quot;1&quot;&gt;","    &lt;!-- beginning of the second conflict resolution rule: restore the database described in the  node  element on local MySQL server listening on the port 3306 --&gt;","      &lt;dump-objects&gt;","        &lt;node name=&quot;database&quot;&gt;","          &lt;attributes&gt;","            &lt;attribute name=&quot;name&quot; value=&quot;mysql_db1_6319&quot;/&gt;","          &lt;/attributes&gt;","        &lt;/node&gt;","      &lt;/dump-objects&gt;","      &lt;resolution&gt;","        &lt;rename new-name=&quot;host:localhost:port:3306&quot;/&gt;","      &lt;/resolution&gt;","    &lt;/rule&gt;   ","    &lt;!-- end of the second conflict resolution rule --&gt; ","  &lt;/conflict-resolution-rules&gt;","&lt;/resolve-conflicts-task-description&gt;","Conflicts Resolution","68517.htm");
Page[51]=new Array("Location","%plesk_dir%\\bin\\pleskrestore<br>where %plesk_dir% is an environment variable for Plesk installation directory. By default, it is &quot;C:\\Program Files\\Parallels\\Plesk\\&quot;.","&nbsp;","Usage","pleskrestore &lt;command&gt; [&lt;arguments&gt;] [&lt;options&gt;]","&nbsp;","Commands","Command","Argument","Description ","--restore","&lt;backup_file&gt;","Restores data from the specified backup.","Requires the -level option.","--check-backup","&lt;backup_file&gt;","Checks integrity of the specified backup file, which is:","backup digital sign match","backup file format","content files integrity","--get-restore-task-status","&lt;task ID&gt;","Displays the status of a restoration task while the restoration is being implemented. You can get the task ID using the -async option with the --restore command.","-i|--info ","&lt;backup_file&gt;","Shows the backup file description.","-h|--help ","Displays help on the utility usage.","Options","Option","Argument","Description ","-level","clients|resellers|domains|server","Specifies restore level.","Required with the --restore command.","-filter","&lt;file&gt;|&lt;list:&lt;item1_name&gt;[,&lt;item2_name&gt;[,...]]&gt;","Specifies list of subscriptions, customer or reseller names for restoring. The object names are listed either in a specified file, one per line, or as the option argument, separated by commas.","-only-mailnames","&lt;file | list:item1[,...]&gt;","Specifies a list of mailboxes for restoration. The list can be read from a file or specified in a comma-separated list. The format of a list item is &lt;mailbox&gt;@&lt;domain_name&gt;.","Use the additional option -domain-name to specify the subscription for which you want to restore the mailboxes.","-only-maillists","&lt;file | list:item1[,...]&gt;","Specifies a list of mailing lists for restoration. The list can be read from a file or specified in a comma-separated list. The format of a list item is &lt;mailing list&gt;@&lt;domain_name&gt;. ","Use the additional option -domain-name to specify the subscription for which you want to restore the mailing lists.","-only-databases","&lt;file | list:item1[,...]&gt;","Specifies a list of databases for restoration. The list can be read from a file or specified in a comma-separated list. The format of a list item is [&lt;server_type&gt;:[&lt;server_host&gt;:[&lt;server_port&gt;:]]]&lt;database_name&gt;, where server_type can be mysql, mssql, or postgresql. ","Use the additional option -domain-name to specify the subscription for which you want to restore the databases.","-only-web-content","file | list:item1[,...]&gt;","Specifies a list of files or directories for restoration. The list can be read from a file or specified in a  comma-separated list. Paths to files and directories should be relative to the subscription root. ","Use the additional option -domain-name to specify the subscription for which you want to restore the files","-only-sites","file | list:item1[,...]&gt;","Specifies a list of sites for restoration. The list can be read from a file or specified in a comma-separated  list. The format of a list item is &lt;domain_name&gt;. ","Use the additional option -domain-name to specify the  subscription for which you want to restore the sites.","-only-dns-zones","file | list:item1[,...]&gt;","Specifies a list of DNS zones for restoration. The list can be read from a file or specified in a comma-separated list. The format of a list item is &lt;domain_name&gt;. ","Use the additional option -domain-name to specify the subscription for which you want to restore the DNS zones.","-only-certificates","file | list:item1[,...]&gt;","Specifies a list of SSL certificates for restoration. The list can be read from a file or specified in a comma-separated list. The format of a list item is &lt;certificate_name&gt;[:&lt;domain_name&gt;].  ","Use the additional  option -domain-name to specify the subscription for which you want to restore the certificates.","-domain-name","&lt;domain_name&gt;","Specifies the domain name. Used with the -only-mailnames, -only-maillists, -only-databases, -only-web-content, -only-dns-zones, -only-sites or -only-certificates options.","-configuration-only","Restores configuration only (without content). Used with the -level, -only-mailnames, -only-databases, -only-sites and -only-maillists options.","-content-only","Restores content only (without configuration). Used with the -only-mailnames, -only-databases, -only-sites and -only-maillists options.","-server-pool","Specifies that SSL certificates are from the server pool. Use with the -only-certificates option.","-license","Restores Plesk license key from the backup.","-verbose","Enables verbose restore mode.","-quiet","Enables quiet restore mode.","-debug","Enables debugging restore mode.","-nowarning","Do not display warning messages.","-conflicts-resolution","&lt;file&gt;","Specifies file that describes conflict resolution policies and rules.","-dump-file","&lt;backup_file&gt;","Specifies a backup file to restore. ","-param-file","&lt;param_file&gt;","Specif parameters file.","-suspend","Suspends the sites being restored.","-backup-password","&lt;password&gt;","If you used password protection for a backup, use this option to specify the password. You can also set the password with the environment variable PLESK_BACKUP_PASSWORD, this is a more secure way.","-ignore-backup-password","Allows you to restore a backup without providing the backup  password. Note that in this case, some sensitive data will not be restored properly. For example, user passwords will be replaced with random ones, the information about already installed APS apps will be lost, and so on.","-ignore-sign","Allows restoring backups that are created on other servers or in Plesk versions earlier than 11.5. ","Warning: If you use this option, Plesk will restore the backup file even if it is corrupted or modified manually.","-async","Restores the backup asynchronously, which means it returns the restoration task's identifier, which you can use later to retrieve the task's status. Used with the --restore command.","Restoration Utility Commands and Options","68499.htm");
Page[52]=new Array("You can migrate data to Plesk 12.5 from other servers managed by Plesk 11 or earlier by using the Plesk's Migration &amp; Transfer Manager function. This function is available in Server Administration Panel &gt; Tools &amp; Settings &gt; Migration &amp; Transfer Manager if the corresponding component is installed on the server. This component is not included in typical installations.","For detailed information about migrating data to Plesk-managed servers, refer to the Deployment Guide.","Migrating &amp; Transferring Data","68818.htm");
Page[53]=new Array("Plesk has a built-in mechanism for customizing security settings for Windows objects on the server disks. You can specify security rules and then have Plesk automatically apply the rules to Windows object security settings. The security files are easily accessible, and once you understand the logic of their use, you will be able to customize security settings on any folder or file found on a Plesk-managed server.","Incorrect security settings on Windows objects found on Plesk-managed servers may result in a number of server problems including but not limited to unavailability of site applications and services. We recommend that you become acquainted with this section before attempting to modify security settings on folders and files found on Plesk-managed server.","Plesk creates different Windows user accounts to manage servers and to serve Internet requests by IIS. Plesk has to assign the user accounts necessary permissions to access and manage Windows objects on managed servers. When assigning user account permissions, Plesk exercises two different security policies towards Windows objects - Disk security and Hosting security. Security settings for all Windows objects on a Plesk-managed server are initially configured according to the policies during Plesk installation. Compliance with the policies ensures maximum security without compromising server performance. The Windows objects security settings can be further customized. To manage object security settings, Plesk uses a flexible system based on Plesk's own security metadata files and the DACL inheritance mechanisms implemented in Windows. Security settings can be customized by using the security metadata files and command-line utilities that are distributed with Plesk.","Warning: Before making any changes to the security metadata, make a backup copy of the metadata file that you want to modify. For information why backing up security metadata files before modifying them is a good idea, see the sections Customizing Disk Security and Customizing Hosting Security."," ","Changing Security Settings for File System Objects and Accounts","49442.htm");
Page[54]=new Array("Plesk exercises two different security policies towards Windows objects: disk security and hosting security. The difference between the policies is dictated by the different security requirements for hosted content as opposed to the rest of the server disks. Both policies are defined by security rules specified in corresponding Plesk security metadata files. The disk security policy is defined by the disk security metadata file and is applied to all server disks except for the contents of the %plesk_vhosts% directory, where all hosted content is located. For more information about the disk security metadata file, see Disk Security Metadata File. All hosting directories are governed by security policies defined by corresponding hosting security metadata files. Hosting security metadata files are automatically generated from hosting security metadata file templates. For more information about security metadata file templates, see Hosting Security Metadata File Templates. ","Plesk's Security Policies","49480.htm");
Page[55]=new Array("The following table describes Windows user accounts and groups used by Plesk to manage Windows objects on server disks."," ","Account","Description","psaadm","Used by Plesk to log on to the system and access files and folders.","psacln","All users created by Plesk are members of this group.","psaserv","Some auxiliary Internet users are members of this group."," ","Windows Accounts Used by Plesk to Manage Windows Objects","49484.htm");
Page[56]=new Array(" ","Path","Account","Default Permissions *","Disk root","Everyone","Read &amp; Execute for this object only.","psaadm","Deny Full Control.","psacln","Program Files","psacln","Deny Full Control except Read Attributes.","Program Files\\Common Files","psaadm","Read &amp; Execute.","psacln","psaserv","NETWORK SERVICE","Program Files\\IIS","psaadm","Access is not allowed.","psacln","Program Files\\Reference Assemblies","psacln","Access is not allowed.","Windows","psaadm","Access is not allowed.","psacln","psaserv","NETWORK SERVICE","Documents and Settings","psaadm","Access is not allowed.","psacln","psaserv","NETWORK SERVICE","Application Data(ProgramData)","psaadm","Access is not allowed.","psacln","psaserv","NETWORK SERVICE","RECYCLER (Recycle Bin)","psaadm","Access is not allowed.","psacln","psaserv","%SystemDrive%\\inetpub\\temp","users","View, create folders, and read, write, execute files.","psaadm","View folder contents, read and execute files.","psacln","psaserv","Windows\\Temp","psaadm","View folder contents, read and execute files.","psacln","psaserv","NETWORK SERVICE","%plesk_dir%","(Plesk installation directory, which, by default, is c:\\Program Files\\Parallels\\Plesk.)","psaadm","Read &amp; Execute.","psacln","Deny Full Control.","psaserv","NETWORK SERVICE","%plesk_dir%\\isapi","psaadm","View folder contents, read and execute files.","psacln","psaserv","NETWORK SERVICE","%plesk_bin%","(The directory containing Plesk's internal utilities, which, by default, is c:\\Program Files\\Parallels\\Plesk\\admin\\bin.)","psaadm","Read and execute files.","psacln","Read Attributes for this object only; Read &amp; Execute for files","%plesk_vhosts%","(The directory containing files related to virtual hosts, which, by default, is c:\\inetpub\\vhosts.)","psacln","Deny Full Control except Read Attributes for this object only.","psaadm","Deny Full Control for this object only.","psaserv","NETWORK SERVICE"," ","* Actual permissions set on Windows objects may differ from the default permissions listed in this table because some of them may result from a combination of several security rules. For more information about security rules, see Customizing Object Security Settings in Plesk.","Default User Permissions for Disks","49485.htm");
Page[57]=new Array("Plesk administers the server on which it is installed by using a number of Windows user accounts. The user accounts are used by Plesk or remote users logging in to the Plesk-managed server. The following table lists several Windows user accounts and groups that are used by Plesk or remote users to access and manage website content. The default permissions on the main webspace folder are also described for each account."," ","Account","Description","Default permissions for the webspace folder","ftp_subaccounts","A Windows user group. Additional FTP user accounts created on domains or subdomains are assigned membership in this user group.","No access permissions.","Plesk domain user","A Windows user account. It is created for domain content management purposes at the time of domain creation. For each domain, a separate Plesk domain user account is created. Remote users can access domain content by logging in to the server by using the FTP user credentials. The account is also used by Plesk to manage hosted domain content.","FileNonRemovable for this object and Full Control for subfolders and files.","Plesk IIS user","A Windows user account. It is used for serving incoming HTTP requests. The account is automatically created during domain creation. For each domain a separate account is created. For security reasons, the user account should not be granted full access rights.","Read for files, Read &amp; Execute for folders.","&lt;IIS Application Pool user&gt;","A Windows user account created specifically to use IIS Application Pool. The use of separate user accounts corresponding to dedicated IIS Application Pools ensures the maximum degree of domain isolation. For each domain a separate account can be created. For security reasons, the user account should not be granted full access rights.","Read for files, Read &amp; Execute for folders."," ","Windows Accounts Used by Plesk to Manage Hosted Windows Objects","49486.htm");
Page[58]=new Array("The initial security configuration of all disks on a Plesk-managed server is performed during Plesk installation. Plesk applies its own security settings to all existing Windows objects on the server according to the disk and hosting security policies.","Once security has been configured, you have several options to manage security settings for Windows objects. We recommend that you use Plesk's security metadata files to set and edit security settings for Windows objects on Plesk-managed servers. The changes made in the files can be then applied to Windows objects by running the plesk bin repair utility.","You can also modify the security settings for each object individually either through Plesk GUI or Windows Explorer directly by going to Security tab in the object's Properties. However, the latter option is not recommended, because while changes made to the security settings via the Plesk GUI are included in the .security file, those made via the native Windows means are not, and will be overwritten by the plesk bin repair utility, or the Reconfigurator.exe utility.","The following advantages are afforded by using the security metadata files to configure security settings for Windows objects:","The ability to apply security rules to multiple objects at once.","Easy track of security settings changes.","Easy portability of customized security settings between domains and servers."," ","Administering Windows Objects Security on Plesk-managed Server","49487.htm");
Page[59]=new Array("The initial security configuration of Windows objects is performed automatically by Plesk during installation. Plesk creates a number of default accounts and sets user permissions on all Windows objects found on the freshly installed Plesk-managed server. All pre-existing security settings are erased and new security settings are applied according to the security rules found in the default disk security metadata file.","Subsequently, each time a new hosting account is created, the created default hosted objects are assigned user account permissions based on the security rules found in the corresponding hosting security metadata file instantiated from a current hosting security metadata file template.","If a folder or a file is created, for which no security rule is set in the security metadata, the object will automatically inherit security settings of their respective parent containers.","Initial Windows Security Configuration During Plesk Installation or Hosting Account Creation","49491.htm");
Page[60]=new Array("Plesk provides GUI access to the current security settings of Windows objects that it manages. You can browse and modify hosted objects security settings through Customer Panel. User account permissions on hosted objects can be viewed and edited by any Plesk user authorized to access hosted objects through Plesk.","Note: Security settings for some critical folders on hosting accounts are not allowed to be changed through Plesk to prevent potential security problems or website malfunction that may be caused by inadvertent user interference with the security settings.","For example, to browse the user permissions for the /httpdocs directory on domain example.com, follow these steps: ","Log in to Customer Panel as the customer who owns domain example.com.","Go to the Websites &amp; Domains tab &gt; File Manager. The list of files and directories located in the domain root directory is displayed.","Click the @ icon corresponding to the /httpdocs directory &gt; Change Permissions. The list of Windows user accounts is displayed on the left under Group or user names. By default, the upper entry in the user account list is highlighted. On the right, the access permissions for the highlighted user account are displayed.","Click on the user account or user group name in the list to view the assigned permissions. ","Note: To view the advanced security settings, click Advanced.","Browsing Object Security Settings Through Plesk GUI","49492.htm");
Page[61]=new Array("The preferred way to customize Windows object security settings is by adding new or modifying existing Entry elements in a disk security metadata file (for disk security) or in a hosting security metadata file instance corresponding to the hosting account that is authorized to access and manage the hosted objects (for hosting security). To learn why other customization options are not recommended, see Administering Object Security on Plesk-managed Server. For detailed description of the Entry element contents, see General Security Metadata Structure. For step-by-step instructions on modifying the disk security metadata file, see Customizing Disk Security. For step-by-step instructions on modifying the hosting security metadata files, see Customizing Hosting Security. ","Warning: Before making any changes to the security metadata, make a backup copy of the metadata file that you want to modify. For information why backing up security metadata files before modifying them is a good idea, see the sections Customizing Disk Security and Customizing Hosting Security."," ","Customizing Object Security Settings in Plesk","49493.htm");
Page[62]=new Array("Plesk's security rules for managed objects on hosted domains and web user folders are stored in security metadata files. Because Plesk has two different security policies applied to Windows objects, it uses two different types of security metadata files: disk security metadata file and hosting security metadata files.","The disk security metadata file defines security rules for Windows objects on server disks except for the contents of the %plesk_vhosts% directory, which contains hosted content for hosting accounts and is governed by a different security policy.","Security rules for Windows objects in the %plesk_vhosts% directory are defined by hosting security metadata files. Separate instances of hosting security metadata files are automatically created for each hosting account (domain or web user) from the corresponding template files during hosting account creation in Plesk.","You can manually modify security rules by editing corresponding security metadata files or templates. For detailed information about modifying Plesk's security rules, see the sections Customizing Disk Security and Customizing Hosting Security."," ","Security Metadata Files and Templates","49494.htm");
Page[63]=new Array("The disk security metadata file is named DiskSecurity.xml. The file defines security rules for all disks on a Plesk-managed server except for the %plesk_vhosts% folder where hosted domain folders are located. The file is located in the %plesk_dir%\\etc\\DiskSecurity directory, where %plesk_dir% is the Windows environment variable designating the Plesk installation directory.","Warning: Exercise caution when changing disk security rules by editing the DiskSecurity.xml file. Follow recommendations in the section Customizing Disk Security to avoid potential problems in administering disk security policy in Plesk."," ","Disk Security Metadata File","49495.htm");
Page[64]=new Array("Plesk's hosting security metadata template files are XML files that contain default security rules to be included in separate instances of security metadata files for each hosting account. Separate security template files exist for the following types of hosting accounts - domains and web users. When a new hosting account is created, the security metadata file template corresponding to the account's type is used to create a separate instance of a security metadata file for the account. At the time of account creation, the metadata file contains the default security configuration for all hosted objects manageable by the account. The file is stored in the root folder of the file system segment that the account is authorized to access and manage. For example, the security metadata file for domain example.com will be located in the %plesk_vhosts%\\example.com directory.","The following security settings template files are used to create security metadata files when instantiating new hosting accounts: ","%plesk_dir%\\etc\\hosting_template.xml","%plesk_dir%\\etc\\webuser_template.xml"," ","Hosting Security Metadata File Templates","49496.htm");
Page[65]=new Array("Separate instances of security metadata files exist for all hosting accounts created in Plesk - domains and web user hosting accounts. The files are located in the root folders of corresponding hosting accounts and contain security rules for all objects manageable by the authorized hosting account.","The following security metadata files are used by Plesk to administer security of hosted content for different hosting accounts: ","%plesk_vhosts%\\&lt;domain root path&gt;\\.security (domains)","%plesk_vhosts%\\&lt;domain root path&gt;\\.Web.&lt;Web user name&gt;.security (web users) ","Warning: Exercise caution when changing hosting security rules by editing security metadata files. Follow recommendations in the section Customizing Hosting Security to avoid potential problems in administering hosting security policy in Plesk."," ","Hosting Security Metadata Files","49497.htm");
Page[66]=new Array("Custom changes to disk security metadata should not be applied to the DiskSecurity.xml file itself. The disk security metadata can be contained in multiple files. All disk security metadata do not have to be contained only in the DiskSecurity.xml file. You can create any number of additional disk security metadata files. To customize disk security, you should create an additional file with the xml extension in the %plesk_dir%\\etc\\DiskSecurity directory and specify additional security rules in the file. This will enable you to track changes and manipulate sets of security metadata easily.","To customize disk security rules in Plesk: ","Log in as administrator to a Plesk-managed server over Remote Desktop.","Determine the Windows objects for which you would like to set new security rules.","Open the %plesk_dir%\\etc\\DiskSecurity folder.","In the folder, create a file with the xml extension.","You can name this file anything you want.","Open and edit the file by using your favorite XML file editor to create security rule entries.","Disk security rule entries have the same format as hosting security rule entries. For help in completing this step, see Adding New Security Rule to Hosting Security Metadata File Template. See also an explanatory example of a security rule entry following this procedure. For entry attribute descriptions and possible values, see General Security Metadata Structure.","Save and close the file.","Once you have made necessary modifications to the security metadata file, run the plesk repair utility with the --directory-permissions command and the -directory &lt;path to the directory&gt; option to apply the security rules to Windows objects. For example, to apply the disk security rules to the C:\\Temp directory run the following command:","plesk repair --directory-permissions -directory C:\\Temp","For example, you have an application (say, IIS module) installed into the folder c:\\Program Files\\AppName. This module is used on customers' sites, but it does not work properly because Plesk's default security rules prohibit customers from accessing arbitrary folders on the disk. To resolve this, you can create a file named AppName.xml, add your security rules as described further, and place the file into the directory %plesk_dir%\\etc\\DiskSecurity.  ","Example"," ","&lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot; ?&gt; ","&lt;Entries&gt;","&lt;Entry AccounType=&quot;1&quot; Account=&quot;Psacln&quot; Path=&quot;{ProgramFiles}&quot; SubPath=&quot;AppName&quot; AceFlags=&quot;ThisFolderSubfoldersAndFiles&quot; AccessMask=&quot;FullAccess&quot; EntryFlags=&quot;0&quot; /&gt; ","&lt;Entry AccounType=&quot;1&quot; Account=&quot;Psaadm&quot; Path=&quot;{ProgramFiles}&quot; SubPath=&quot;AppName&quot; AceFlags=&quot;ThisFolderSubfoldersAndFiles&quot; AccessMask=&quot;FullAccess&quot; EntryFlags=&quot;0&quot; /&gt; ","&lt;/Entries&gt;","Explanation","Because the names Psacln and Psaadm are not standard Windows system accounts, they have to be resolved in the system (hence, AccounType=&quot;1&quot;). Path=&quot;{ProgramFiles}&quot; and SubPath=&quot;AppName&quot; specify that the security rules will be applied to the folder where your application is installed. AceFlags=&quot;ThisFolderSubfoldersAndFiles&quot; specifies that, according to these rules, ACEs with permission defined by AccessMask=&quot;FullAccess&quot; will be created for the specified folder, and all of its subfolders and files. EntryFlags=&quot;0&quot; sets the ACE type to Allow.","Customizing Disk Security","49498.htm");
Page[67]=new Array("Custom changes in hosting security rules can be made both at the level of the security metadata template files and at the level of the security metadata file instances on individual hosting accounts. However, direct modification of security metadata file instances is not recommended. The preferred way of customizing hosting security is through creation of additional security metadata template files. ","Note: If you do decide to modify a security metadata file instance directly, be sure to make a backup copy of the file before modifying it.","Once a template file with additional security rules is created, the security rules can be added into or removed from hosting security metadata files by using the HostingSecurity.exe utility. ","To customize hosting security rules for Windows objects in Plesk: ","Log in as administrator to a Plesk-managed server over Remote Desktop.","Determine the Windows objects for which you want to set new security rules.","Create a hosting security metadata template file or open an existing one by using your favorite XML file editor.","For information about locating the appropriate template file, see Hosting Security Metadata File Templates.","Add or modify security rule entries in the file as needed.","For help in completing this step, see the section Adding New Security Rule to Security Metadata File Template. For entry attribute descriptions and possible values, see General Security Metadata Structure. For entry examples with explanations, see Common Security Rule Entry Examples.","Save and close the file.","Apply the changes by running the HostingSecurity.exe utility.","Customizing Hosting Security","49499.htm");
Page[68]=new Array("A security rule is an access permission for a Windows user account or group that will be added to a Windows object once the rule is applied to it. A single rule may be applied to more than one object depending on the attribute values specified. To add a security rule, you need to create an Entry element in a security metadata file template and include in it the necessary information by using the available declaration options for the element's attributes. For detailed description of the attributes and information about values that can be assigned to the attributes, see General Security Metadata Structure.","To add a security rule: ","Identify the Windows object for which you want to create a security rule.","The example used here assumes that you want to add a security rule for the error_docs folder located in the domain root directory. ","Identify the Windows object to which the rule will be applied by specifying the Path and, if applicable, the SubPath attribute in the new Entry element.","Consult General Security Metadata Structure for applicable declaration options.","For example, ","&lt;Entry AccounType=&quot;&quot; Account=&quot;&quot; Path=&quot;[HTTPD_VHOSTS_D]&quot; SubPath=&quot;error_docs&quot; AceFlags=&quot;&quot; AccessMask=&quot;&quot; EntryFlags=&quot;&quot; Tag=&quot;&quot; Tag2=&quot;&quot; /&gt; ","Specify the Windows user account to which you want to assign the security rule.","For example, to specify a domain FTP user account, make the following declarations:","&lt;Entry AccounType=&quot;0&quot; Account=&quot;Null&quot; Path=&quot;&quot; SubPath=&quot;&quot; AceFlags=&quot;&quot; AccessMask=&quot;&quot; EntryFlags=&quot;&quot; Tag=&quot;DomainUser&quot; Tag2=&quot;&quot; /&gt; ","Note: The name Null will be replaced by an actual domain FTP user account name in metadata security files instantiated from the the template file. You can also include a SidStr attribute if a SID for a particular Windows account is known. For more information about the SidStr attribute, see General Security Metadata Structure.","Define the type of the rule (Allow or Deny, just like you would for an ACE) and how the rule is to be propagated to child objects by specifying the EntryFlags element. ","For help in completing this step, see Possible EntryFlags Attribute Values. For example, to enable application of the security rule only to files contained in the specified error_docs folder, but not to the folder itself you need to use the 0x80 flag. The rule is set to the Allow type by default (the 0x0 flag) unless the 0x1 flag (Deny) is included.","&lt;Entry AccounType=&quot;&quot; Account=&quot;&quot; Path=&quot;&quot; SubPath=&quot;error_docs\\*.*&quot; AceFlags=&quot;&quot; AccessMask=&quot;&quot; EntryFlags=&quot;0x80&quot; Tag=&quot;&quot; Tag2=&quot;&quot; /&gt; ","Note: When you use the 0x80 flag, a file mask must be included in the Path or SubPath attribute, whichever is applicable. In this example the *.* mask must be used. You can use other entry flags to further fine-tune the application of the rule to Windows objects.","Set the permissions for the user account on Windows objects to which the rule will be applied by specifying the AccessMask attribute.","For help in completing this step, see Possible AccessMask Attribute Values.","For example, to grant the Read and Write permissions for the Windows user account, specify ReadWrite:","&lt;Entry AccounType=&quot;&quot; Account=&quot;&quot; Path=&quot;&quot; SubPath=&quot;&quot; AceFlags=&quot;&quot; AccessMask=&quot;ReadWrite&quot; EntryFlags=&quot;&quot; Tag=&quot;&quot; Tag2=&quot;&quot; /&gt; ","Define if ACEs must be created for the Windows object and its child objects based on this security rule by specifying the AceFlags attribute.","For help in completing this step, see Possible AceFlags Attribute Values. For example, to create ACEs only for the error_docs folder and all files contained within that folder use AceFlags=&quot;FilesOnly&quot;.","This is the resulting security rule entry: ","&lt;Entry AccounType=&quot;0&quot; Account=&quot;Null&quot; Path=&quot;[HTTPD_VHOSTS_D]&quot; SubPath=&quot;error_docs\\*.*&quot; AceFlags=&quot;FilesOnly&quot; AccessMask=&quot;ReadWrite&quot; EntryFlags=&quot;0x80&quot; Tag=&quot;DomainUser&quot; Tag2=&quot;&quot; /&gt;","Rule Description","Because the name Null is a standard system account name, it does not have to be resolved in the system (hence, AccounType=&quot;0&quot;).(The name Null will be replaced by an actual domain FTP user account name in metadata security files instantiated from the the template file). The optional Domain and SidStr attributes do not need to be defined for the same reason. The HTTPD_VHOSTS_D component path in the Path attribute specifies the path to the domain root folder where the error_docs folder is located. The SubPath attribute sets the mask for all files in the error_docs folder to which the rule will be applied. AceFlags=&quot;FilesOnly&quot; specifies that, according to this rule, an ACE with permission defined by AccessMask=&quot;ReadWrite&quot; will be created only for the error_docs folder and all files contained within that folder. However, EntryFlags=&quot;0x80&quot; further restricts the ACE creation only to the files within the folder, excluding the error_docs folder from this rule. Tag=&quot;DomainUser&quot; designates the security rule as pertaining to a domain hosting account and is used by Plesk to properly organize the processing of security metadata. ","Note: When entry flag 0x80 is included in a security rule entry, the path to the objects defined by the Path and SubPath attributes must include a file mask. This example uses file mask *.*."," ","Adding New Security Rule to Hosting Security Metadata File Template","49500.htm");
Page[69]=new Array("This section describes several security rule entry examples commonly found in security metadata files and templates."," ","Common Security Rule Examples","49501.htm");
Page[70]=new Array("The following security rule sets access rights to objects that belong to domain example.com for the Windows user account named domainuser1.","Security rule entry","&lt;Entry AccounType=&quot;1&quot; Account=&quot;domainuser1&quot; SidStr=&quot;S-1-5-21-821798554-1223697094-3523996037-1043&quot; Path=&quot;[HTTPD_VHOSTS_D]&quot; SubPath=&quot;example.com&quot; AceFlags=&quot;FilesOnly&quot; AccessMask=&quot;Read&quot; EntryFlags=&quot;0x140&quot; Tag=&quot;DomainUser&quot; Tag2=&quot;&quot; /&gt;","Explanation","Because the name domainuser1 is not a standard system account name, it has to be resolved in the system (hence, AccounType=&quot;1&quot;). The optional SidStr attribute is defined to improve Plesk stability. The HTTPD_VHOSTS_D component path in the Path attribute specifies the common part of the path to the domain root folder where the example.com folder is located. The SubPath attribute sets the specific domain root folder to which the rule will be applied. AceFlags=&quot;FilesOnly&quot; specifies that, according to this rule, an ACE with permission defined by AccessMask=&quot;Read&quot; will be created and added only to the example.com folder and all files contained within that folder. EntryFlags=&quot;0x140&quot; enables (i) creation of the domain root folder (which is necessary during domain creation) and (ii) strict enforcement of the access permissions defined by the AccessMask=&quot;Read&quot; permission mask. Tag=&quot;DomainUser&quot; designates the security rule as pertaining to a domain hosting account and is used by Plesk to properly organize the processing of security metadata."," ","Example of Security Rule Entry in Security Metadata File","49502.htm");
Page[71]=new Array("The following rule sets access rights to files in the error_docs folder on domain example.com for the Windows user account named domainuser1.","Security rule entry","&lt;Entry AccounType=&quot;1&quot; Account=&quot;domainuser1&quot; SidStr=&quot;S-1-5-21-821798554-1223697094-3523996037-1043&quot; Path=&quot;[HTTPD_VHOSTS_D]&quot; SubPath=&quot;example.com\\error_docs\\*.*&quot; AceFlags=&quot;FilesOnly&quot; AccessMask=&quot;ReadWrite&quot; EntryFlags=&quot;0x80&quot; Tag=&quot;DomainUser&quot; Tag2=&quot;&quot; /&gt;"," ","Note: When entry flag 0x80 is included in a security rule entry, the path to the objects defined by the SubPath attribute must include a file mask. This example uses file mask *.*.","Explanation","Because the name domainuser1 is not a standard system account name, it has to be resolved in the system (hence, AccounType=&quot;1&quot;). The optional SidStr attribute is defined to improve Plesk stability. The HTTPD_VHOSTS_D component path in the Path attribute specifies the common part of the path to the domain root folder where the example.com folder is located. The SubPath attribute completes the path to the error_docs folder to which the rule will be applied. AceFlags=&quot;FilesOnly&quot; specifies that, according to this rule, an ACE with permission defined by AccessMask=&quot;ReadWrite&quot; will be created and added only to the error_docs folder and all files contained within that folder. However, EntryFlags=&quot;0x80&quot; further restricts the ACE creation only to the files within the folder, excluding the error_docs folder from this rule. Tag=&quot;DomainUser&quot; designates the security rule as pertaining to a domain hosting account and is used by Plesk to properly organize the processing of security metadata."," ","Setting File Access Rights Different From Parent Container's","49503.htm");
Page[72]=new Array("The following two security rules set different sets of access rights for a parent object (in this example, the httpdocs folder on domain example.com) and its child objects - subfolders and files contained in the folder. The resulting security configuration will prohibit deletion of the parent container by a domain user but will allow the user full control for files and folders contained in the httpdocs folder.","Security rule entry 1","The following rule sets access rights to files in the httpdocs folder on domain example.com for the Windows user account named domainuser1, prohibiting deletion of the folder.","&lt;Entry AccounType=&quot;1&quot; Account=&quot;domainuser1&quot; SidStr=&quot;S-1-5-21-2767697126-2621801917-3613110436-1022&quot; Path=&quot;[HTTPD_VHOSTS_D]&quot; SubPath=&quot;example.com\\httpdocs&quot; AceFlags=&quot;ThisObjectOnly&quot; AccessMask=&quot;FileNonRemovable&quot; EntryFlags=&quot;0x140&quot; Tag=&quot;DomainUser&quot; Tag2=&quot;&quot; /","Explanation","Because the name domainuser1 is not a standard system account name, it has to be resolved in the system (hence, AccounType=&quot;1&quot;). The optional SidStr attribute is defined to improve Plesk stability. The HTTPD_VHOSTS_D component path in the Path attribute specifies the common part of the path to the domain root folder where the example.com folder is located. The SubPath attribute completes the path to the httpdocs folder to which the rule will be applied. AceFlags=&quot;ThisObjectOnly&quot; specifies that, according to this rule, an ACE with permission defined by AccessMask=&quot;FileNonRemovable&quot; will be created and added only to the httpdocs folder on domain example.com. EntryFlags=&quot;0x140&quot; enables (i) creation of the folder (which is necessary during domain creation), (ii) strict enforcement of the access permissions defined by the AccessMask=&quot;FileNonRemovable&quot; permission mask, and (iii) sets the ACE type to Allow Access. Tag=&quot;DomainUser&quot; designates the security rule as pertaining to a domain hosting account and is used by Plesk to properly organize the processing of security metadata.","Security rule entry 2","The rule sets full control rights to the httpdocs folder, its subfolders and files on domain example.com for the Windows user account named domainuser1."," ","&lt;Entry AccounType=&quot;1&quot; Account=&quot;domainuser1&quot; SidStr=&quot;S-1-5-21-2767697126-2621801917-3613110436-1022&quot; Path=&quot;[HTTPD_VHOSTS_D]&quot; SubPath=&quot;example.com\\httpdocs&quot; AceFlags=&quot;SubfoldersAndFilesOnly&quot; AccessMask=&quot;FullAccess&quot; EntryFlags=&quot;0x140&quot; Tag=&quot;DomainUser&quot; Tag2=&quot;&quot; /&gt;","Explanation","Because the name domainuser1 is not a standard system account name, it has to be resolved in the system (hence, AccounType=&quot;1&quot;). The optional SidStr attribute is defined to improve Plesk stability. The HTTPD_VHOSTS_D component path in the Path attribute specifies the common part of the path to the domain root folder where the example.com folder is located. The SubPath attribute completes the path to the httpdocs folder to which the rule will be applied. AceFlags=&quot;SubfoldersAndFilesOnly&quot; specifies that, according to this rule, an ACE with permission defined by AccessMask=&quot;FullAccess&quot; will be created and added to the httpdocs folder and all of its subfolders and files on domain example.com. EntryFlags=&quot;0x140&quot; enables (i) creation of the folder (which is necessary during domain creation) and (ii) strict enforcement of the access permissions defined by the AccessMask=&quot;FullAccess&quot; permission mask. Tag=&quot;DomainUser&quot; designates the security rule as pertaining to a domain hosting account and is used by Plesk to properly organize the processing of security metadata."," ","Prohibiting Container Deletion When Deletion of its Parent Container Contents Is Disabled","49504.htm");
Page[73]=new Array("The following two security rules set different sets of access rights for a parent object (in this example, the picture_library folder on domain example.com) and its child objects - subfolders and files contained in the folder. The resulting security configuration will prohibit deletion of the parent container by a website owner, but will allow the user full control for files and folders contained in the picture_library folder.","Security rule entry 1","The following rule sets access rights to files in the httpdocs\\picture_library folder on domain example.com for the Windows user account named domainuser1, prohibiting deletion of the folder."," ","&lt;Entry AccounType=&quot;1&quot; Account=&quot;domainuser1&quot; SidStr=&quot;S-1-5-21-821798554-1223697094-3523996037-1043&quot; Path=&quot;[HTTPD_VHOSTS_D]&quot; SubPath=&quot;example.com\\httpdocs\\picture_library&quot; AceFlags=&quot;ThisObjectOnly&quot; AccessMask=&quot;FileRemovable&quot; EntryFlags=&quot;0x141&quot; Tag=&quot;DomainUser&quot; Tag2=&quot;&quot; /&gt;","Explanation","Because the name domainuser1 is not a standard system account name, it has to be resolved in the system (hence, AccounType=&quot;1&quot;). The optional SidStr attribute is defined to improve Plesk stability. The HTTPD_VHOSTS_D component path in the Path attribute specifies the common part of the path to the domain root folder where the example.com folder is located. The SubPath attribute completes the path to the httpdocs\\picture_library folder to which the rule will be applied. AceFlags=&quot;ThisObjectOnly&quot; specifies that, according to this rule, an ACE with permission defined by AccessMask=&quot;FileRemovable&quot; will be created and added only to the httpdocs\\picture_library folder on domain example.com. EntryFlags=&quot;0x141&quot; enables (i) creation of the folder (which is necessary during domain creation), (ii) strict enforcement of the access permissions defined by the AccessMask=&quot;FileRemovable&quot; permission mask, and (iii) sets the ACE type to Deny Access. Tag=&quot;DomainUser&quot; designates the security rule as pertaining to a domain hosting account and is used by Plesk to properly organize the processing of security metadata.","Security rule entry 2","The rule sets full control rights to the httpdocs\\picture_library folder, its subfolders and files on domain example.com for the Windows user account named domainuser1."," ","&lt;Entry AccounType=&quot;1&quot; Account=&quot;domainuser1&quot; SidStr=&quot;S-1-5-21-821798554-1223697094-3523996037-1043&quot; Path=&quot;[HTTPD_VHOSTS_D]&quot; SubPath=&quot;example.com\\httpdocs\\picture_library&quot; AceFlags=&quot;ThisFolderSubfoldersAndFiles&quot; AccessMask=&quot;FullAccess&quot; EntryFlags=&quot;0x140&quot; Tag=&quot;DomainUser&quot; Tag2=&quot;&quot; /&gt;","Explanation","Because the name domainuser1 is not a standard system account name, it has to be resolved in the system (hence, AccounType=&quot;1&quot;). The optional SidStr attribute is defined to improve Plesk stability. The HTTPD_VHOSTS_D component path in the Path attribute specifies the common part of the path to the domain root folder where the example.com folder is located. The SubPath attribute completes the path to the httpdocs\\picture_library folder to which the rule will be applied. AceFlags=&quot;ThisFolderSubfoldersAndFiles&quot; specifies that, according to this rule, an ACE with permission defined by AccessMask=&quot;FullAccess&quot; will be created and added to the httpdocs\\picture_library folder and all of its subfolders and files on domain example.com. EntryFlags=&quot;0x140&quot; enables (i) creation of the folder (which is necessary during domain creation) and (ii) strict enforcement of the access permissions defined by the AccessMask=&quot;FullAccess&quot; permission mask. Tag=&quot;DomainUser&quot; designates the security rule as pertaining to a domain hosting account and is used by Plesk to properly organize the processing of security metadata."," ","Prohibiting Container Deletion When Deletion of its Parent Container Contents Is Allowed","49505.htm");
Page[74]=new Array("A security metadata template or file contains security rule entries for Windows objects. Each such entry consist of a single Entry element that has multiple attributes specifying a security rule and the identity of one or more Windows objects to which the rule applies. In addition, each Entry element declares entry flags specifying how existing DACL security settings associated with Windows objects and Plesk security rules are combined and inherited by Windows objects. The element can also have optional tags that are used by Plesk to organize processing of security metadata.","Plesk follows Windows security processing rules when translating the security rule entries stored in the metadata files into ACEs.","The following security rule entry definition format is adopted for the files:","&lt;Entry AccounType=&quot;&quot; Account=&quot;&quot; Path=&quot;&quot; AceFlags=&quot;&quot; AccessMask=&quot;&quot; EntryFlags=&quot;&quot; Tag=&quot;&quot; Tag2=&quot;&quot; /&gt;","When applying security rules listed in the metadata files to Windows objects, Plesk can write, modify, or erase existing ACEs in object DACLs, depending on what entry tags are specified by the corresponding Entry element.","The following table describes the attributes that are used in the Entry element and provides mappings to DACL's ACEs components where applicable.","Attributes and Their Mapping to ACE Components"," ","Attribute","ACE component","Required","Comment","Account","Name (the user part)","Yes","Symbolic Windows user account name for which the security rule is created.","Domain","Name (the domain part)","No","Symbolic Windows domain name to which the Windows user account belongs.","SidStr","Name's SID","No","Windows user account SID corresponding to the Windows user account name specified by the Account attribute.","AceFlags","Apply to flags","Yes","ACE control flag symbolic name or actual flag bits setting ACE inheritance rules that are applied to ACEs in object DACLs. See also Possible AceFlags Attribute Values.","AccessMask","Permission","Yes","Access mask that defines specific permissions for ACEs created from the security rule. See also Possible AccessMask Values.","EntryFlags","Type","Yes","ACE type and other flags that define rules for combining DACL security settings with the security rule defined by the Entry element. Several flags can be combined together. See also Possible EntryFlags Attribute Values.","AccounType","none","Yes","Windows user account type. This attribute specifies if the account has a well-known SID (AccountType=0) or must be resolved in the system (AccountType=1) by using the symbolic name specified by the Account attribute.","Path","none","Yes","A Plesk component path or environment variable that sets a standard path for hosted objects. See also Possible Path Attribute Values.","SubPath","none","No","Remaining part of the object path if the path is not fully defined by the Path attribute.","Tag","none","Yes","The Tag attributes are used by Plesk for processing the security rules defined in a security metadata template file. The tag attributes are required for security metadata templates, but are optional for the security metadata file .Security. See also Possible Tag Attribute Values.","Tag2","none","No"," ","General Security Metadata Structure","49506.htm");
Page[75]=new Array(" AceFlags Value","Description","ThisObjectOnly","The ACE created based on this rule will be assigned to this object only.","ThisFolderAndFiles","The ACE created based on this rule will be assigned to this folder and files contained in the folder.","FilesOnly","The ACE created based on this rule will be assigned only to files in the specified folder and the folder itself.","ThisFolderAndSubfolders","The ACE created based on this rule will be assigned to the specified folder and its subfolders only.","ThisFolderSubfoldersAndFiles","The ACE created based on this rule will be assigned to the specified folder and its subfolders and files only.","SubfoldersAndFilesOnly","The ACE created based on this rule will be assigned only to subfolders and files of the specified folder."," ","Possible AceFlags Values","49507.htm");
Page[76]=new Array("AccessMask Value","Corresponding Permissions","NoAccess","When Plesk applies security rules to an object, generic deny entries will be removed from the object's DACL. However, allow entries will remain in the object's DACL.","Read","Generic read","ReadAndExecute","Generic execute","ReadAndDelete","Generic delete","ReadWrite","Generic write","Modify","Generic write, execute, and delete","FullAccess","Full control","FileRemovable","Write extended attributes, delete and write to DACL, write owner, delete subfolders and files.","FileNonRemovable","Full control excluding write attributes for files, write extended attributes for files, delete and write to DACL, write owner, and delete subfolders and files.","FtpSubaccountsNonRemovable","Write extended attributes, add file, create directory, write attributes, and delete subfolders and files. "," ","Possible AccessMask Values","49508.htm");
Page[77]=new Array("Note: Several flags can be combined together."," ","EntryFlags value","Description","0x0","Allow access for the user account. This is the default value.","0x1","Deny access for the user account.","0x2","Applies the security rule to all parent containers in the object's path.","0x4","Breaks DACL inheritance from parent containers, erases existing ACEs, and creates new ACEs in the object's DACL based on the security rules found in the security metadata files.","0x8","Enables Plesk to proceed with applying other security rules to other objects even if an error occurs while applying a security rule carrying this flag.","0x10","Blocks propagation of the security rule to child objects of the specified folder.","0x20","Instructs Plesk to cancel applying any Plesk security rules to the specified folder.","0x40","Enables creation of absent folders.","0x80","Enables application of the security rule only to files contained in the specified folder, but not to the folder itself. Requires that an object path specified by the Path attribute includes a file mask.","0x100","Enables strict enforcing of access masks specified by the security rule. If the flag is not included in the rule, extra access permissions that already exist are left intact."," ","Possible EntryFlag Attribute Values","49509.htm");
Page[78]=new Array("Path value","Description","/","Disk's root folder.","*","Any path.","&lt;number&gt;","A well-known path. Consult MSDN for Windows' well-known paths.","a string enclosed in square brackets","Plesk component path.","&lt;path&gt;","The path to the Windows file or folder"," ","Possible Path Attribute Values","49510.htm");
Page[79]=new Array("Tag Value","Description","FtpSubaccounts","The tag is used for processing security rules for ftp_subaccounts user group.","PsaAdmin","The tag is used for processing security rules for the psaadm user account.","psaServer","The tag is used for processing security rules for the psaserv user group.","DomainUser","The tag is used for processing security rules for FTP user accounts (domain FTP user or an FTP user associated with a web user account).","AnonymousDomainUser","The tag is used for processing security rules for anonymous Internet user accounts (IIS users).","ParentUser","The tag is used for processing security rules for domain FTP user accounts created to access web user folders.","AnonymousParentUser","The tag is used for processing security rules for anonymous Internet user accounts (IIS users) created to access files on web user folders."," ","Possible Tag Attribute Values","49511.htm");
Page[80]=new Array("Maintaining proper user permissions on Windows objects on server disks is necessary to ensure the maximum security of Plesk-managed servers while enabling full functionality of hosted content. Misconfiguration of object security settings may result in unavailability of hosted content.","By using the Plesk reconfigurator utility, you can restore disk security settings based on the security rules specified in the DiskSecurity.xml file and other XML files found in the %plesk_dir%\\etc\\DiskSecurity directory.","Note: You can change the disk security rules in the XML files found in the %plesk_dir%\\etc\\DiskSecurity directory as desired before running the Reconfigurator. For more information about Plesk security policies and configuring security on Plesk-managed servers, see Administering Windows Obejcts Security on Plesk-managed Servers.","To restore the disk user permissions according to the Plesk's security metadata files, follow these steps: ","Log in to the Plesk-managed server as a user with administrator rights by using Remote Desktop.","In the Windows Start menu, select All Programs &gt; Plesk &gt; Plesk Reconfigurator. The Reconfigurator application window opens.","Select the Correct disk permissions option.","Using check boxes in the Volume column, select the drives for which you want to restore the user permissions.","Click Set to set the correct permissions for the selected drives. This operation may take some time.","For information about the default user permissions on server disks, see Default User Permissions for Disks."," ","Restoring Disk User Permissions","49732.htm");
Page[81]=new Array("The PCI Data Security Standard (PCI DSS)","The PCI DSS is a security standard that helps organizations to proactively protect customer account data. The standard constantly evolves to remain viable in today's rapidly changing Internet and computing environment. It is reviewed at least every 24 months, and can be updated at any time. To learn more about the standard, visit www.pcisecuritystandards.org.","Compliance with PCI DSS and PA DSS","Credit card companies require compliance with PCI DSS for every entity that is involved in the storage, processing, or transmission of credit card information.  Failure to comply can result in denial or revocation of your organization's facility to process credit cards.","Furthermore, as these standards have become widely recognized, non-compliance places your organization at risk of legal and/or civil consequences if credit card information becomes compromised.","Compliance with PCI DSS is necessary whether or not you use Plesk to process transactions online. Even if you use a POS terminal or other methods to process transactions, and simply retain information in Plesk, you must ensure proper use of the program to maintain the security and confidentiality of customer data.","Since July 1, 2010, Credit Card Processors and Bank Card Acquirers have had to ensure that merchants and agents use only Payment Application Data Security Standard (PA DSS) compliant applications. Plesk is certified as compliant under the security standard that applies to software vendors that develop applications for sale to merchants to process and/or store cardholder data.","Plesk PCI DSS Compliance","To protect sensitive data hosted on your server and to make Plesk PCI DSS compliant, you should implement special security measures. Regardless of an operating system type you use, the measures are as follows:","Ensure that software incorporates all security updates.","Set up encryption of remote connections.","Prohibit access to databases server from external addresses.","Disable weak SSL ciphers and protocols for web servers, mail servers, and components.","Prevent services from disclosing information about your data and versions of software you use. ","PCI DSS Compliance","75623.htm");
Page[82]=new Array("This section describes the steps that you should perform if you want to secure your server and achieve compliance with PCI DSS on a Microsoft Windows-based server.","Important: We highly recommend that you configure the Windows firewall in the server operating system to block all remote procedure calls (RPC) and communications to the Windows Management Instrumentation (WMI) services.","Securing Remote Desktop connections","Set up encryption of the remote desktop connections to prevent man-in-the-middle attacks. For instructions, refer to http://technet.microsoft.com/en-us/library/cc782610.aspx.","Changing Remote Desktop connections port","Some PCI scanners report a man-in-the-middle attack if you do not change the RDP port to a custom value. To do it, compete the following steps:","Run the regedit utility by clicking Start &gt; Run, typing regedit, and then clicking OK.","Change the port value by modifying the following registry key:","HKEY_LOCAL_MACHINE\\System\\CurrentControlSet\\Control\\TerminalServer\\WinStations\\RDP-Tcp\\PortNumber","Prohibiting access to MySQL database server from external addresses","Use the firewall functions built into your Plesk.","Log in to Plesk as administrator.","Go to Tools &amp; Settings &gt; Firewall.","Go To the Firewall Rules tab.","Click the@ icon to switch the Plesk MySQL server rule. The icon will turn to @.","Switching off weak SSL ciphers for Web server in Plesk for Microsoft Windows Server 2003 and 2008","Copy the following text to the clipboard:","REGEDIT4","[HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Control\\SecurityProviders\\SCHANNEL\\Protocols\\PCT 1.0]","[HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Control\\SecurityProviders\\SCHANNEL\\Protocols\\PCT 1.0\\Server]","&quot;Enabled&quot;=dword:00000000","[HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Control\\SecurityProviders\\SCHANNEL\\Protocols\\SSL 2.0]","[HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Control\\SecurityProviders\\SCHANNEL\\Protocols\\SSL 2.0\\Server]","&quot;Enabled&quot;=dword:00000000","[HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Control\\SecurityProviders\\SCHANNEL\\Ciphers]","[HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Control\\SecurityProviders\\SCHANNEL\\Ciphers\\DES 56/56]","&quot;Enabled&quot;=dword:00000000","[HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Control\\SecurityProviders\\SCHANNEL\\Ciphers\\NULL]","&quot;Enabled&quot;=dword:00000000","[HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Control\\SecurityProviders\\SCHANNEL\\Ciphers\\RC2 128/128]","&quot;Enabled&quot;=dword:00000000","[HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Control\\SecurityProviders\\SCHANNEL\\Ciphers\\RC2 40/128]","&quot;Enabled&quot;=dword:00000000","[HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Control\\SecurityProviders\\SCHANNEL\\Ciphers\\RC2 56/128]","&quot;Enabled&quot;=dword:00000000","[HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Control\\SecurityProviders\\SCHANNEL\\Ciphers\\RC4 128/128]","&quot;Enabled&quot;=dword:00000000","[HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Control\\SecurityProviders\\SCHANNEL\\Ciphers\\RC4 40/128]","&quot;Enabled&quot;=dword:00000000","[HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Control\\SecurityProviders\\SCHANNEL\\Ciphers\\RC4 56/128]","&quot;Enabled&quot;=dword:00000000","[HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Control\\SecurityProviders\\SCHANNEL\\Hashes]","[HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Control\\SecurityProviders\\SCHANNEL\\Hashes\\MD5]","&quot;Enabled&quot;=dword:00000000","Log in to the server over a Remote Desktop connection.","In the server's operating system, open Notepad or any other text editor and create a file with the reg extension.","Paste the text from the clipboard into this file.","Save the file.","Double-click the file to open it.","When prompted, confirm addition of new keys to the registry.","Restart the operating system.","Note: Some applications on the server that use weak SSL ciphers and protocols may stop working.","Securing FTP connections","If you allow FTP connections to your server, you must prohibit all FTP connections except secure FTPS connections. ","To allow only FTPS connections to your server:","Go to Tools &amp; Settings &gt; Security Policy.","Select the option Allow only secure FTPS connections for FTPS usage policy. ","Tune Plesk to Meet PCI DSS on Windows","65872.htm");
Page[83]=new Array("This chapter describes how to run calculation of statistics on disk space and traffic usage on demand, access web server logs and configure logging.","Statistics and Logs","68664.htm");
Page[84]=new Array("During installation of Plesk, several scheduled tasks are automatically created. One of such tasks, statistics, collects statistical information about resources used by sites, such as inbound and outbound traffic, disk space occupied by web content, log files, databases, mailboxes, web applications, mailing list archives, and backup files. ","You can adjust which data the statistics task should count and run the statistics calculation on demand. To do this, run the statistics task with a necessary combination of options specifying the parts of statistics you want to collect.","To run the statistics task with required options, follow these steps:","Using Remote Desktop, log in as administrator to the Panel-managed server.","Start cmd.exe.","Change directory to %plesk_dir%\\admin\\bin (where %plesk_dir% is the system variable defining the folder where Plesk is installed).","Run the statistics.exe task with required options. See the list of options and their descriptions in the tables below.","For example, to calculate statistics in the mode that will skip all FTP logs, you can use the following command:","statistics.exe --http-traffic --disk-usage --mailbox-usage --mail-traffic --notify --update-actions","The resource usage information kept in the Panel's database and shown in reports in Panel will be updated with the new data.","Main options","Each main option defines the part of statistics to be calculated. When only main options are used, the specified statistics will be collected for all subscriptions and sites.","Option","Description","--mailbox-usage","Disk usage will be calculated for all mailboxes.","--disk-usage","Disk usage for domains and all mailboxes will be calculated.","--http-traffic","HTTP traffic will be calculated.","--ftp-traffic","FTP traffic will be calculated.","--mail-traffic","Mail traffic will be calculated.","Note: Panel does not support traffic calculation on hMail and CommunigatePro mail servers.","--notify","Traffic usage statistics will be updated and the due subscription expiration notices will be sent to subscription owners.","--update-actions","Action log will be rotated and action events will be launched.","--all","This option is the combination of all previous options, the complete statistics will be collected.","--antivirus","This option calculates spam and antivirus statistics.","none","When no options are specified, the complete statistics will be collected, like in the case when the --all option is selected.","Additional options","Additional options allow you to specify the set of domain names for which statistics will be calculated. Domain names or masks specified in these options should be separated by the ',' or ';' symbol. You may combine additional options and use them without main options. If you use additional options without main ones, complete statistics will be calculated only for selected domain names. Domains specified directly have higher priority than those specified by masks. Also, the 'skip' list has higher priority than the 'process' list.","Option","Description","--process-domains","Only domain names specified in this option will be processed.","--process-domain-mask","Only domain names corresponding to the mask specified in this option will be processed. ","When this options is used and there are no domain names corresponding to the specified mask, all domains will be processed.","--skip-domains","Domains specified by this option will not be processed.","--skip-domain-mask","Domains corresponding to the mask specified by this option will not be processed. ","--single-notify","The expiration notification will be sent only to the specified website owner owner.","--verbose","The utility outputs more details in statistics reports.","Calculating Statistics on Demand","57685.htm");
Page[85]=new Array("All connections to the web server and requests for files that were not found on the server are registered in log files. These log files are analyzed by the statistical utilities running on the server, which then present graphical reports on demand. You may want to download these log files to your computer for processing by third-party statistical utilities, or view their contents for web server debugging purposes. ","Log files are located in %plesk_dir%\\admin\\logs directory (where %plesk_dir% is the system variable defining the folder where Plesk is installed). Log messages from Plesk and from PHP are stored in the %plesk_dir%\\admin\\logs\\php_error.log file.","If you deal with large volumes of data, log files can grow too rapidly. In this case you can enable automatic cleanup and recycling of log files. This can be done on a per-subscription basis.","To adjust recycling of log files:","In Customer Panel, go to the Websites &amp; Domains tab &gt; Logs &gt; Log Rotation and click Switch On.","If you see the Switch Off button, this means that log recycling is already switched on. ","Specify the recycling period for the log files and how many instances of each log file to store on the server. Also, specify whether they should be compressed and sent to an email address after processing.","Click OK. ","Additionally, you may want to keep track of actions performed by various users in the system. All actions will be recorded in a log file that you will be able to download for viewing. ","You can configure logging of actions and download the log file in Server Administration Panel &gt; Tools &amp; Settings &gt; Action Log.","Log Files and Log Rotation","68718.htm");
Page[86]=new Array("Starting from Plesk 11.5, you can configure logging in the [log] section of the %plesk_dir%\\admin\\conf\\panel.ini file (where %plesk_dir% is the system variable defining the folder where Plesk is installed).","To enable or disable logging of SQL queries performed on the Plesk database, use the log.show.sql_query parameter, for example:","log.show.sql_query=true","To enable or disable the support for multithreaded logging, use the log.show.thread parameter, for example:","log.show.thread=true","See more parameters in the %plesk_dir%\\admin\\conf\\panel.ini.sample file.","Configuring Logging","73267.htm");
Page[87]=new Array("This chapter introduces Plesk themes that can be used to customize Plesk appearance and branding. It also describes how to remove links for access to Presence Builder, Google Services for Websites, reconfigure behaviour of the link to Support service and other GUI elements.","Customizing Plesk Appearance and GUI Elements","68617.htm");
Page[88]=new Array("Administrators and resellers can change the following settings related to Plesk branding and appearance:","By means of Plesk GUI - change the Plesk logo image, URL attached to it, and Plesk name shown in browser's title bar text.","By means of custom themes - change the Plesk logo image, URL attached to it, Plesk name shown in browser's title bar text, and visual appearance of Plesk's pages (CSS styles and images used for button backgrounds).","A theme is a ZIP archive containing all CSS and image files used by Plesk. Preparing a custom theme involves the following steps:","Obtaining a ZIP archive with the default Plesk theme.","Unpacking the archive and changing the necessary files.","Packing the archive with modified files, uploading it to the server, and installing the theme.","To learn about creating and using custom themes, refer to the Using Custom Skins in the Administrator's Guide.","Customizing Plesk Appearance and Branding","68473.htm");
Page[89]=new Array("This section describes how to switch on or off, or modify various Plesk features and customize links in Plesk. For example, you can hide all controls related to mail service, or show promotional links in your Plesk. To learn more about these and other possible customizations, read the subsections of this section.","To display, hide, or edit Plesk interface elements, you can use one of the following approaches or a combination of them: run a special command-line utility, modify a license key to Plesk, change configuration files, or configure Plesk server settings through Plesk Partner Central.","Here are some details on these approaches:","Command line. Changing the Plesk GUI is performed by running the panel_gui and the server_pref utilities. For more information, see the corresponding chapters of the Reference for Command Line Utilities document.","License key upgrade. You can perform license upgrade via the web-based Partner Central interface or via Partner API - an XML-based remote-call protocol. Below we provide more information about this approach.","Plesk configuration files. Changing the Plesk GUI requires editing the configuration files: ","panel.ini for Plesk customizations","config for Presence Builder customizations.","Configuring Plesk through Plesk Partner Central. This approach can be used to configure multiple Plesk installations at once. You can set up Plesk configuration parameters through the Partner Central UI, and associate these settings with one or more license keys. Below we provide more information about this approach.","Note: Plesk Partner Central is a new user interface for buying, tracking and managing Plesk licenses. Its predecessor, Plesk Key Administrator, is now acting as a powerful back-end system. We strongly recommend using Partner Central instead of Key Administrator.","&nbsp;","License Key","There are extra features that can be turned on or off in the Plesk license. Those users who have access to the Plesk Partner Central web-based management interface or Partner API can manage extra features.","The license modifications can be done on a per-license level, or be a default for you and applied automatically to all the licenses created for you. In both cases, you should contact Plesk sales: In order to apply the partner-wide defaults, or to enable a particular extra customization on a per-license level.","Important: Once you have turned off a feature through the Partner API, there are no documented methods to turn it back on. If you need to perform this reverse operation, please use the web-based user interface (Partner Central), or contact your sales representative.","&nbsp;","Web-based Partner Central User Interface","You can turn on or off extra features through the Partner Central UI &gt; the Manage Licenses tab.","To turn on or off required features for a new license, start the Buy New License wizard and add the features at step three, the feature management.","To turn on or off required features for an existing license, click the license name and select the command Upgrade. Then add the features at step two, the Feature Management.","To turn off a license feature, detach it from the license.","For details on managing license features, see the Partner Central User Guide, sections Managing Licenses and Purchasing Licenses. You can also access this guide by clicking the Help link in the Partner Central UI.","&nbsp;","The Partner API","To turn off the extra features in new or existing licenses by means of Partner API, run the appropriate API method with specific feature API identifiers set. ","For new licenses:","Add API identifiers of the required features to the &quot;array of identifiers of upgrade plans&quot; parameter of the partner10.createKey method and execute it.","For details on the method specification, see: ","http://central.plesk.com/docs/partner-api/1.0, section Specifications of Methods / partner10.createKey","For existing licenses:","Add API identifiers of the required features to the &quot;upgrade plan name&quot; parameter of the partner10.upgradeKey method and execute it.","For details of the method specification, see: ","http://central.plesk.com/docs/partner-api/1.0, section Specifications of Methods / partner10.upgradeKey","&nbsp;","Configuring Plesk through Partner Central","You can set up configuration settings through the Partner Central UI &gt; the Product Configuration tab, and assign your settings to multiple licenses on the Manage Licenses tab. Partner Central automatically applies the settings to all Plesk installations that have these license keys. These settings can later be overridden by the settings defined via the command line, license key upgrade, or in Plesk configuration files. ","For details on creating custom configurations, see the Partner Central User Guide, section Configuring Multiple Plesk Installations. You can also access this guide by clicking the Help link in the Partner Central UI.","Hiding and Changing Plesk GUI Elements","68540.htm");
Page[90]=new Array("These buttons let your customers visit a website where they can purchase new or manage existing domain names. By customizing them, you can make the customers use your preferred domain name registrar.","Domain Registration and Management Services","67238.htm");
Page[91]=new Array("Server Administration Panel: Tools &amp; Settings &gt; Register Domain Names and Manage Domain Names buttons.","  ","Customer Panel: Websites &amp; Domains tab &gt; Register Domain Names and Manage Domain Names buttons.","&nbsp;&nbsp;","Location of Domain Registration and Domain Management Buttons","68218.htm");
Page[92]=new Array("You can change the domain name registrar's URLs only through command line. ","To change the URL of the Register Domain Names button, run the following command:","&#8220;C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\bin\\panel_gui.exe&quot; -p -domain_registration_url&nbsp;&lt;url&gt;","To change the URL of the Manage Domain Names button, run the following command:","&#8220;C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\bin\\panel_gui.exe&quot; -p -domain_management_url&nbsp;&lt;url&gt;","Changing Domain Name Registrar's URLs","75506.htm");
Page[93]=new Array("You can hide the domain name registration and domain management buttons both through the command line and the Partner API.","To remove the Register Domain Names button and  Manage Domain Names button using the command line, run the following command:","&#8220;C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\bin\\panel_gui.exe&quot; -p -domain_registration true","To remove the Register Domain Names button and  Manage Domain Names button using the Partner API:","Use the partner10.createKey or partner10.upgradeKey with the API identifier &quot;EXTRAS_BUTTONS_OFF&quot; in the &quot;array of identifiers of upgrade plans&quot; parameter.","For details on these methods specification, please see http://central.plesk.com/docs/partner-api/1.0, section Specifications of Methods / partner10.createKey and section Specifications of Methods / partner10.upgradeKey","Note: API identifier &quot;EXTRAS_BUTTONS_OFF&quot; also disables the controls related to SSL certificate selling services and the link to the provider's website.","&nbsp;","Important: Once you have turned off a feature through the Partner API, there are no documented methods to turn it back on. If you need to perform this reverse operation, please use the web-based user interface, or contact your sales representative.","Hiding Domain Registration and Domain Management Buttons","75507.htm");
Page[94]=new Array("These buttons lead to a website where your customers can purchase and view SSL certificates. By customizing these controls, you can make the customers use your preferred SSL certificates vendor.","SSL Certificates Selling Services","67245.htm");
Page[95]=new Array("Server Administration Panel: Tools &amp; Settings &gt; SSL Certificates &gt; Add &gt; Buy SSL Certificate button.","&nbsp;&nbsp;","Server Administration Panel: Tools &amp; Settings &gt; SSL Certificates &gt; View button.","&nbsp;&nbsp;","Server Administration Panel: Tools &amp; Settings &gt; Buy SSL Certificate button.","&nbsp;&nbsp;","Customer Panel: Websites &amp; Domains tab &gt; SSL Certificates &gt; Add SSL Certificate &gt; Buy SSL Certificate button.","&nbsp;&nbsp;","Customer Panel: Websites &amp; Domains tab &gt; Secure Your Sites &gt; View Certificates button.","&nbsp;&nbsp;","Locations of Links for Purchasing and Viewing SSL Certificates","68221.htm");
Page[96]=new Array("You can change the SSL certificate seller's URLs only through the command line interface.","To change the URLs of the Buy SSL Certificate and View Certificates buttons, run the following command:","&#8220;C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\bin\\panel_gui.exe&quot; -p -cert_purchasing_url https://&lt;url&gt;","The Format of a POST Request","Note that buttons used to buy or view SSL certificates do not just lead to a URL specified with the command above. Actually, Plesk sends a POST request to this URL. The format of the POST request body varies depending on a button function. For example, if a button is used to buy SSL certificates, the request body contains such CSR parameters as a domain name, business name, country, and so on. ","The table below provides the details on the parameters which are sent in POST requests.","Button location","Parameters in the POST request body","Example","Server Administration Panel, Tools &amp; Settings &gt; SSL Certificates &gt; Add &gt; Buy SSL Certificate.","Customer Panel, Websites &amp; Domains &gt; Secure Your Sites &gt; Add SSL Certificate &gt; Buy SSL Certificate.","csr = &lt;encoded request&gt; ","csr_domain = &lt;domain name&gt;","csr_bits = &lt;key size&gt;","csr_email = &lt;administrator's email&gt;","csr_company = &lt;company name&gt;","csr_department = &lt;organization department name&gt;","csr_state = &lt;state&gt;","csr_city = &lt;city&gt;","csr_country = &lt;country&gt;","action = CREATE_CERT","csr = -----BEGIN CERTIFICATE REQUEST----- MIICyTCCAbE CAQAwgYMxCzA JBgNVBAYTAlJVMQww CgYDVQQIEwNOc2sx DDAKBgNV ...  -----END CERTIFICATE REQUEST-----","csr_domain = example.com","csr_bits = 2048","csr_email = admin@example.com","csr_company = ACME","csr_department = IT","csr_state = Illinois","csr_city = Chicago","csr_country = US","action = CREATE_CERT","Server Administration Panel, Tools &amp; Settings &gt; SSL Certificates &gt; View.","Server Administration Panel, Tools &amp; Settings &gt; Buy SSL Certificate.","Customer Panel, Websites &amp; Domains &gt; Secure Your Sites &gt; View Certificates.","action = MODIFY_CERT","Reverting the URL to the Default Value","To restore the default URL, issue the following SQL query:"," delete from misc where param='cert_purchasing_url';","Changing SSL Certificate Seller's URLs","75508.htm");
Page[97]=new Array("You can hide the buttons for viewing and purchasing SSL certificates both through the command line and the Partner API.","To remove the buttons for viewing and purchasing SSL certificates using the command line, run the following command:","&#8220;C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\bin\\panel_gui.exe&quot; -p -cert_purchasing true","To remove the buttons for viewing and purchasing SSL certificates using the Partner API:","Use the partner10.createKey or partner10.upgradeKey with the API identifier &quot;EXTRAS_BUTTONS_OFF&quot; in the &quot;array of identifiers of upgrade plans&quot; parameter.","For details on these methods specification, please see","http://central.plesk.com/docs/partner-api/1.0, section Specifications of Methods / partner10.createKey and section Specifications of Methods / partner10.upgradeKey","Note: API identifier &quot;EXTRAS_BUTTONS_OFF&quot; also disables the controls related to SSL certificate selling services and the link to the provider's website.","&nbsp;","Important: Once you have turned off a feature through the Partner API, there are no documented methods to turn it back on. If you need to perform this reverse operation, please use the web-based user interface, or contact your sales representative.","Hiding Buttons for Viewing and Purchasing SSL Certificates","75509.htm");
Page[98]=new Array("This button redirects customers to your site where they can purchase and use services provided by your company. ","Location of the Link to Provider's Website","Server Administration Panel &gt; Tools &amp; Settings &gt; View Services button.","Changing the URL of the View Services Button","You can change the URL of the View Services button only through the command line.","To change the URL that opens when the View Services button is clicked, run the following command:","/usr/local/psa/bin/panel_gui -p -mpc_portal_url &lt;url&gt;","Hiding the View Services Button","You can hide the View Services button both through the command line and the Partner API.","To remove the View Services button using the command line, run the following command:","/usr/local/psa/bin/panel_gui -p -extras true","To remove the View Services buttons using the Partner API:","Use the partner10.createKey or partner10.upgradeKey with the API identifier &quot;EXTRAS_BUTTONS_OFF&quot; in the &quot;array of identifiers of upgrade plans&quot; parameter.","For details on these methods specification, please see","http://central.plesk.com/docs/partner-api/1.0, section Specifications of Methods / partner10.createKey and section Specifications of Methods / partner10.upgradeKey","Note: API identifier &quot;EXTRAS_BUTTONS_OFF&quot; also disables the controls related to SSL certificate selling services and link to the provider's website.","Important: Once you have turned off a feature through the Partner API, there are no documented methods to turn it back on. If you need to perform this reverse operation, please use the web-based user interface, or contact your sales representative.","Link to Provider's Website","67246.htm");
Page[99]=new Array("Server Administration Panel &gt; Tools &amp; Settings &gt; View Services button.","Location of the Link to Provider's Website","68226.htm");
Page[100]=new Array("You can change the URL of the View Services button only through the command line.","To change the URL that opens when the View Services button is clicked, run the following command:","&#8220;C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\bin\\panel_gui.exe&quot; -p -mpc_portal_url &lt;url&gt;","Changing the URL of the View Services Button","75510.htm");
Page[101]=new Array("You can hide the View Services button both through the command line and the Partner API.","To remove the View Services button using the command line, run the following command:","&#8220;C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\bin\\panel_gui.exe&quot; -p -extras true","To remove the View Services buttons using the Partner API:","Use the partner10.createKey or partner10.upgradeKey with the API identifier &quot;EXTRAS_BUTTONS_OFF&quot; in the &quot;array of identifiers of upgrade plans&quot; parameter.","For details on these methods specification, please see","http://central.plesk.com/docs/partner-api/1.0, section Specifications of Methods / partner10.createKey and section Specifications of Methods / partner10.upgradeKey","Note: API identifier &quot;EXTRAS_BUTTONS_OFF&quot; also disables the controls related to SSL certificate selling services and link to the provider's website.","Important: Once you have turned off a feature through the Partner API, there are no documented methods to turn it back on. If you need to perform this reverse operation, please use the web-based user interface, or contact your sales representative.","Hiding the View Services Button","75511.htm");
Page[102]=new Array("These are controls that open Presence Builder. You can hide them from customer's interface. This will not disable Presence Builder. ","Presence Builder Buttons","67396.htm");
Page[103]=new Array("Customer Panel: Websites &amp; Domains tab &gt; Presence Builder and Create Site.","Location of the Presence Builder Buttons","68234.htm");
Page[104]=new Array("You can hide the Presence Builder buttons only through Partner API.","To hide the Presence Builder buttons:","Use the partner10.createKey or partner10.upgradeKey with the API identifier &quot;DISABLE_SITEBUILDER&quot; in the &quot;array of identifiers of upgrade plans&quot; parameter.","For details on the methods specification, please see","http://central.plesk.com/docs/partner-api/1.0, section Specifications of Methods / partner10.createKey and section Specifications of Methods / partner10.upgradeKey","Important: Once you have turned off a feature through the Partner API, there are no documented methods to turn it back on. If you need to perform this reverse operation, please use the web-based user interface, or contact your sales representative.","Hiding the Presence Builder Buttons","68235.htm");
Page[105]=new Array("When a new minor or major version of Plesk is released, Plesk Installer adds an information box to the Server Administration Panel home page offering to update Plesk. This can be disabled, so that only updates for the current version are installed.","Plesk Upgrades","67397.htm");
Page[106]=new Array("You can disable the Plesk upgrades only by modifying license keys, through the Partner API.","To disable Plesk upgrades:","Use the partner10.createKey or partner10.upgradeKey with the API identifier &quot;DISABLE_FEATURE_UPGRADES&quot; in the &quot;array of identifiers of upgrade plans&quot; parameter.","For details on the methods specification, please see","http://central.plesk.com/docs/partner-api/1.0, section Specifications of Methods / partner10.createKey and section Specifications of Methods / partner10.upgradeKey","Important: Once you have turned off a feature through the Partner API, there are no documented methods to turn it back on. If you need to perform this reverse operation, please use the web-based user interface, or contact your sales representative.","Disabling Plesk Upgrades","68236.htm");
Page[107]=new Array("These are the controls that let hosting customers use the mail services integrated with Plesk. If you want to use a mail server running on a separate machine, or want to prohibit Plesk users from operating mail services, you can remove the corresponding controls from customer's interface. This option does not actually switch off the Plesk-managed mail server.","Mail Service Controls","67398.htm");
Page[108]=new Array("Customer Panel: the Mail item in the left navigation pane.","&nbsp;&nbsp;","Customer Panel: Websites &amp; Domains &gt; Mail Settings ","&nbsp;","Customer Panel: Users &gt; user name &gt; Change Settings &gt; Create an email address under your account option.","&nbsp;&nbsp;","Location of the Mail Service Controls","68237.htm");
Page[109]=new Array("You can hide the mail service controls using the Plesk user interface or the command line.","To hide mail service controls using the Plesk interface:","In the Server Administration Panel, go to Tools &amp; Settings &gt; Mail Server Settings (in the Mail group).","Clear the Enable mail management functions in Plesk checkbox.","Click OK.","To hide the mail service controls using the command line, run the following command:","&#8220;C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\bin\\server_pref.exe&quot; -u -disable-mail-ui true","Hiding the Mail Service Controls","75512.htm");
Page[110]=new Array("You can display the mail service controls using the Plesk user interface or the server_pref command line utility.","To display the mail service controls using the Plesk interface:","In the Server Administration Panel, go to Tools &amp; Settings &gt; Mail Server Settings (in the Mail group).","Select the Enable mail management functions in Plesk checkbox.","Click OK.","To display the mail service controls using the command line, run the following command:","&#8220;C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\bin\\server_pref.exe&quot; -u -disable-mail-ui false","Displaying the Mail Service Controls","75513.htm");
Page[111]=new Array("Promos are the promotion banners that are shown both in the Server Administration Panel and Customer Panel. There are built-in Plesk promos of Customer and Business Manager (they are shown if Business Manager is not installed), Help Desk, and a number of other featured applications. You can create your own promos and insert them in Plesk. All promos can be hidden.","Promos","67399.htm");
Page[112]=new Array("Server Administration Panel: Home.","Server Administration Panel: Tools &amp; Settings.","Server Administration Panel: Tools &amp; Settings &gt; Mail Server Settings.","Customer Panel in the Power User view: Home.","Location of Promos","68284.htm");
Page[113]=new Array("You can create your own promo by editing the panel.ini configuration file.","To create a promo:","Open the configuration file %plesk_dir%\\admin\\conf\\panel.ini on the Plesk-managed server.  If the file does not exist, create it.","Add the line [promos] to the file.","Specify the parameters of your promo by adding lines like &quot;&lt;promo_name&gt;.&lt;parameter&gt;=&lt;value&gt;&quot; after the line [promos]. You can use the following parameters:","active. Shows if your promo will appear by default or not. Boolean.","icon. URL of an icon that will be shown in the promo.","title. Title of the promo.","text. The promo description.","buttonUrl. The URL that opens upon clicking the promo button.","buttonText. The caption of the promo button.","hideText. Text of the link for hiding the promo.","For example, you want to create a promo that looks like the following (this is the Plesk default Google Integration Promo):"," You need to add the following lines to the panel.ini:","[promos]","custom.googleIntegration.active=true","custom.googleIntegration.icon=http://www.softicons.com/download/internet-cons/webset-icons-by-graphicriver/png/48/google.png","custom.googleIntegration.title=integration with Google Services","custom.googleIntegration.text=Configure integration with Google Services, such as AdSense, Google Apps, Webmaster tools.","custom.googleIntegration.buttonUrl=https://plesk.server:8443/plesk/server/google-tools/","custom.googleIntegration.buttonText=Configure","custom.googleIntegration.hideText=Hide","Save the file.","Creating a Promo","68603.htm");
Page[114]=new Array("You can either hide promos at all or hide some specific promos, namely:","Promos on the Server Administration Panel &gt; Tools &amp; Settings pages.","A certain promo on the Home page of the Server Administration and Customer Panels.","In all these cases, modify the panel.ini configuration file to get the desired result.","To hide all promos in Plesk:","Open the configuration file %plesk_dir%\\admin\\conf\\panel.ini on the Plesk-managed server.  If the file does not exist, create it.","Place the following lines in the file and save it:","[promos]","enabled=off","[aps]","serverAppsPromoEnabled=off","To hide promos on the Server Administration Panel and Customer Panel &gt; Home pages:","Open the configuration file %plesk_dir%\\admin\\conf\\panel.ini on the Plesk-managed server.  If the file does not exist, create it.","Place the following lines in the file and save it:","[promos]","enabled=off","To hide Plesk promos on the Server Administration Panel &gt; Tools &amp; Settings  and Tools &amp; Settings &gt; Mail Server Settings pages:","Open the configuration file %plesk_dir%\\admin\\conf\\panel.ini on the Plesk-managed server.  If the file does not exist, create it.","Place the following lines in the file and save it:","[aps]","serverAppsPromoEnabled=off","To hide a certain promo on the Server Administration Panel and Customer Panel &gt; Home pages:","Open the configuration file %plesk_dir%\\admin\\conf\\panel.ini on the Plesk-managed server.  If the file does not exist, create it.","Place the following lines in the file and save it:","[promos]","&lt;promo_id&gt;.active=false","The &lt;promo_id&gt; may be one of the following:","cbm - for the Customer and Business Manager promo.","cloudFlare - for the mod_cloudflare Apache module promo.","commTouch - for the Plesk Premium Outbound Antispam promo.","googleIntegration - for the Integration with Google Services promo.","helpDesk - for the HelpDesk promo.","mobile - for the Plesk Server Mobile Monitor and Plesk Server Mobile Manager promos.","sitebuilderTrial - for the Presence Builder Try and Buy mode promo.","Otherwise, it can be your own promo name.","Hiding Plesk Promos","68604.htm");
Page[115]=new Array("If you provide dedicated Plesk-managed servers to your customers, you might want to configure the Support link in Plesk to redirect server administrators to your website when they need assistance.","By default, the Support button (located in Server Administration Panel &gt; Tools &amp; Settings) opens the Plesk Online Server Support form at the Plesk website, with a number of parameters automatically collected and filled in, such as the Plesk administrator's name, company, email, phone, product key number, operating system details, Plesk version, and build number.","You can choose to:","Configure the Support button in Server Administration Panel to open the support form page on your website with the above listed parameters pre-collected.","Configure the Support button in Server Administration Panel to open a user's mail client and prompt to compose a new message with your support email address specified in the address line and the above listed parameters pre-collected.","Link to Online Support Service","53231.htm");
Page[116]=new Array("The Plesk support form link is defined by the support_url parameter in the psa.misc table of the Plesk's database. If the support_url parameter is absent or empty, upon clicking the Tools &amp; Settings &gt; Support button, the user is redirected to provider's support through the following URL:","'https://www.example.com/support/request/?sv=' . urlencode(serialize($val))","where $val is an associative PHP array containing the following parameters:","firstName, the Plesk administrator's contact name.","company, the Plesk administrator's company name.","email, the Plesk administrator's email address.","phone, the Plesk administrator's phone number.","keyNumber, the Plesk license key number used on the server.","operatingSystem, the operating system installed on the server.","PSAVersion, the version number of the Plesk software.","PSABuild, the build number of the Plesk software.","PSAInstType, the type of Plesk software installation.","Before changing the link, consider the following to ensure that the support page of your site is configured properly:","Your support page will accept the sv variable through the GET method. The value of this variable is a serialized associative array of pre-collected parameters.","You can get the array of parameters on your web site page in the following way:","$params = unserialize($_GET['sv']);","You can address any parameter of this array in the following way:","$params['firstName']","$params['company']","...","To make the Support button open the support form on your website, follow these steps:","Connect to the Plesk's database (psa).","Run the following query:","If the support_url parameter is absent, run:","insert into misc(param, val) values('support_url', 'https://example.com/support')","Where 'https://example.com/support' is the URL of the support page on your website.","If the support_url parameter already exists, run:","update misc set val = 'https://example.com/support' where param = 'support_url'","Where 'https://example.com/support' is the URL of the support page on your website.","Note: On Windows systems, you can use the dbclient.exe utility to add the information to the Plesk's database. For information about using the dbclient.exe utility, consult Plesk for Microsoft Windows: Reference for Command Line Utilities.","Creating Link to Support Form on Your Site","53303.htm");
Page[117]=new Array("You can modify the link to Plesk support, so that after clicking the Tools &amp; Utilities &gt; Support button in Server Administration Panel, your customers are offered to compose an email with your support address already specified in the address line. The customer's contact details and server information will be automatically collected and included in the message body.","You can customize the link to Plesk support by specifying your email address in the support_url parameter of the psa.misc table of the Plesk's database.","To make the Support button of the Server Administration Panel open the page for composing email with your support email address, follow these steps:","Connect to the Plesk's database (psa).","Run the following query:","If the support_url parameter is absent, run:","insert into misc(param, val) values('support_url', 'mailto:yoursupport@example.com')","Where 'yoursupport@example.com' is the email address where you want your customers' support requests to be sent.","If the support_url parameter already exists, run:","update misc set val = 'mailto:yoursupport@example.com' where param = 'support_url'","Where 'yoursupport@example.com' is the email address where you want your customers' support requests to be sent.","Note: On Windows systems, you can use the dbclient.exe utility to add the information to the Plesk's database. For information about using the dbclient.exe utility, consult Plesk for Microsoft Windows: Reference for Command Line Utilities.","Creating Link to Compose Email Message","53304.htm");
Page[118]=new Array("The Like button allows administrators to share the link to the Plesk page on Facebook with their Facebook friends. When the administrator clicks the Like button in Plesk, a story appears in the user's friends' News Feed with a link back to page. You can hide this button. Customers and resellers do not see this button.","The Facebook Like Button","70924.htm");
Page[119]=new Array("The button is located in the following places of the Plesk's UI:","1. The Server Administration Panel, in the page footer.","2. The Customer Panel, in the page footer.","Location of the Like Button","70925.htm");
Page[120]=new Array("You can hide the Facebook Like button only by editing the panel.ini configuration file.","To hide the Like button:","Open the configuration file %plesk_dir%\\admin\\conf\\panel.ini.  If the file does not exist, create it.","Place the following lines in the file and save it:","[facebook]","showLikeLink = false","To undo the change and return to the default values, remove these lines from panel.ini.","Hiding the Like Button","70928.htm");
Page[121]=new Array("The product rating widget allows administrators to provide feedback on their Plesk user experience. A form which gives the opportunity to rate the product and send comments appears after one month of using Plesk. If the administrator chooses to provide feedback later, Plesk adds the Provide Feedback button to the navigation pane of the Server Administration Panel and to the bottom of the Customer Panel in Power User view.","You can hide the product rating widget so that customers and resellers do not see it.","Product Rating Widget","71145.htm");
Page[122]=new Array("The widget appears right in front of the Plesk GUI, once the administrator logs in to Plesk.","Location of the Widget","71147.htm");
Page[123]=new Array("You can hide the product rating widget only by editing the panel.ini configuration file.","To hide the product rating widget:","Open the configuration file %plesk_dir%\\admin\\conf\\panel.ini. If the file does not exist, create it.","Place the following lines in the file and save it:","[rating]","enabled=false","&nbsp;","If you do not want to hide the form but only want to change the period of time after which the form is shown to the administrator, add the following lines to the file:","[rating]","enabled=true","showAfterDays=60","The showAfterDays parameter sets the number of days after which you want the widget to be displayed.","To undo the change and return to the default values, remove these lines from panel.ini.","Hiding the Widget","75515.htm");
Page[124]=new Array("Plesk enables you to provide latest news to your customers by showing them RSS feeds in the Plesk UI.  You can embed a single RSS feed from any source.","RSS Feeds","72356.htm");
Page[125]=new Array("RSS feeds are shown on the Websites &amp; Domains page of the Customer Panel or on the Home page of the Server Administration Panel.","Location of RSS Feeds","72356.htm#o72386");
Page[126]=new Array("To add an RSS feed:","Open the configuration file %plesk_dir%\\admin\\conf\\panel.ini  on the Plesk server.  If the file does not exist, create it.","Add the line [customSpots] to the file.","Specify the parameters of your promo by adding the following lines:","web.enabled = true ","web.type = rss ","web.params.url = &lt;rss_url&gt;","web.params.count = &lt;pages_number&gt;","Where &lt;rss_url&gt; is the address of the RRS feed and &lt;pages_number&gt; is the number of news pages shown in Plesk.","Save the file.","For example, to show three pages of news about Plesk, you should add the following text to the panel.ini:","[customSpots]","web.enabled = true ","web.type = rss ","web.params.url = &quot;http://kb.plesk.com/rss/gen.xml?&amp;ArticleLanguage=en&amp;Type=LastCreated&amp;Product=8&amp;UpdatePeriod=daily&amp;ArticleType=all&quot;","web.params.count = 3","Adding RSS Feeds","72356.htm#o72387");
Page[127]=new Array("To hide an RSS feed:","Open the configuration file %plesk_dir%\\admin\\conf\\panel.ini  on the Plesk server. ","Locate the [customSpots] section that describes the feed you want to hide.","Change the value of the web.enabled parameter in this section to false.","Save the file.","For example, the description of an RSS feed that is not shown in Plesk may look like the following:","[customSpots]","web.enabled = false","web.type = rss ","web.params.url = http://kb.plesk.com/rss/gen.xml?&amp;ArticleLanguage=en&amp;Type=LastCreated&amp;Product=8&amp;UpdatePeriod=daily&amp;ArticleType=all","web.params.count = 3","Hiding RSS Feeds","72919.htm");
Page[128]=new Array("Plesk provides its users with an option to suggest new features for further Plesk versions and vote for ideas suggested by other people on the uservoice.com online service. To open the page where you can vote for new features and suggest new ones, click the button Suggest an Idea in the Server Administration Panel of the Customer Panel.","If you do not want to use this option, you can hide the button Suggest an Idea. Alternatively, you can change this button's URL so that it points to any other site you want.","Voting for New Features","72497.htm");
Page[129]=new Array("The button Suggest an Idea is available at the following locations:","The Server Administration Panel, in the page footer.","The Customer Panel, in the page footer.","Location of the Button Suggest an Idea","72497.htm#o72498");
Page[130]=new Array("To hide the button Suggest an Idea:","Open the configuration file %plesk_dir%\\admin\\conf\\panel.ini on the Plesk server.  If the file does not exist, create it.","Add the following lines to the file:","[feedback]","userVoice = off","Save the file.","Hiding the Button Suggest an Idea","72497.htm#o72499");
Page[131]=new Array("To change the URL to which the button Suggest an Idea points:","Open the configuration file %plesk_dir%\\admin\\conf\\panel.ini  on the Plesk server.  If the file does not exist, create it.","Add the following lines to the file:","[feedback]","userVoiceUrl = &quot;&lt;your_URL&gt;&quot;","Where &lt;your_URL&gt; is the URL of an alternative features voting service.","Save the file.","Changing the URL of the Button Suggest an Idea","72497.htm#o72500");
Page[132]=new Array("This chapter describes how to rebrand Presence Builder to show your custom product name, product and company logo images; to take users to a branded website with user's documentation; and to show a customized Getting Started video tutorial.","It also describes how to embed your own Getting Started video in languages other than English. You might want to prepare custom localized videos if most of your customers speak other languages.","Where to Find These Items in the Product?","The Product Name","The product name is shown in the editor's toolbar and in various information and error messages. Note that the product version cannot be changed.","To learn how to change the product name, see the section Changing the Editor's Name.","The Product and Company Logo Images, and the Copyright Notice","The Presence Builder logo, the company logo (that of Odin), and the copyright notice are shown only on the topic selection page. This is the first page that users see when they visit the editor.","The product logo, the company logo, and the copyright notice have hyperlinks attached to them. The product logo refers to http://www.plesk.com/plesk/web-business-builder/, the company logo and the copyright notice refer to the Plesk site at http://www.plesk.com.","To learn how to change these logos, hyperlinks, and the copyright notice, see the section Changing the Product and Company Logos, Hyperlinks, and Copyright Notice.","Links to the User's Guide and Getting Started Video","The links to the User's Guide and the Getting Started video are accessible from the Presence Builder toolbar &gt; Help menu. Users are also advised to watch the Getting Started video when they visit the editor for the first time.","The User's Guide is hosted on the Plesk site, and the Getting Started video is hosted on the Plesk YouTube channel.","To learn how to change or remove these links, refer to the corresponding sections of this document:","Changing the Links to the User's Guide.","Changing the Links to the Getting Started Video.","Rebranding Presence Builder","72390.htm");
Page[133]=new Array("To change the editor's name Presence Builder to a custom name:","On the Plesk-managed server, open the configuration file %plesk_dir%\\sb\\config.","In the [general] section of the file, locate the following line:","product = &quot;Presence Builder&quot;","Type the desired product name instead of Presence Builder, and save the file.","Changing the Editor's Name","72358.htm");
Page[134]=new Array("To replace the product logo:","Prepare an image file in PNG format and save it as product-logo.png.","The image should be 50 pixels in height to perfectly fit in the header area.","Upload the file to the following directory on the hosting server: C:\\Program Files (x86)\\Parallels\\Plesk\\sb\\htdocs\\skins\\default\\images\\. Confirm overwriting when prompted.","To replace the company logo:","Prepare an image file in PNG format and save it as producer-logo.png.","The image should be 43 pixels in height to perfectly fit in the header area.","Upload the file to the following directory on the hosting server: C:\\Program Files (x86)\\Parallels\\Plesk\\sb\\htdocs\\skins\\default\\images\\. Confirm overwriting when prompted.","To change the links attached to the product and company logos:","On the hosting server, open the configuration file %plesk_dir%\\sb\\config.","In the [general] section of the file, locate the following lines:","product_website_url = &quot;http://www.parallels.com/products/web-presence-builder&quot;","company_website_url = &quot;http://www.parallels.com&quot;","Type the desired addresses within the quotation marks and save the file.","To change the company name shown in the copyright notice:","On the hosting server, open the file C:\\Program Files (x86)\\Parallels\\Plesk\\sb\\resources\\locale\\&lt;locale_code&gt;\\Common.lng.","Locate the following line:","copyright = &quot;© Copyright %s Plesk.&quot;","Type the desired text within the quotation marks and save the file.","Note that a hyperlink to www.plesk.com is automatically added to the copyright notice. If you have previously specified a website address by adding the line company_website_url = &quot;your-company-name.com&quot; to the configuration file %plesk_dir%\\sb\\config (as described in the preceding procedure), this hyperlink will point to that address.","Changing the Product and Company Logos, Hyperlinks, and Copyright Notice","72391.htm");
Page[135]=new Array("To change the link to the User's Guide:","On the hosting server, open the configuration file %plesk_dir%\\sb\\config.","Add the line [help] to the file. If it is already present, skip this step.","Add the following line after the line [help]:","help_url = &lt;link_to _your_documentation&gt;","For example: http://example.com/user-guide/index.html?%%CONTEXT%%","At the end of this link, the mechanism providing context-sensitive help will automatically add a GUI screen identifier, so the resulting URL will appear as: http://example.com/user-guide/index.html?%2FSiteBuilder%2FPanel.","The value that you specify as help_url  may contain the following placeholders:","%%LOCALE%% - 4-letter code of the locale currently set in the editor, for example, en-US or ru-RU. The following locales are supported: ","en_US - American English.","en_GB - British English.","de_DE - German.","es_ES - Spanish.","fr_FR - French","it_IT - Italian.","ja_JP - Japanese.","nl_NL - Dutch.","pl_PL - Polish.","pt_BR - Brazilian Portuguese","ru_RU - Russian.","zh_CN - simplified Chinese.","zh_TW - traditional Chinese.","%%VERSION%% - full Presence Builder version, for example, 11.1.0.","%%MAJOR_VERSION%% - major Presence Builder version (first two numbers), for example, &quot;11.1&quot;.","%%CONTEXT%% - GUI screen identifier.","For example: If a user views the Presence Builder 11 editor in English, and clicks the Help link on the first page of the editor (which opens after clicking the Create Site button), the link http://example.com/%%MAJOR_VERSION%%/%%VERSION%%/%%LOCALE%%/user-guide/index.html?%%CONTEXT%% will be replaced with http://example.com/11.0/11.1.0/en-US/user-guide/index.html?%2FSiteBuilder%2FPanel.","Save the file.","Changing the Link to the User's Guide","72360.htm");
Page[136]=new Array("To change the link to the Getting Started video:","On the hosting server, open the configuration file %plesk_dir%\\sb\\config.","In the [help] section, add the following lines:","getting_started_video_url = &lt;video_link&gt;","getting_started_video_enabled = true","Save the file.","To use a custom Getting Started video for a specific language:","On the hosting server, open the configuration file %plesk_dir%\\sb\\config.","Add the following line below getting_started_video_url:","getting_started_video_url_locale_&lt;locale-name&gt; = &lt;localized_video_link&gt;","Where &lt;locale-name&gt; is the four-letter code of the Presence Builder locale (for example, en_US or ru_RU) in which the video will show. The following locales are supported: ","en_US - American English.","en_GB - British English.","de_DE - German.","es_ES - Spanish.","fr_FR - French","it_IT - Italian.","ja_JP - Japanese.","nl_NL - Dutch.","pl_PL - Polish.","pt_BR - Brazilian Portuguese","ru_RU - Russian.","zh_CN - simplified Chinese.","zh_TW - traditional Chinese.","Ensure that the file contains the following line:","getting_started_video_enabled = true","Save the file.","To remove the link to the Getting Started video:","On the hosting server, open the configuration file %plesk_dir%\\sb\\config.","Add the line [help] to the file. If it is already present, skip this step.","Add the following line after the line [help]:","getting_started_video_enabled = false","If the file contains the line getting_started_video_enabled = true, just change true to false.","Save the file.","Changing the Links to the Getting Started Video","72361.htm");
Page[137]=new Array("This chapter describes how to change the behavior of certain user interface elements and how to make certain functions of the Presence Builder editor unavailable to customers. In particular, it explains how to perform the following tasks:","Prohibit your customers from removing their sites from the editor. You can do this by removing the Remove Site button.","Make the following modules unavailable in the editor: Embedded Video, Image Gallery, Image Slider, Blog, Online Store, Shopping Cart, Map, Commenting, Contact Form, Social Sharing, Advertisement, Search, Navigation, Breadcrumbs, Banner, Site Logo, and Script.","Remove the option for images stored externally at Google Picasa to be used in image galleries.","Make the functionality for importing sites from SiteBuilder 4.5 unavailable.","Expand the library of website banner images that are available to customers.","Expand the library of design templates that are available to customers.","Enable your customers to request technical assistance. This can be done by adding a special button to the editor. ","Enable your customers to submit feedback. This can be done by adding a special button to the editor. ","Remove the option to publish a copy of a website on Facebook.","Configure the editor to remove published sites from hosting accounts when users click the Remove Site button in the editor.","Customizing the Functionality of Presence Builder","70246.htm");
Page[138]=new Array("The following procedure describes how to prevent your customers from deleting their sites from the editor. You can do this by removing the Remove Site button.","To remove the button from the editor:","On the hosting server, open the configuration file %plesk_dir%\\sb\\config.","In the [general] section of the file, locate the following line:","allow_delete_site_ui = true","Replace the true value with false.","Save the file.","Prohibiting Users from Removing Their Sites","71300.htm");
Page[139]=new Array("If you want to prevent your customers from using certain modules in the editor, you can make them unavailable. Unavailable modules are not visible in the editor, and therefore are not accessible to customers.","During restoration of a website from a snapshot, the modules that you make unavailable, and their content, are not restored. The user is notified that the snapshot contains unavailable or unsupported functionality, and is prompted to choose whether to restore the rest of the site, or cancel restoration.","When a new website based on a website topic is opened in the editor, the modules that are unavailable are not added to the site. ","To remove modules from the editor:","On the hosting server, open the configuration file %plesk_dir%\\sb\\config.","In the [general] section of the file, add the following line:","hidden_widgets = &lt;module's code name 1&gt;, &lt;module's code name 2&gt;","Where &lt;module's code name 1&gt; and &lt;module's code name 2&gt; are code names of the modules, separated by a comma.","Save the file.","The following is a list of codes for all modules in Presence Builder 11.","Module's name in the editor","Module's code name","Embedded Video","video","Image Gallery","imagegallery","Image Slider","slider","Blog","blog","Online Store and Shopping Cart","eshop","Commenting","commenting","Contact Form","contact","Social Sharing","sharethis","Advertisement","advertisement","Map","map","Search","search","Navigation","navigation","Breadcrumbs","breadcrumbs","Site Logo","siteLogo","Script","script"," ","Making Modules Unavailable in the Editor","71301.htm");
Page[140]=new Array("If you do not want your customers to use images stored at Google Picasa in their image galleries, remove the corresponding option from the Image Gallery module. To do this:","On the hosting server, open the configuration file %plesk_dir%\\sb\\config.","In the [general] section of the file, add the following line:","picasa_enabled = false","Save the file.","Making the Google Picasa Storage Unavailable for Use in Image Galleries","72364.htm");
Page[141]=new Array("If you want to prevent your customers from importing sites from SiteBuilder 4.5 hosting accounts, you can remove the Import Site from SiteBuilder 4.5 button from the editor. This can be done by adding a line to the configuration file %plesk_dir%\\sb\\config.","To make the site import functionality unavailable to users:","On the hosting server, open the configuration file %plesk_dir%\\sb\\config.","In the [general] section of the file, add the following line:","show_import_site_button = 0","Save the file.","Making the Site Import Functionality Unavailable","71302.htm");
Page[142]=new Array("This section explains how to add custom banner images to Presence Builder's image library, and make them available for selection in the editor.","Suppose, you have an image file with the name jungle.jpg, and you want to add it to the editor. Do the following:","Resize the image to 960 pixels in width and 250 pixels in height. Convert the image to PNG format, and save it as header.png.","Create a copy of header.png, resize it to 200 pixels in width, and 57 pixels in height. Save it as preview.png.","Connect over Remote Desktop to the hosting server.","Change to the directory C:\\Program Files (x86)\\Parallels\\Plesk\\sb\\htdocs\\headers\\, and create a subdirectory with the banner name. For example, C:\\Program Files (x86)\\Parallels\\Plesk\\sb\\htdocs\\headers\\jungle_01.","Upload the header.png and preview.png files that you prepared to the directory C:\\Program Files (x86)\\Parallels\\Plesk\\sb\\htdocs\\headers\\jungle_01\\.","Change to the directory C:\\Program Files (x86)\\Parallels\\Plesk\\sb\\resources\\. It should contain the file customHeaders.xml.","If the file is missing, create it and insert the following lines into it:","&lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt;","&lt;headers&gt;","	&lt;header id=&quot;jungle_01&quot;&gt;","	&lt;/header&gt;","&lt;/headers&gt;","If the file is present, add the following &lt;header&gt; node to it:","&lt;header id=&quot;jungle_01&quot;&gt;","	","&lt;/header&gt;","Add keywords for the image.","Keywords are used for the following purposes:","Binding of images to website topics. When a new site is created based on a website topic, the editor searches for banner images that may be relevant to the topic, and adds one of them to the generated website. It also uses the relevant banners in generated design templates, which users can preview and select in the editor &gt; Design tab &gt; Templates. The relevance is determined by matching keywords in the website topic's meta data and in the headers.lng file containing descriptions of all banner images in the form of keywords.","Enabling users to find images by keywords in the banner selection menu.","To add keywords, do the following:"," Open for editing the file C:\\Program Files (x86)\\Parallels\\Plesk\\sb\\resources\\locale\\&lt;locale_code&gt;\\headers.lng."," Add a string in the following format:","&lt;header_id&gt; = &quot;&lt;keyword_1&gt;,&lt;keyword_2&gt;,&lt;keyword_3&gt;&quot;","Where:","&lt;header_id&gt; is the image ID that you specified in step 6, but with certain transformations: all uppercase letters must be changed to lower case, hyphens must be removed, the next symbol following a hyphen must be changed to upper case.","For example:","If the &lt;header_id&gt; is Jungle_01-eXample, then it must be changed to jungle_01Example.","If the &lt;header_id&gt; is my-super-banner, then it should be transformed to mySuperBanner.","If the &lt;header_id&gt; is my_super_banner, then it should be transformed to my_super_banner.","&lt;keyword&gt; is a human-readable word that describes the image or identifies items on the picture. ","You can use several keywords separated by commas. White spaces can be used only if they are part of a descriptive phrase or a combination of words.","Example:","jungle01 = &quot;jungle,tropics,green,nature,family travel&quot;","Save the file.   ","Issue the following command:","&quot;C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\bin\\php.exe&quot; -c &quot;C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\php.ini&quot;  -d auto_prepend_file=&quot;&quot; &quot;C:\\Program Files (x86)\\Parallels\\Plesk\\sb\\utils\\updateResources.php&quot; header","Now you can go to the editor and open the list of banner images. The newly added image should be at the end of the list.","Adding Custom Banner Images","72392.htm");
Page[143]=new Array("This section explains how you can prepare your own design templates and make them available to your customers.","A design template is a combination of website elements (banner, footer, sidebars, site-wide modules), page layout settings, and colors, which are applied to a site when it is created in the editor.","The editor provides a selection of 24 design templates, 16 of which are randomly generated, and 8, created by a graphic designer especially for Presence Builder.","Users can view the design templates and apply them to their sites in the editor, on the Design tab &gt; Templates. Randomly generated designs are listed in the Generated section, and the templates prepared by the designer, in the Special section.","Preparing a Custom Design Template","The following site elements and settings can be saved in a design template:","The website layout: the location and size of the header, footer, content areas, and sidebars.","The banner image.","All site-wide modules.","The color scheme or individually selected colors.","The fonts.","The information about the borders and shapes of the page elements' corners.  ","To create a custom design template and add it to Presence Builder editor:","Log in to the editor and start creating a site.","Adjust the layout and design.","If you need instructions on how to do this, refer to Presence Builder User's Guide, sections Changing Your Website Layout and Selecting Website Colors, Fonts, and Styles for Borders and Corners.","Add the necessary site-wide modules and a banner.","If you need instructions on how to do this, refer to Presence Builder User's Guide, the chapter Content: Text, Tables, Images, Video, Forms, and Scripts, and the section Changing the Website Header Elements.","Save the design template: Go to the Design tab, and click Export Design.","On the Presence Builder server, create a directory in C:\\Program Files (x86)\\Parallels\\Plesk\\sb\\htdocs\\templates\\generic\\presets\\.","The directory name should correspond to the desired name of the new template. For example: C:\\Program Files (x86)\\Parallels\\Plesk\\sb\\htdocs\\templates\\generic\\presets\\my_mega_design.","Extract the contents of the ZIP archive with the template into the directory you have just created.","Prepare a thumbnail that will be shown in the editor: Make a screen capture of your design in the editor, resize the picture to 213 pixels in width and 151 pixel in height, and save it as screenshot.png.","Upload the file screenshot.png to the directory C:\\Program Files (x86)\\Parallels\\Plesk\\sb\\htdocs\\templates\\generic\\presets\\&lt;your_template_name&gt;.    ","The template will show in Design tab &gt; Templates &gt; Special section.","To delete a custom design template, delete the directory C:\\Program Files (x86)\\Parallels\\Plesk\\sb\\htdocs\\templates\\generic\\presets\\&lt;your_template_name&gt; from the server.","Adding Custom Design Templates","72393.htm");
Page[144]=new Array("To enable your customers to submit technical support requests from the Presence Builder editor, you can add to the editor a button with the label Support. The button will be placed in the editor's toolbar, in the Help menu.","To add the button:","On the hosting server, open the configuration file %plesk_dir%\\sb\\config.","In the [help] section of the file, add the following line:","support_url = &lt;URL&gt;","Where &lt;URL&gt; is the address of your online support help desk or a support forum. For example: http://helpdesk.example.com.","The value that you specify as support_url  may contain the following placeholders:","%%LOCALE%% - 4-letter code of the locale currently set in the editor, for example, en-US or ru-RU.","%%VERSION%% - full Presence Builder version, for example, 11.1.0.","%%SITE_UUID%% - website ID.","For example:","If a user views the Presence Builder 11.1 editor in English, and clicks the Support link, the link http://helpdesk.example.com/index.php?locale=%%LOCALE%%&amp;version=%%VERSION%%&amp;siteid=%%SITE_UUD%% will be transformed to http://helpdesk.example.com/index.php?locale=en-US&amp;version=11.1.0&amp;siteid=93ea19b0-7537-fb22-d603-685e29cfd3e8.","Save the file.","Adding the Support Button","72367.htm");
Page[145]=new Array("If you want to enable customers to send you feedback, you can do the following:","Set up a forum on your site.","Configure the editor to show a link with the label Give Feedback, which will direct users to that forum.","The link will be placed in the editor's toolbar, in the Help menu.","To add the link:","On the hosting server, open the configuration file %plesk_dir%\\sb\\config.","In the [help] section, locate the line containing feedback_url. If this line is not present, add the following line: ","feedback_url = &quot;&lt;URL to your online forum&gt;&quot;","where &quot;&lt;URL to your online forum&gt;&quot; is your forum's address enclosed in quotation marks.","Save the file.","To remove the link:","On the hosting server, open the configuration file %plesk_dir%\\sb\\config.","In the [help] section, locate the line containing feedback_url, and remove the address enclosed in quotation marks. If this line is not present, add the following line:","feedback_url = &quot;&quot;","Save the file.","Adding the Link for Sending Feedback","72362.htm");
Page[146]=new Array("If you want to prevent your customers from publishing website copies on Facebook, you can remove the corresponding option from the editor. This can be done by adding a line to the configuration file.","To make the functionality for publishing sites on Facebook unavailable to users:","On the hosting server, open the configuration file %plesk_dir%\\sb\\config.","In the [general] section of the file, add the following line:","facebook_application_url = &quot;&quot;","Save the file.","Removing the Option to Add a Site Copy to Facebook","72368.htm");
Page[147]=new Array("When users remove a site from the Presence Builder editor, only the current site draft opened in the editor and saved site snapshots are removed. By default, published sites are not removed from hosting accounts.","If you want to save disk space, we recommend that you configure the editor to remove sites from hosting accounts when their owners click the Remove Site button.","To do this:","On the Presence Builder server, open the configuration file %plesk_dir%\\sb\\config.","In the [general] section of the file, locate the following line:","delete_published_site_files = false","Change false to true.","Save the file.","Removing Sites from Hosting Accounts","72558.htm");
Page[148]=new Array("Presence Builder comes with a set of website topics. A topic is a site template containing several webpages prefilled with relevant text, images, navigation menus, appropriate scripts, and meta information for use by search engines.","Website topics work in the following way:","A user selects a suitable topic in Presence Builder by browsing in a list of topics or searching by a keyword.","A number of keywords can be defined for each topic.","The user specifies a website name, selects a language, and specifies personal information, such as name, company, address, email, and phone number.","This information is inserted into the appropriate areas of the website, for example, on the &quot;About Us&quot; and &quot;Contact Us&quot; pages. This is done by means of placeholder variables. The following variables can be used in topics: %%companyName%%, %%address%%, &nbsp;%%city%%, %%country%%, %%phone%%, %%email%%.","After the user clicks Create Site, the editor does the following:","Loads the selected website topic with the prefilled text.","Inserts the information supplied by the user in the appropriate areas.","Picks a random color scheme and layout for the site. They are randomly selected by the editor to ensure a unique appearance of the site; however, when creating your own topic, you can apply a custom layout and style and make the editor use them for your topic.","Picks an appropriate image file to show as the site banner. The relevance of banners to site topics is determined by matching keywords in the website topics' meta data and in the banner descriptions. The instructions on how to add banner images for topics are provided in the section Adding Custom Banner Images.","Loads the scripts (or modules) that should be used on the site. The modules provided by the editor include Text &amp; Images, Contact Form, Image Gallery, Image Slider, Blog, Embedded Video, Online Store, Social Sharing, Map, Site Search, and Advertising.","When creating a custom topic, you should include only the following modules: Text &amp; Images, Contact Form, Blog, Embedded Video, Comments, and Social Sharing.","The user makes the desired changes to the site content and publishes the site to a hosting account.","Customizing Website Topics in Presence Builder","72395.htm");
Page[149]=new Array("Creation of a custom topic involves the following steps:","Log in to Presence Builder and create a site with custom design and content: add pages, text, scripts, and select custom layout and styles. ","Save the created site to a snapshot and download the snapshot. ","Upload the snapshot to the server file system and convert it to a ZIP package. ","You can do this by using the command-line utility snapshot2wst.php, which is shipped with Presence Builder. ","Extract the package contents for further editing and edit the files that compose the site topic. In this step, you can:","Make corrections to the text shown on website pages.","Translate all text in the topic into a different language. ","Upload an icon that should accompany the site topic on the topic selection screen.   ","Specify a title and a description for the new topic.","Specify a title and a description for the topic category if you have decided to create a category.","Register the newly created topic with Presence Builder by means of the snapshot2wst.php utility. After registration, the new topic will appear on the topic selection screen in the Presence Builder editor.","Verify that the topic was successfully added to Presence Builder.","Adding Custom Website Topics","72396.htm");
Page[150]=new Array("To create a site:","Log in to the Presence Builder editor.","Select a site topic that you want to use as a basis for your custom topic.","In the Prefill Your Website dialog, do not enter any information. If it is prefilled, delete it.","Click Create Site.","Edit the design and content of the site as desired:","Add, edit, or remove pages, and change their order.","Add text, images, scripts, and other useful functions provided by modules.","Note: You should insert only the following modules: Text and Images, Contact Form, Blog, Embedded Video, Comments, and Social Sharing. When inserting the modules, be sure to add them to the page-specific areas.","All other modules, including those inserted into site-wide areas, will not be saved in a snapshot, and therefore, will not be available in the site topic. Other items that cannot be saved in a snapshot are documents uploaded through the Document Manager and the site ownership verification file.","Change the layout and colors of the site elements.","When adding or editing text in the topic, you can use the following placeholders: %%companyName%%, %%address%%, &nbsp;%%city%%, %%country%%, %%phone%%, %%email%%.","If you need assistance with the Presence Builder editor, open the User&#8217;s Guide by clicking Help &gt; Open User&#8217;s Guide.","When your site topic is ready, save it to a snapshot as described in the following section.","Step 1: Creating a Site in Presence Builder","72371.htm");
Page[151]=new Array("In this step, you need to save your topic to a snapshot.","To save and download a site snapshot:","In the Presence Builder editor&#8217;s main menu, click the icon @ next to the Save link.","Type a name for the snapshot.","Click Save.","To download it, click the @(Download) icon.","To prepare the snapshot for further editing, upload it to the Presence Builder server and convert to a ZIP archive as described in the following section.","Step 2: Saving a Site to a Snapshot","72372.htm");
Page[152]=new Array("In this step, you need to upload the site snapshot to the Presence Builder server and convert it to a ZIP archive for further editing.","To upload a snapshot to the server and convert it to a ZIP package:","Connect to the server using SSH or a Remote Desktop connection.","Upload your snapshot file to the server. You can upload it, for example, to the directory c:\\Temp.","Convert the snapshot file to a ZIP archive by issuing the following command:","&#8220;C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\bin\\php.exe&quot; -c &quot;C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\php.ini&quot; -dauto_prepend_file=&quot;&quot; &quot;C:\\Program Files (x86)\\Parallels\\Plesk\\sb\\utils\\snapshot2wst.php&quot; --create --snapshot=&lt;source_snapshot_file.ssb&gt; --file=&lt;resulting_ZIP_archive.zip&gt; --templateCategory=&lt;category_code&gt; --templateCode=&lt;topic_code&gt;","Where:","&lt;source_snapshot_file.ssb&gt; is the path to the source snapshot archive in the SSB format that you uploaded to the server. For example: \\Temp\\source-snapshot.ssb.","&lt;resulting_ZIP_archive.zip&gt; is the location and file name of the resulting ZIP package. For example: \\Temp\\package-file.zip.","&lt;category_code&gt; is an identification code of the topic category. You can specify a name of a new category if you want to create it, or specify the code of an existing category. Do not use white spaces in category names. You will be able to set a human-readable name for this category later, by editing a file in the topic archive (\\resources\\locale\\en_US\\SiteTemplates.lng).","The following is a list of codes for the default categories present in Presence Builder 11.1.","Category name","Category code","Services","Services","Construction and Housing","ConstructionHousing","Retail Businesses","Retail","Manufacturing","Manufacturing","Organizations","Organization","Entertainment and Leisure","Entertainmentleisure","Arts and Design Services","ArtsDesign","Health and Sport","HealthSport","Education Services","Education","Fan and Hobby","FanHobby","Personal","Personal","Other","Other","&lt;topic_code&gt; is an identification code for the new topic. Be sure to use a unique name that does not coincide with an already existing one, otherwise, your custom topic will overwrite an existing topic. Do not use white spaces in topic codes. You will be able to set a human-readable name for this topic later, by editing a file in the topic archive  (\\resources\\locale\\en_US\\site_templates\\&lt;topic_code&gt;\\info.lng). ","Note that there is also the option --useSnapshotDesign. It can be used to indicate that the styles, colors, layout, and images used in the site snapshot must be applied to the new website topic, and should not be overridden when new sites are generated based on that topic.","After the ZIP archive is created, you can unpack it for further editing, or you can edit the files without unpacking if your ZIP archive manager supports that. ","Step 3: Uploading the Snapshot and Preparing for Editing","72397.htm");
Page[153]=new Array("Although you have prepared most of the content for the topic in the Presence Builder editor in Step 1, you might also need to do the following:","Optional steps:","Correct typos in text or make other minor changes, if required.","Translate the text in the site topic into another language, if required.","Required steps:","Specify a title, a description, and keywords for the new topic.","Specify a title and a description for the new topic category, if you have decided to create a category.","Add an icon that should accompany the site topic on the topic selection screen in the Presence Builder editor.","To make changes to text contained in the website pages:","In the topic archive structure, open the following file for editing: \\resources\\locale\\en_US\\site_templates\\&lt;topic_code&gt;\\content.lng.","Note: On the file system, the directory name corresponding to your topic will look like the topic code you specified, but with an appended unique combination of symbols. ","Make the required changes to the text and save the file.","Note: If you want to correct the site slogan shown in the header area, or a site description added to the &lt;META&gt; tags of HTML pages of the site, edit the file \\resources\\locale\\en_US\\site_templates\\&lt;topic_code&gt;\\site.lng.   ","To specify a title, a description, and keywords for the topic:","In the topic archive structure, open the following file for editing: \\resources\\locale\\en_US\\site_templates\\&lt;topic_code&gt;\\info.lng.","Type the title and description in quotation marks.","Specify keywords. These keywords are used for the following purposes:","Binding of images to website topics. When a new site is created based on a website topic, the editor searches for banner images that may be relevant to the topic, and adds one of them to the generated website. It also uses the relevant banners in generated design templates, which users can preview and select in the editor &gt; Design tab &gt; Templates. The relevance is determined by matching keywords in the website topic's meta data and in the banner descriptions. The instructions on how to add banner images for topics are provided in the section Adding Custom Banner Images.","Enabling users to find topics by keywords on the topic selection screen.","Improving of search efficiency by search engines. These keywords are also added to the &lt;META&gt; tags of HTML pages of the site.","You can use several keywords separated with commas. White spaces can be used only if they are part of a descriptive phrase or a combination of words. For example:","keywords = &quot;team,sports team,league,roster&quot;","Save the file.","To specify a title and a description for the new topic category:","In the topic archive structure, open the following file for editing:","\\resources\\locale\\en_US\\CustomSiteTemplates.lng.","Type the title and description in quotation marks.","Save the file.","To add an icon for the topic:","Prepare an image with the dimensions of 67 x 134 pixels, and save it to the PNG format, under the file name &lt;topic_code&gt;.png.","The PNG file must contain a composite image created by combining two icons with the dimensions of 67 x 67, aligned vertically: The upper half of the image must contain a grey icon, and the lower half of the image, a full-colored icon. The grey icon is shown on the topic selection screen when the mouse pointer is not hovered over the topic, and the lower half of the image, the full-colored icon, is shown when the topic is selected. The following is an example of the composite image that you need to create.","  @","In the topic archive structure, upload the file to \\htdocs\\images\\site_templates\\.","When prompted, confirm you want to overwrite the existing file.","When you have finished editing the files, pack them into a ZIP archive and register with your Presence Builder installation, as described in the following section.","Step 4: Editing the Files That Compose the Site Topic","72398.htm");
Page[154]=new Array("To finish adding your custom topic to the Presence Builder editor and make it available for selection by users, you need to register the topic with Presence Builder.","To register a topic with Presence Builder, issue the following command:","&#8220;C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\bin\\php.exe&quot; -c &quot;C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\php.ini&quot; -dauto_prepend_file=&quot;&quot; &quot;C:\\Program Files (x86)\\Parallels\\Plesk\\sb\\utils\\snapshot2wst.php&quot; --register --file=&lt;path_to_ZIP_archive_with_topic&gt;","Step 5: Registering the New Topic with Presence Builder","72399.htm");
Page[155]=new Array("To verify that your new topic was successfully added to Presence Builder:","Log in to the Presence Builder editor.","On the topic selection screen, select your topic and click Create Site.","Review the site content to ensure that everything looks as expected.","Step 6: Checking the New Topic","72376.htm");
Page[156]=new Array("You can rearrange and remove topics and categories by editing a configuration file and then applying it to a Presence Builder installation.","To modify the list of topics and categories available in Presence Builder, do the following:","Log in to the server over SSH or Remote Desktop.","Create a configuration file by issuing the following command:","&#8220;C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\bin\\php.exe&quot; -c &quot;C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\php.ini&quot; -dauto_prepend_file=&quot;&quot; &quot;C:\\Program Files (x86)\\Parallels\\Plesk\\sb\\utils\\snapshot2wst.php&quot; --export --file=&lt;configuration_file&gt;.cfg","Edit the resulting configuration file:","To remove unwanted topics or categories, comment out the corresponding entries in the file: place a semicolon (;) at the beginning of each line.","Categories are represented by lines containing text enclosed in square brackets. For example: [Retail].","Topics are represented in the list by lines like &lt;topic_code&gt;.info = &#8220;Topic title&#8221;. ","To change the order of topics or categories, move the corresponding lines within the file.","Save the file.","Apply the modified configuration file to the Presence Builder installation by issuing the following command:","&#8220;C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\bin\\php.exe&quot; -c &quot;C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\php.ini&quot; -dauto_prepend_file=&quot;&quot; &quot;C:\\Program Files (x86)\\Parallels\\Plesk\\sb\\utils\\snapshot2wst.php&quot; --import --file=&lt;configuration_file&gt;.cfg","To restore the default set of topics and categories in Presence Builder:","Issue the following command:","&#8220;C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\bin\\php.exe&quot; -c &quot;C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\php.ini&quot; -dauto_prepend_file=&quot;&quot; &quot;C:\\Program Files (x86)\\Parallels\\Plesk\\sb\\utils\\snapshot2wst.php&quot; --reset","Rearranging and Removing Topics and Categories","72400.htm");
Page[157]=new Array("f you have Plesk with Presence Builder and Business Manager, you can tune your system to offer Presence Builder in the Try and Buy (or trial) mode.  This mode lets everyone evaluate the editor and create websites for free. However, to acquire such websites, a site owner will need to subscribe to your hosting plan or purchase a plan add-on. ","Note: If you use some other billing solution&nbsp;instead of Business Manager, you can use the Try and Buy mode as well. Learn more in the section Offering the Try and Buy with Alternative Billing Solutions.","How the Try and Buy Mode Works","The Try and Buy mode is aimed at customers who wish to create their own sites but have little or no programming skill. Plesk helps such customers by giving them full access to Presence Builder functions to create sites at no charge. To claim the created sites the customers subscribe to a hosting plan in Plesk or upgrade the existing one. The more people you attract by this promotion, the more hosting subscriptions with Presence Builder you will have. ","The Try and Buy mode targets two different groups:","Existing customers who want to have a website but are unable to launch Presence Builder due to various limitations. For example, their hosting plan does not provide this option, or they have exceeded the number of sites to publish. By using the Try and Buy, you can upsell Presence Builder to these customers.&nbsp;Learn more in the section Configuring the Try and Buy for Existing Customers.","New customers who have created a trial site and now want to claim it with a new hosting plan. Learn how to configure the Try and Buy mode for such customers in the section Configuring the Try and Buy for Potential Customers.","The scenario for upselling to existing customers works this way:","Links to launch Presence Builder become available to such customers on a number of pages in Customer Panel. The customers see the links and click them.","Plesk forwards these customers to Presence Builder where they create trial sites.","When the site is ready and the customers click Publish, they are prompted to upgrade their subscription.","If the upgrade is successfully completed, the site can be published to the upgraded hosting account.","The scenario for selling hosting with Presence Builder to potential customers is as follows:","You enable public access to the Presence Builder trial mode in Plesk by selecting the corresponding checkbox in the Server Administration Panel &gt; Tools &amp; Settings &gt; Try and Buy Mode Settings.  If this mode is activated, everyone who follows a special promotional link is able to create a trial site. ","You obtain the promotional link from the Plesk GUI and put this link on your website so that potential customers can access it. ","When the customers click the link, they are forwarded to Presence Builder where they create trial sites. The editor interface is identical to the one that appears in step 2.<br>","As soon as the site is ready, the customers click Publish, and Plesk requests them to buy a hosting plan.","The customers subscribe to a new plan and are free to publish the site.","Note: All notifications that customers receive while using the Try and Buy mode can be customized. Learn more in the section Customizing Trial Mode Notifications.","Trial (Try and Buy) Mode for Presence Builder","67078.htm");
Page[158]=new Array("Use the Try and Buy mode if you want your existing customers to create trial sites even if Presence Builder is not provided with their license or they have exceeded the number of sites they can publish. ","To configure the mode, update the settings of your hosting plans. To do that, open the settings and select the item Allow customer to create trial Presence Builder websites. After you update the plan settings, customers are able to launch Presence Builder by clicking the corresponding link in the Customer Panel. ","This feature is controlled on a per plan basis, so you can offer the Try and Buy mode only for certain plans. If you deselect this item, your customers will still see the buttons to launch Presence Builder but they will not be able to actually launch it unless their plan includes Presence Builder support.","Note: If the hosting plans you want to change are imported from Business Manager and you want to keep them synced, go to the properties of corresponding plans in Business Manager, make sure that the item Allow up-selling Presence Builder sites is selected, and send changes to Plesk by clicking Events &gt; Run Events.","Configuring the Try and Buy Mode for Existing Customers","67076.htm");
Page[159]=new Array("Acquire potential hosting customers with Presence Builder by giving them a link to Presence Builder in the Try and Buy mode. After your customers follow this link, create a site, and try to publish it, Plesk forwards them to the default online store of Business Manager. In the store, customers choose a plan with Presence Builder and subscribe to it. The subscription automatically includes the newly created site. On completing the billing and subscription setup routines, the customers become owners of the site and can publish it. You are free to block access to the trial mode URL and thereby make Presence Builder unavailable.","To offer the Try and Buy mode to potential customers, do the following:","Prepare the default online store in Business Manager to display Presence Builder-compatible plans.","This step requires a cosmetic update: Make sure that all plans available to potential customers include at least one Presence Builder site. By default, customers see the plans from the default online store. For each of these plans, go to plan properties and check that the value of item Sites published with Presence Builder is not 0. If a plan includes 0 sites, your customers will not be able to publish them after subscribing to such a plan. ","Enable the Try and Buy mode in the Server Administration Panel.","This allows customers to launch Presence Builder by following the trial mode access URL. In the Server Administration Panel, go to Tools &amp; Settings &gt; Try and Buy Mode Settings, and ensure that the Enable public access to trial mode checkbox is selected. ","Obtain the trial mode access URL and put it on your website to advertise hosting with Presence Builder and attract customers.","The trial mode access URL is also available on the Presence Builder settings page.","(Optionally) Configure lifetime of trial sites.","On the same page you can optionally specify how often to remove unclaimed sites.","(Optionally) Forward customers to a separate online store. This is relevant when you want to display a separate list of plans to potential customers who want hosting with Presence Builder.","&nbsp;If you wish to have a separate store for the trial offering, extend the trial mode access URL with a store ID to point to a particular store. The syntax of the new URL is: &lt;existing URL&gt;&amp;storeId=&lt;custom store ID&gt;. To control the plans list view, independently add a widget ID to the URL. The syntax of the new URL is: &lt;existing URL&gt;&amp;widgetId=&lt;custom widget ID&gt;.","Note: The store and widget IDs must exist in Business Manager.","Once you complete these steps, your potential customers will be able to create trial sites and acquire them. To block this feature, deselect access to the Try and Buy mode on the mode settings page.","Configuring the Try and Buy Mode for Potential Customers","67080.htm");
Page[160]=new Array("The Presence Builder settings (Tools &amp; Settings &gt; Try and Buy Mode Settings) let you either display the Try and Buy mode notification to customers or hide it. The notification is displayed in a bar at the top of the editor page. This section explains how to change the notification text or add some extra information to the notification. By default, Presence Builder in trial mode uses messages from the tbbMessagesDefault.lng file of the used locale. ","To customize notifications displayed to your customers by Presence Builder in trial mode:","Go to the /usr/local/sb/resources/locale/&lt;locale_name&gt; directory on Linux operating systems, or to C:\\Parallels\\Plesk\\sb\\resources\\locale\\&lt;locale_name&gt; directory on Windows operating systems.","&lt;locale_name&gt; is the name of the locale for which you change the notifications. For example, the default English locale name is en_US.","Copy the tbbMessagesDefault.lng and rename it to tbbMessagesCustom.lng.","When the tbbMessagesCustom.lng file exists, Presence Builder uses it instead of tbbMessagesDefault.lng.","Edit messages in the tbbMessagesCustom.lng file. ","You can edit the following messages:","Message Keyword in Locale","Message Description","startUpsellLimitExceedingTitle","Title of the dialog window shown on Presence Builder start page to a customer who has exceeded the limit on the websites published with Presence Builder.","startUpsellLimitExceedingBody","Body of the dialog window shown on Presence Builder start page to a customer who has exceeded the limit on websites published with Presence Builder.","startUpsellNoSitesTitle","Title of the dialog window shown on Presence Builder start page to a customer whose subscription does not include Presence Builder.","startUpsellNoSitesBody","Body of the dialog window shown on Presence Builder start page to a customer whose subscription does not include Presence Builder.","editorTopMessageTrialSite","&quot;Call to action&quot; bar message at the top of Presence Builder Editor shown to a new customer who creates a trial site.","editorTopMessageUpsellLimitExceeding","&quot;Call to action&quot; bar message for a trial site at the top of Presence Builder Editor shown to a customer who has exceeded the limit on the websites published with Presence Builder.","editorTopMessageUpsellNoSites","&quot;Call to action&quot; bar message for a trial site at the top of Presence Builder Editor shown to a customer whose subscription does not include Presence Builder.","defaultPersonalName","Default name of the customer shown on Presence Builder start page to existing customers.","initialMailSubject","Subject of website creation email confirmation sent to a new customer.","initialMailHtml","Body of website creation email confirmation sent to a new customer.","limitsExceededTitle","Title of the dialog window shown upon clicking the Publish button to a customer who has exceeded the limit on the websites published with Presence Builder.","limitsExceededMsg","Body of the dialog window shown upon clicking the Publish button to a customer who has exceeded the limit on the websites published with Presence Builder.","firstSitePublishTitle","Title of the dialog window shown upon clicking the Publish button to a customer whose subscription does not include Presence Builder.","firstSitePublishMsg","Body of the dialog window shown upon clicking the Publish button to a customer whose subscription does not include Presence Builder.","licenseExceededMsg","Error message shown in the Status bar upon clicking the Publish button to a customer when the number of Presence Builder websites allowed by the Plesk license has been reached.","trialSiteSignUpPublishTitle","Title of the dialog window shown upon clicking the Publish button to a new customer who creates a trial site.","trialSiteSignUpPublishMsg","Body of the dialog window shown upon clicking the Publish button to a new customer who creates a trial site.","trialFeatureDisabled","Error message shown in the Status bar when a new customer tries to verify ownership in the settings of a trial site. ","You can use the following placeholders in Presence Builder trial mode notifications:","ppServerId - unique ID of Plesk server;","billingSignUpEntryPoint - entry point to Business Manager for new customers;","billingUpSellEntryPoint - entry point to Business Manager for existing customers;","subscriptionId - unique ID of the user subscription;","sbSiteUuid - unique ID of a website in Presence Builder;","sbOneTimeBackUrl - link Presence Builder that can be used only once;","locale - locale name;","trialSiteLifeTime - time that passes before trial websites that were not purchased by customers are removed from the server;","trialSiteExpireDate - expiration date of trial websites;","trialSiteUrl - link to trial website;","siteOwnerName - name of the user owning the website;","siteOwnerCompanyName - user's company name;","siteOwnerEmail - user's email;","siteOwnerPhone - user's phone number;","siteOwnerAddress - user's address;","siteOwnerCity - user's city;","siteOwnerCountry - user's country;","queryString - an additional query string passed to trial mode access URL;","helpUrl - link to Presence Builder documentation;","sbHttpHost - Presence Builder host name.","When using placeholders in messages, use the following placeholder markers:","&amp;placeholder_name&amp; - when you use a placeholder inside a hyperlink;","@placeholder_name@ - when you use a placeholder inside a JavaScript code;","%placeholder_name% - when you use a placeholder in plain text.","Customizing Trial Mode Notifications","67077.htm");
Page[161]=new Array("If you wish to offer the Try and Buy mode for Plesk with Presence Builder and a custom billing solution, you should also carry out the following operations: ","Forward customers from Presence Builder to a custom store and save details about created sites.","When a customer clicks to purchase a site, Presence Builder sends an HTTP POST request to a billing entry point. This request contains information about the customer and the created site. Business Manager (billing engine) uses this information to associate the site with the customer's hosting account. To shift to a custom billing engine, you should change the billing entry point URL and extend your billing engine logic to save the POST parameters that come to the URL.<br>","Ensure that customers purchase a hosting plan or add-on.","This solely depends on the billing system and is beyond the scope of the CAS integration.<br>","(For new customers only) Create a customer account, a subscription, and a site in Plesk.","Associate the site created in Presence Builder with an appropriate site in Plesk. ","This appendix explains how to complete operations 1, 3, and 4.","How to Forward Customers to a Custom Entry Point","By default, the store entry point URL points to Business Manager. This URL is stored in two placeholders (billingSignUpEntryPoint and billingUpSellEntryPoint) in file tbbMessagesDefault.lng. The location of this file depends on a Plesk installation directory (we assume that you use the default one), server OS and architecture. Find the file in one of the following directories:","(On Microsoft Windows) C:\\Program Files\\Parallels\\sb\\resources\\locale\\en_US or C:\\Program Files (x86)\\Parallels\\sb\\resources\\locale\\en_US depending on the server architecture.","(On RPM and DEB package-based Linux) /usr/local/sb/resources/locale/en_US","To customize the entry point URL, you should create a copy of the tbbMessagesDefault.lng. file, name it tbbMessagesCustom.lng, and modify the settings in the latter file. ","Note: We assume that you change the entry point for a store in  the en_US locale. To change the entry point for other locales, create and modify the tbbMessagesCustom.lng file in the respective directories that are on the same level with en_US.","To change the entry point URL:","Substitute all occurrences of the billingSignUpEntryPoint and billingUpSellEntryPoint placeholders with the URL of your custom billing solution. Take care to remove leading and trailing &quot;@&quot; and &quot;%&quot; symbols in all occurrences of the placeholders in the file. For example, if the new entry point URL is http://example.com, you should change @billingUpSellEntryPoint@ to http://example.com.","Remove the &quot;@sbHttpHost@&quot; part before the custom billing solution URL in the post methods.","To illustrate, if your custom billing solution's URL is http://example.com, the original entry of the following form:","form method='post' action='@sbHttpHost@@billingSignUpEntryPoint@?@queryString@'","needs to be rewritten so that it looks like this:","form method='post' action='http://example.com?@queryString@'","Do this for every entry containing either the @billingSignUpEntryPoint@ or the @billingUpSellEntryPoint@ placeholder.","What Parameters to Save","The billing entry point receives POST requests that contain information about customers and trial sites they have created. Although the requests contain a number of parameters, you need to save only one - sbSiteUuid. This is the unique identifier of the created site. To move the site to the customer's hosting account, you should associate the parameter with an appropriate site in Plesk.","How to Create a Customer Account, a Subscription, and a Site","To create these three objects, use XML API - the protocol to create and manage Plesk objects remotely. First, you should create a customer account and save the resulting ID. Then, create a subscription with the owner-id (in add/gen_setup) set to the customer ID. Finally, create a site with the webspace-id (in add/gen_setup) set to the subscription ID. Each of these three operations is presented by a packet you send to Plesk.","If you wish to quickly get started with sending XML API packets, read XML API Manual. It contains the chapter Client Code Samples that describes how you can implement your own packet sender by using samples of client applications (PHP, C#, VB.NET).","Find samples of the packets in XML API Manual, sections:","Supported Operations &gt; Managing Customer Accounts &gt; Creating Customer Accounts &gt; Request Samples","Supported Operations &gt; Managing Subscriptions (Webspaces) &gt; Creating a Subscription (Webspace) &gt; Request Samples","Supported Operations &gt; Managing Sites (Domains) &gt; Creating a Site &gt; Request Samples","How to Associate a Site Created in Presence Builder with a Plesk Site","An association between a Presence Builder site and Plesk site is also achieved through XML API. One of the protocol calls turns a trial site into a regular site and associates it with a Plesk site. This association means that when a customer clicks Edit in Presence Builder, their previously created site is displayed. This operation requires two parameters - the GUID of a Plesk site and sbSiteUuid that you previously received. ","The protocol call (or packet) to associate Presence Builder and Plesk sites is found in XML API Manual, section Supported Operations &gt; Managing Integration With Presence Builder &gt; Assigning a Trial Site &gt; Request Samples. This section contains call samples that you can reuse with your own values. Details on how to find a site GUID are also included in the reference document, section Supported Operations &gt; Managing Sites (Domains) &gt; Getting Information About Sites &gt; Request Samples.","What to Do Next","After you have successfully achieved the basic integration, you can extend your application to work with existing customers as well. This involves you showing them the options of upgrading their current subscription with Presence Builder support (existing customers are forwarded to billingUpSellEntryPoint, while new customers go to billingSignUpEntryPoint) rather than creating new subscriptions.","You can also personalize the store interface by using parameters received from Presence Builder. For example, you can adjust the store locale based on customers' personal data, or use the data in messages displayed to customers.","Offering the Try and Buy Mode with Alternative Billing Solutions","68376.htm");
Page[162]=new Array("Plesk 12.5 is shipped with the following interface languages:","English (United States)","Danish (Denmark)","German (Germany)","Greek (Greece)","Spanish (Spain)","Finnish (Finland)","French (France)","Indonesian (Indonesia)","Italian (Italy)","Japanese (Japan)","Korean (Republic of Korea)","Malay (Malaysia)","Norwegian (Norway)","Dutch (Netherlands)","Polish (Poland)","Portuguese (Brazil)","Portuguese (Portugal)","Russian (Russian Federation)","Swedish (Sweden)","Thai (Thailand)","Tagalog (Philippines)","Turkish (Turkey)","Ukrainian (Ukraine)","Vietnamese (Viet Nam)","Chinese (China)","Chinese (Taiwan)It is possible to translate Plesk interface (including Presence Builder) into other languages and apply the translation to a Plesk installation.","For detailed instructions on translating Plesk into your language, refer to the Localization Guide.","Localization","68558.htm");
Page[163]=new Array("Automatic logging in to Plesk is especially useful for integration purposes, so that customers who have logged in to some other system can access Plesk without having to log in a second time.","The recommended way to implement automatic logging in is to redirect users to a one-time use URL that contains a session token. To generate a session token for a user, run an XML API request that uses the create_session operation of the server operator. ","An example of the request:","&lt;packet version=&quot;1.6.3.3&quot;&gt;","  &lt;server&gt;","    &lt;create_session&gt;","      &lt;login&gt;admin&lt;/login&gt;","      &lt;data&gt;","        &lt;user_ip&gt;MTAuNTAuMS43MQ==&lt;/user_ip&gt;","        &lt;source_server&gt;&lt;/source_server&gt;","      &lt;/data&gt;","    &lt;/create_session&gt;","  &lt;/server&gt;","&lt;/packet&gt;","The login parameter specifies the Plesk user for whom you need to create a session. The user-ip parameter is an IP address of the user, encoded using the base64 algorithm.","An example of the response:","&lt;packet version=&quot;1.6.3.3&quot;&gt;","  &lt;server&gt;","    &lt;create_session&gt;","      &lt;result&gt;","        &lt;status&gt;ok&lt;/status&gt;","        &lt;id&gt;ede520d0fc93ae7aa0524076d631fba2&lt;/id&gt;","      &lt;/result&gt;","    &lt;/create_session&gt;"," &lt;/server&gt;","&lt;/packet&gt;","Plesk creates a session token for the specified user. It is contained in the id tag (ede520d0fc93ae7aa0524076d631fba2 in the example).","&nbsp;&nbsp;","The generated session token can be used in scripts. A script redirects the user&#8217;s browser to rsession_init.php, and the user is logged in to the Customer Panel. ","An example of the URL containing a session token for logging in to the Customer Panel:","https://&lt;server-host-or-ip-address&gt;:8443/enterprise/rsession_init.php?PLESKSESSID=1ba78fc5e27a2af9302717dbe1febb24","The full list of parameters that rsession_init.php takes is as follows:","PLESKSESSID. A session token (Windows).","success_redirect_url (optional). The URL to which the browser will be redirected after a successful login.","failure_redirect_url (optional). The URL to which the browser will be redirected after a failed login attempt. This parameter is also used as the logout URL.","no_frames (optional, deprecated). Use this parameter to display the Plesk Administrator Panel without frames.","locale_id (optional). A locale name (such as de-DE).","&nbsp;&nbsp;","The easier, but not recommended way to implement automatic logging in functionality is to pass a plain password as a parameter in URL. Such a URL looks like this:","https://&lt;server-host-or-ip&gt;:8443/login_up.php3?login_name=&lt;login&gt;&amp;passwd=&lt;password&gt;&amp;success_redirect_url=&lt;success_redirect_url&gt;&amp;failure_redirect_url=&lt;failure_redirect_url&gt;","The full list of parameters that login_up.php3 takes is as follows:","login. User's login.","passwd. User's plain password.","success_redirect_url (optional). The URL to which the browser will be redirected after a successful login.","failure_redirect_url (optional). The URL to which the browser will be redirected after a failed login attempt. This parameter is also used as the logout URL.","no_frames (optional, deprecated). Use this parameter to display the Plesk Administrator Panel without frames.","locale_id (optional). A locale name (such as de-DE).","Automatic Logging in to Plesk","73875.htm");
Page[164]=new Array("The maximum size of a file that can be uploaded to the server using the FIle Manager depends on Plesk PHP settings. ","To set the maximum size of a file that can be uploaded:","Open the C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\conf\\php.ini file for editing.","Set the value of the post_max_size and upload_max_filesize directives to the desired maximum file upload size.","Restart the web server by running the iisreset command.","Note that the changes are server-wide and will affect both the provider and all customers.","Changing the Maximum Upload File Size","74208.htm");
Page[165]=new Array("To comply with the requirements of the Chinese Ministry of Industry and Information Technology and enable you to do business in the People's Republic of China, Plesk features the ICP permit functionality. This functionality makes it possible to assign ICP permits to primary domains, additional domains, subdomains, and domain aliases using the XML-API and command line, and also to block access to websites with no ICP permit assigned.","To enable the ICP permit functionality, open the file C:\\Program Files (x86)\\Parallels\\Plesk\\admin\\conf\\panel.ini for editing (create the file if necessary) and add the following lines to it:","[domainManagement]","features.icpPermit = true","features.icpPermitLink = http://www.miitbeian.gov.cn/","features.icpPermitLearnMore = https://en.wikipedia.org/wiki/ICP_license","Once the ICP permit functionality has been enabled, the ICP permit status of every primary domain, additional domain, subdomain, or domain alias is displayed in the Plesk interface:","If no valid ICP permit has been assigned, the status is displayed as Not Permitted. Domains with this status are unavailable. Browsing a website with no ICP permit assigned results in a custom 451 Unavailable For Legal Reasons error page. The website preview still works for authenticated Plesk users.","To make a website available, it has to be granted the &quot;ICP permit approved&quot; status, and have an ICP permit assigned to it. This can be done in three ways:","Via the Plesk interface. Once the ICP permit functionality is enabled, the controls for managing ICP permits (Grant Approval/Revoke Approval and Enter Permit ID) are displayed for every domain, subdomain, and domain alias.","Via the site.exe and the domalias.exe command line utilities.","Via XML-API requests.","Assigning ICP Permits to Websites","75227.htm");
Page[166]=new Array("Hosting companies can add value to hosting plans and enhance the Plesk capabilities by adding third-party services to Plesk. In the terms of Plesk, such services are called additional. An additional service can be any resource available at a certain URL (like a Plesk extension, web app, and so on), even if it is completely independent from Plesk. It can be a spam filter, statistics analytic tool, helpdesk or other services.","The administrator and resellers associate these additional services with hosting plans when setting up a distribution strategy. For example, if you have a service that performs custom mail filtering, Plesk lets you offer this service with one particular plan, for example, the Silver hosting plan and do not offer with others.","To make Plesk aware of an additional service, you should add the service to Plesk. In the simplest case, when the service resides on a remote URL and does not require any notifications from Plesk, add it from the Plesk GUI, page Service Plans &gt; Additional Services. From there, you can also associate the service with a custom button that is instantly added to the Websites &amp; Domains page of each subscriber.","Another way to add a service is to make a programming call to Plesk. The benefit of this approach is that it lets your service to receive Plesk notifications about the object changes. For example, the mail filtering service we mentioned earlier must track account name changes to serve renamed accounts as well. Though you can make a call that adds a service and does not subscribe it to notifications, this operation does not make much sense as it is easier to add such services through the GUI. Thus, we consider that you will generally use programming means to both add services and register them with Plesk Notifications (PN). ","The possible inconvenience of adding services by a call is that you are unable to edit details of the services through the Plesk GUI. Please consider it when designing service names and descriptions. Another peculiar feature of adding services by a call is that are not automatically visible to customers. We recommend that you use custom buttons or write an extension to display the service in the Customer Panel.","PN sends notifications about subscriptions, sites, and email accounts related to the service. The relation subscription - service is derived from plans: A service is associated with plans, whereas subscriptions are plan instances. If a subscription has sites or email accounts, the changes of these supplementary objects are also tracked.","If you wish to register your service with the PN, do the following: ","Create a service-specific class that implements interface Plan_Item_Interface.","By implementing this interface, you specify the service properties in Plesk and define what type of changes it should receive and how it should handle them. When a change happens, Plesk executes the change handling code from this class. This code runs in the Administrator context.","Register this class by an appropriate call. ","For details on interface Plan_Item_Interface and instructions on how to implement it, see section Preparing a Service for Registration.","To learn how to register a prepared class, see section Registering the Service.","Note: This section does not explain how to write third-party services, integrate them into the Plesk GUI, or get access to the Plesk resources. If you wish to make a registered service available to customers, create a custom button pointing to the service URL and place it on pages available to customers. This can be done through the command line interface (CLI) and will work only if your service receives enough information from PN. If your service requires access to other Plesk resources or you want to build your service into the Plesk GUI, consider writing an extension.","Registering Additional Services with Plesk Notifications","66758.htm");
Page[167]=new Array("To prepare a service for registration with Plesk Notifications, create a PHP file containing a class that implements interface Plan_Item_Interface and put the file into a directory available to Plesk. The directory must have a unique name and reside in /PRODUCT_ROOT_D/admin/plib/, where PRODUCT_ROOT_D is the installation directory of Plesk. ","When designing names of the class that implements the interface and the file that includes this class, follow Zend naming conventions. For example, if you create a directory /PRODUCT_ROOT_D/admin/plib/servicedir and put there file servicefile.php, then the class name must be servicedir_servicefile. To learn more about the naming conventions, see http://framework.zend.com/manual/1.12/en/coding-standard.naming-conventions.html.","We offer a sample class you can use as a base when writing own classes to help you with the implementation. The code is supplemented by comments that explain the interface organization. ","To view the code, click the following link: code sample.","Preparing a Service for Registration","66759.htm");
Page[168]=new Array("We suppose that you have prepared the Plan_Item_Interface implementation and want to register your service with Plesk Notifications. To perform the registration, create an arbitrary PHP file, for example, register.php, and paste the code given below into the file. Substitute servicedir_servicefile with your class name throughout the code. When ready, run the code by using one of these shell commands:","On Linux, run /usr/local/psa/bin/sw-engine-pleskrun register.php","On Windows, run %plesk_bin%\\php register.php","Note: We suppose that Plesk is installed to the default installation directory. If you use a custom directory, please update the paths correspondingly.","To view the register.php code, click the following link: code sample.&nbsp;","If it is impossible for you to run the PHP code, you can register the service directly by running this MySQL statement customized to your class.  ","INSERT INTO PlanItems (","     classname,","     name,","     applicableToEmail,","     uuid"," )"," VALUES (","     'servicedir_servicefile',","     'urn:isv:custom-item-connector:1',","     1,","     '219b7656-8e92-869d-828a-6814cda71a1s');","The definition of the parameters that present in the statement is as follows:","classname, string","The name of the class that contains the interface implementation.<br>","name, string","The unique name of the service.<br>","applicableToEmail, boolean (0,1)","This parameter subscribes the service to email accounts changes.  Alternatively, you can specify applicableToSite or applicableToSubscription to receive notifications about changes in Plesk's subscriptions and sites.<br>","uuid, string","The service identifier.","Registering the Service","66760.htm");
Page[169]=new Array("&lt;?php","/**"," * Sample implementation of a Service Plan Item declaration."," *"," */","/**"," *"," * Plan_Item_Interface declares the following methods:"," *"," *   public function getName();"," *   public function getHint($locale);"," *   public function getDescription($locale);"," *   public function update("," *       $subject,"," *       $change,"," *       $subscriptionUuid,"," *       $planItemUuid"," *   );"," *"," * Additional descriptions are available as annotations to method"," * implementations below."," *"," */","class servicedir_servicefile implements Plan_Item_Interface","{","    private $_logFile = '/tmp/custom-item-connector.log';","    private $_locales = array(","        'en-US' =&gt; array(","            'description' =&gt; 'External Mail Filtering Service',","            'hint' =&gt; 'Filter all incoming mail throug cloud mail filter',","        ),","        'de-DE' =&gt; array(","            'description' =&gt; 'This is a description in German',","            'hint' =&gt; 'And hint is also in German',","        ),","    );","    /**","     * Returns a unique name of an additional service.","     * Plesk uses this name to distinguish services from each other.","     *","     *","     * @return string","     */","    public function getName()","    {","        return 'urn:isv:custom-item-connector:1';","    }","    /**","     * Returns a localized name of the service, that will be","     * displayed in Plesk (in Service Plans &gt; Additional Services).","     *","     *","     * @param string $locale Currently used locale in format 'xx-XX' (RFC 1766).","     * @return string","     */","    public function getHint($locale)","    {","        return $this-&gt;_('hint', $locale);","    }","    /**","     * Returns a localized name of the service, that will be","     * displayed in Plesk (in Service Plans &gt; Additional Services).","     *","     *","     * @param string $locale Currently used locale in format 'xx-XX'","     * @return string","     */","    public function getDescription($locale)","    {","        return $this-&gt;_('description', $locale);","    }","    /**","     * Receives update notifications about related Plesk objects. The objects are","     * specified with object implementing Plan_Item_Subject interface that","     * declares the following methods:","     *","     *   public function getType() - Returns type of a changed object","     *   	 as specified by Plan_Item_Subject constants ","     *","     *          Available types: Plan_Item_Subject::EMAIL, Plan_Item_Subject::SITE, ","     *          Plan_Item_Subject::SUBSCRIPTION ","     *","     *","     *   public function getProperties() - Returns the current values of","     *   	subject properties. The properties are returned as key =&gt; value pairs.","     *      For deleted objects, properties values remain as they were","     *      before deletion. For created objects, properties values are those","     *      that were assigned to these objects upon creation.","     *","     *      ","     *      Available properties.","     *      ","     *      For subscriptions:","     *        GUID: string","     *        status: boolean","     *      ","     *      For sites:","     *        status: boolean","     *        name: string","     *        GUID: string","     *      ","     *      For e-mail accounts:","     *        email: string (account name)","     *","     * Changes are specified with $change that is one of","     * Plan_Item_Notification::{CREATED,UPDATED,DELETED} constants.","     *","     * $subscriptionUuid is a GUID of subscription.","     *","     * $planItemUuid is a GUID of the additional service.","     *","     *","     * @param Plan_Item_Subject $subject","     * @param int $change","     * @param string $subscriptionUuid","     * @param string $planItemUuid","     * @return void","     */","    public function update(","        Plan_Item_Subject $subject,","        $change,","        $subscriptionUuid,","        $planItemUuid","    )","    {","        $subjectType = Plan_Item_Subject::EMAIL === $subject-&gt;getType()","            ? 'Email address'","            : 'unknown';","        switch ($change) {","            case Plan_Item_Notification::CREATED:","                $this-&gt;_log(&quot;$subjectType created: &quot; .","                    print_r($subject-&gt;getProperties(), true)","                );","                break;","            case Plan_Item_Notification::UPDATED:","                $this-&gt;_log(&quot;$subjectType updated: &quot; .","                    print_r($subject-&gt;getProperties(), true)","                );","                break;","            case Plan_Item_Notification::DELETED:","                $this-&gt;_log(&quot;$subjectType deleted: &quot; .","                    print_r($subject-&gt;getProperties(), true)","                );","                break;","        }","    }","    /**","     * Declares from what type of Plesk objects the service will receive notifications.","     * It returns either an array or a single type.","     *","     * Plan_Item_Subject::SUBSCRIPTION","     * 	 The service will recieve notifications about all changes made to","     *    subscription (including activation/suspension of subscriptions,","     *    assigning/de-assigning the service to a subscription)","     *","     * Plan_Item_Subject::EMAIL","     * 	 The service will recieve notifications about all changes made to","     *    e-mail accounts on affected subscriptions.","     *","     * Plan_Item_Subject::SITE","     * 	 The service will recieve notifications about all changes made to","     *    site names in the scope affected subscriptions.","     *","     */","    public static function getSubjectTypes()","    {","        return array(Plan_Item_Subject::EMAIL);","    }","    private function _($key, $locale)","    {","        if (!isset($this-&gt;_locales[$locale])) {","            return $this-&gt;_locales['en-US'][$key];","        }","        return $this-&gt;_locales[$locale][$key];","    }","    private function _log($message)","    {","        date_default_timezone_set('UTC');","        $logString = &quot;[&quot; . date(&quot;H:i:s&quot;) . &quot;] &quot; . $message;","        file_put_contents($this-&gt;_logFile, $message, FILE_APPEND);","    }","}","Implementation of Plan_Item_Interface","66773.htm");
Page[170]=new Array("&lt;?php","/**"," * Sample code to register an additional service in"," * Plesk 10.1 and above."," *"," */","/**"," * Use the following instructions to initialize the Plesk PHP"," * environment when running command-line PHP script with sw-engine-pleskrun"," * utility. On Linux OSes, it resides in /usr/local/psa/bin/."," *"," * For Windows servers, use the following command to run the registration script."," * &quot;%plesk_bin%\\php.exe&quot; -d auto_prepend_file=&quot;&quot; &quot;&lt;ABSOLUTE-PATH-TO-SCRIPT&gt;&quot;"," *"," * Comment the following two lines if you run the PHP script through the Plesk"," * web interface."," */","require_once('api-common/cu.php');","cu::initCLI();","/**"," * The following code registers the service that was"," * implemented with the servicedir_servicefile class. This class must"," * be available for autoloading from Plesk."," */","Db_Table_Broker::get('PlanItems')-&gt;register(","    new servicedir_servicefile(),","    servicedir_servicefile::getSubjectTypes()",");","Registration of an Additional Service","66774.htm");
Page[171]=new Array("This chapter describes how to repair malfunctioning Plesk services.","Troubleshooting","68471.htm");
Page[172]=new Array("By using Plesk Reconfigurator, you can check and repair Plesk installation that is malfunctioning due to misconfiguration of one or more of its components.","The following problems can be identified and corrected by using the Repair Plesk Installation option:","problems with mail delivery caused by user-made changes in DNS server addresses","misconfigurations of system user accounts or groups used by Plesk to access system objects","malfunction of Plesk's services","misconfigurations in user access permissions for files and folders on server disks and hosting folders","miscalculations of disk space usage by individual domains and subdomains","To check and repair Plesk installation, follow these steps:","Log in to the Plesk-managed server as a user with administrator rights by using Remote Desktop.","In the Windows Start menu, select All Programs &gt; Plesk &gt; Plesk Reconfigurator. The Reconfigurator application window opens.","Select the Repair Plesk installation option.","Select repairing actions that you want to perform by using checkboxes. See the following table for explanation of each check and repair option.","Click Check. Reconfigurator automatically performs the following tasks:","Corrects the problems with mail delivery caused by the changes made to DNS server addresses.","Restores system accounts used by Plesk to manage the server.","Checks and corrects Plesk settings and system account used to run and manage various Plesk services.","Resets security settings for files and folders.","Checks and corrects ownership of files and folders and recalculates disk space usage by individual domains and subdomains accordingly."," ","Check &amp; Repair options"," ","Option","Description","Plesk Mail Server","DNS settings from network adapters are applied to mail server; network name localhost is added to the relay list.","User Accounts Used by Plesk","During the full repair, Reconfigurator performs the following tasks:","checks if Windows user accounts psaadm, tomcat4, ASPNET, and groups psacln, and psaserv exist and creates them if they do not exist.","Restores members of the psaserv group but not the members of the psacln group.","checks if the psaserv group includes the accounts: ASPNET, LOCAL SERVICE, NETWORK SERVICE, and IUSR_&lt;computer name&gt; (Internet Guest Account) and restores and adds them to the group if they are not.","checks Plesk&#8217;s system accounts (including Internet accounts for anonymous access to domains) and IIS settings for anonymous domain access.","Plesk File Security","Reconfigurator checks security settings on the following folders:","%plesk_dir%","%SystemRoot%\\temp","%plesk_vhosts%","%plesk_vhosts%\\default","%plesk_vhosts%\\sqladmin","%plesk_vhosts%\\webmail","%plesk_vhosts%\\.skel","checks security settings for subfolders and files found in the following directories","%plesk_dir%","%SystemRoot%\\temp","Plesk Services","For each service, Reconfigurator performs the following tasks:","checks and, if necessary, corrects the paths to the service binary file","check and, if necesary, corrects the user account that is used to start the service","registers with the correct paths all unregistered services registered","starts all inactive services and changes their startup types to Automatic","If the Bind service is disabled via Plesk and is not registered in the system, it is not registered by Reconfigurator. If Reconfigurator finds the Bind service running on the server., it stops it and changes its startup type to Disabled. It also ensures that the Plesk service uses the psaadm account to log on to the system.","Plesk Virtual Hosts Security","For each object, Reconfigurator first checks if the object's DACL corresponds to the object's security rules contained in Plesk's security files. (For detailed information about security rules, see Security Metadata Files and Templates.)  If Reconfigurator cannot resolve a SID, it removes all ACEs corresponding to the SID from the DACL. If one or more SIDs specified by the security rules are missing in the DACL or specific access rights in the ACEs do not match those determined by the security rules, Reconfigurator updates the existing DACL.To enable this, Reconfigurator recreates all missing user accounts for which ACEs must be added to the DACL. Depending on the object type, Reconfigurator uses different access rights matching criteria and DACL update methods.","For domain and subdomain root folders, after all unresolved SIDs' ACEs are removed from a DACL, Reconfigurator check if access rights defined in the existing DACL exactly match those defined by the security rules. If a mismatch is found (DACL contains SIDs that are not found in the security  rules, required SIDs are missing, or SID's access rights are different), Reconfigurator compiles a new DACL based on the current Plesk's security rules and completely overwrites the existing DACL.","For objects other than domain and subdomain root folders, after all unresolved SIDs' ACEs are removed from a DACL, Reconfigurator only checks if all  access rights defined by the security rules are found in the DACL. If some access rights are missing from the DACL, Reconfigurator merges the ACEs  remaining in the existing DACL with the ACEs defined based on the security rules.","Plesk Database","Reconfigurator cleans up the Repository table of the Plesk's internal database and checks application vaults' state.","Plesk Quotas","Reconfigurator checks that folders and files in a domain folder have proper ownership - are owned by to the corresponding user account or a web user of the corresponding domain. (If they are owned by other accounts, Plesk may report wrong disk space usage by the corresponding hosting accounts).","Repairing Plesk Installation","68471.htm#o49731");
Page[173]=new Array("If you installed a third-party component but Plesk does not recognize it and does not show it in Server Components, you can check the Plesk registry subtree:","HKEY_LOCAL_MACHINE\\SOFTWARE\\PLESK\\PSA Config\\Config\\Packages","Check if the necessary component is present there. If everything is correct, you need to check whether all required *.dll files are present in the %plesk_bin% folder. You can find the *.dll name in the following key:","HKEY_LOCAL_MACHINE\\SOFTWARE\\PLESK\\PSA Config\\Config\\Packages\\package.name\\component.name\\dll","For example:","HKEY_LOCAL_MACHINE\\SOFTWARE\\PLESK\\PSA Config\\Config\\Packages\\mailserver\\mailenable\\dll == 'C:\\Program Files\\Parallels\\Plesk\\admin\\bin\\mailenableproviderw.dll'","If the *.dll is not present in %plesk_bin% you need to locate it and copy to the %plesk_bin% folder. After that, log in to Server Administration Panel and click Tools &amp; Settings &gt; Server Components &gt; Refresh. The component should appear.","Detecting Newly Installed Components","68471.htm#o68833");
Page[174]=new Array("You can restore your mail server functionality in cases when errors appear concerning the mail server misconfiguration or its mismatching with the Plesk's internal database. This purpose is served by an internal utility mchk.exe residing at %plesk_dir%\\admin\\bin\\. The utility restores the mail server configuration using the Plesk's database data.","Note: The utility restores only configuration of the mail server selected as default in Server Administration Panel &gt; Tools &amp; Settings &gt; Server Components.","In general, mchk.exe matches the mail server configuration with Plesk's database. In case when you execute mchk.exe --all --fix-all, the utility resets the mail server configuration the following way: It deletes all existing configuration files of the mail server (leaving its content) and then creates them according to the Plesk's database. ","Warning: Use --fix-all option only if the mail server's configuration files are so much corrupt that the mail server itself cannot work with them properly and executing mchk.exe with other options does not solve the problem.","Usage: mchk.exe [options]","Available options","Option","Parameter","Action","Example","--all","Checks and restores server-wide mail settings and mail settings for all domains","mchk.exe --all","--fix-all","Resets server-wide and domain's mail settings","mchk.exe --all --fix-all","--domain","--domain-name","Checks and restores mail settings for a specified domain","mchk.exe --domain --domain-name=example.com","--all-domains","Checks and restores mail settings for all domains","mchk.exe --all-domains","--global-settings","Checks and restores only server-wide mail settings","mchk.exe --global-settings","Note: This utility does not have any help reference, and executing it with arguments like /? will simply start restoring of mail configuration.","Restoring Mail Configuration","68471.htm#o49565");
Page[175]=new Array("If you receive too many email notifications from Plesk Premium Antivirus, you can switch them off. To do this, perform the following steps:","Log in to the database:","	&quot;C:\\%plesk_dir%\\mysql\\bin\\mysql&quot; -uadmin -p&lt;password&gt; -P8306 psa ","Make sure that the record regarding antivirus notifications for administrator is present in the psa.misc table. Find it out with the following SQL query:","	mysql&gt; select val from misc where param = 'AntivirusNotifyAdmin';","Notification can be enabled or disabled by switching the parameter using one of the following queries:","To enable notifications:","mysql&gt; update misc set val='1' where param = 'AntivirusNotifyAdmin';","To disable notifications:","mysql&gt; update misc set val='0' where param = 'AntivirusNotifyAdmin';","To insert the value if it is not present in the database, issue the following:","mysql&gt; insert into misc values ('AntivirusNotifyAdmin','0');","Reducing Amounts of Notifications from Antivirus","68471.htm#o68834");
Page[176]=new Array("In addition to the password reminder link on the login screen, you can use the plesksrvclient.exe utility located in the %plesk_bin% folder to view the password or set up a new password.","To view the current password, issue the following command:","&quot;%plesk_bin%\\plesksrvclient.exe&quot; -get","To set a new password, issue the following command:","&quot;%plesk_bin%\\plesksrvclient.exe&quot; -set &lt;new_password&gt; true","Recovering Forgotten Password","68471.htm#o68835");
Page[177]=new Array("Plesk sets permissions for all server partitions so as to prevent users from interfering with each other or accessing unknown third-party software. For this reason, Plesk components or third-party applications used with Plesk can have insufficient permissions for proper operation. The Check component and folder permissions option of the Reconfigurator utility can be used to check and correct permissions for files and folders after installing third-party applications on the Plesk-managed server. With this option, you do not have to scan the whole disk, but you can check and correct permissions just for one or several applications, or for a selected partition or directory.","To check and correct permissions for third-party applications, follow these steps:","Log in to the Plesk-managed server as a user with administrator rights by using Remote Desktop.","In the Windows Start menu, select All Programs &gt; Plesk &gt; Plesk Reconfigurator. The Reconfigurator application window opens.","Select the Check component and folder permissions option.","Select one or several Plesk components from the list or select the partition where the third-party application is installed in the Path to check field.","Click Check.","View the progress at the bottom of the form. As soon as the check is complete and the permissions are fixed, you are taken back to the main window of Reconfigurator.","Checking and Correcting Component and Folder Permissions","68471.htm#o55292");
Page[178]=new Array("DACL (Discretionary Access Control List) ","Part of the security descriptor for an object. The DACL can be applied to a newly created object in order to restrict access to the object. ","ACE (Access Control Entry) ","An individual entry in an access control list (ACL). An access control entry (ACE) contains an SID and describes the access rights to a system resource by a specific user or group of users. Each object has a set of all ACEs, which is used to determine whether an access request to the object is granted. ","SID (Security Identifier) ","A value, unique across time and space, that identifies a process in the security system. SIDs can either identify an individual process, usually containing a user's logon identifier, or a group of processes. ","ACL (Access Control List) ","An ordered list of access control entries (ACEs). ","ACCESS RIGHT ","A permission granted to a process to manipulate a specified object in a particular way (by calling a system service). Different system object types support different access rights, which are stored in an object's access control list (ACL). ","SECURITY DESCRIPTOR ","A data structure used to hold per-object security information, including the object's owner, group, protection attributes, and audit information.","Glossary","49741.htm");
var PageCount=179;

function search(SearchWord){
var Result="";
var NrRes=0;
Result='<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">\n';
Result+="<html>\n";
Result+="<head>\n";
Result+="<title>Search Results</title>\n";
Result+="<meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>\n";
Result+='<script language="javascript" type="text/javascript" charset="UTF-8" src="dhtml_search.js"></script>\n';
Result+='<link rel="stylesheet" type="text/css" href="stylesheet.css">\n';
Result+="</head>\n";
Result+="<body onload='javascript:document.SearchForm.SearchText.focus()'>\n";


/* old */ /*

Result+='<p class="searchDetails">Enter a keyword or phrase';

Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}
Result+='<input type="text" name="SearchText" size="25" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/></form>';
Result+='</p>\n';

*/ /* new */


Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
Result+='<p class="searchDetails">Enter a keyword or phrase';

if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}

Result+='<input type="text" name="SearchText" class="inputText" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/>';
Result+='</p>\n';
Result+='</form>\n';

/* end */



if(SearchWord.length>=1){
   SearchWord=SearchWord.toLowerCase();
   this.status="Searching, please wait...";
   Result+="<table border='0' cellpadding='0' cellspacing='0' class='tocTable' width='90%'>";

   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){
                NrRes++;
               break; }}}

   Result+="<tr><td class='search'><p class='searchFound'>" + NrRes + " results found</p></td></tr>";

   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){

               FoundWord=Page[j][i].substr(WordPos,SearchWord.length);
               NrRes++;
               Result+="<tr><td class='search'><p class='searchResults'>";
               Result+="<a target='BODY' href='"+Page[j][k]+"'>"+Page[j][k-1].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"</a><br/>\n";

               if(i<k-1){
                   if(Page[j][i].length>350){
                       Result+="..."+Page[j][i].substr(WordPos-100,200+FoundWord.length).replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"...\n";
                   }
                   else{
                       Result+=Page[j][i].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"\n";
                   }
               }
               Result+="</p></td></tr>";
               break;			   
           }		   
       }	   
   }
     
   Result+="</table>";
   

}

Result+="</body></html>";
this.status="";
this.document.open();
this.document.write(Result);
this.document.close();
}//